﻿#######################################################################
#
#    YAMP - Yet Another Music Player
#    Version 3.0.0 2016-03-02
#    Coded by JohnHenry (c)2013
#    Extended by AlfredENeumann (c)2016
#    Support: www.vuplus-support.org
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    Thanks to the authors of Merlin Music Player and OpenPli Media
#    Player for ideas and code snippets
#
#######################################################################

#-------------------
from Components.GUIComponent import GUIComponent
from Components.MultiContent import MultiContentEntryText

#from Components import Renderer
#from Components import ConditionalWidget

from enigma import eListboxPythonMultiContent, eListbox, gFont, RT_VALIGN_CENTER, RT_HALIGN_LEFT, RT_HALIGN_RIGHT, RT_HALIGN_CENTER
#-------------------

from Components.ActionMap import ActionMap, HelpableActionMap
from Components.config import config, ConfigSubsection, ConfigDirectory, ConfigYesNo, ConfigSelection, ConfigInteger, ConfigText, configfile, ConfigBoolean
from Components.FileList import FileList
from Components.Label import Label
from Components.Pixmap import Pixmap, MultiPixmap
from Components.ScrollLabel import ScrollLabel
from Components.ServiceEventTracker import ServiceEventTracker, InfoBarBase

from datetime import timedelta as datetime_timedelta, datetime as datetime_datetime

from enigma import eServiceCenter, eServiceReference, getDesktop, iServiceInformation, iPlayableService
from enigma import ePythonMessagePump, eTimer

from mutagen.apev2 import APEv2
from mutagen.easyid3 import EasyID3
from mutagen.easymp4 import EasyMP4
from mutagen.flac import Picture, FLAC
from mutagen.id3 import ID3
from mutagen.mp3 import MP3
from mutagen.oggvorbis import OggVorbis

import os
import shutil
import random

from Screens.ChoiceBox import ChoiceBox
from Screens.InfoBarGenerics import InfoBarSeek, InfoBarNotifications
from Screens.MessageBox import MessageBox
from Screens.Screen import Screen
from Screens.HelpMenu import HelpableScreen
from Screens.VirtualKeyBoard import VirtualKeyBoard

from ServiceReference import ServiceReference

import sqlite3

from threading import Thread, Lock

from time import time, strftime

from timer import TimerEntry

from Tools.BoundFunction import boundFunction
#from Tools.Directories import fileExists, resolveFilename, SCOPE_CURRENT_SKIN, SCOPE_CONFIG

from twisted.web.client import downloadPage, getPage

from urllib import quote, quote_plus, unquote

from xml.etree.cElementTree import fromstring as xml_fromstring

from Components.Sources.StaticText import StaticText   #!!!!!neu
from Tools.Directories import *

#from Components.Sources import Boolean
from Components.Sources.Boolean import Boolean
#from Screen import Screen
from skin import parseColor

# our own modules
from __init__ import _
from Titlecase import titlecase
from YampConfig import YampConfigScreen
from YampDatabaseList import YampDatabaseList, DblistStackEntry, DblistEntryComponent
from YampFileList import YampFileList
from YampPixmaps import YampCoverArtPixmap, YampScreenSaver
from YampPlayList import YampPlayList
from YampPlaylistParsers import YampParserE2pls, YampParserM3u, YampParserPls
from myLogger import LOG

yampDir = "/usr/lib/enigma2/python/Plugins/Extensions/YampMusicPlayer/"
audioExtensions = (".mp2", ".mp3", ".wav", ".ogg", ".flac", ".m4a")

#
# Configuration Entries
#
config.plugins.yampmusicplayer = ConfigSubsection()

#General Adjustments
if getDesktop(0).size().width() > 1280:	
	config.plugins.yampmusicplayer.yampSkin = ConfigSelection(default = "default", choices = [
			("default265", _("Standard skin V2.6.5")),
			("transparent", _("Transparent skin V2.6.5")),
			("default", _("Standard skin >V2.6.5")),
			("custom", _("Custom skin")),
			("fhd", _("Full HD standard skin")),
			("fhdCustom", _("Custom Full HD skin")),
			])
else:
	config.plugins.yampmusicplayer.yampSkin = ConfigSelection(default = "default", choices = [
			("default265", _("Standard skin V2.6.5")),
			("transparent", _("Transparent skin V2.6.5")),
			("default", _("Standard skin >V2.6.5")),
			("custom", _("Custom skin")),
			])
config.plugins.yampmusicplayer.databasePath = ConfigDirectory(default = "/media/hdd/")
config.plugins.yampmusicplayer.filebrowserPath = ConfigDirectory(default = "/media/hdd/")
config.plugins.yampmusicplayer.saveLastFilebrowserPath = ConfigYesNo(default = False)
config.plugins.yampmusicplayer.playlistPath = ConfigDirectory(default = "/media/hdd/")
config.plugins.yampmusicplayer.useSingleLyricsPath = ConfigYesNo(default = False)
config.plugins.yampmusicplayer.lyricsPath = ConfigDirectory(default = "/media/hdd/")
config.plugins.yampmusicplayer.screenSaverSlidePath = ConfigDirectory(default = "/media/hdd/")
config.plugins.yampmusicplayer.screenSaverArtworkPath = ConfigDirectory(default = "/media/hdd/Yamp/ArtistPics/")

#Databaselist / Playlist
config.plugins.yampmusicplayer.newLayoutDbList = ConfigYesNo(default = True)
config.plugins.yampmusicplayer.titleOnlyOnceInSelection = ConfigYesNo(default = True)
config.plugins.yampmusicplayer.capitalizeTitleAndArtist = ConfigYesNo(default = True)
			
config.plugins.yampmusicplayer.playlistLayout = ConfigSelection(default = "titart", choices = [
		("fn", _("Filename without Extension")),
		("fnext", _("Filename with Extension")),
		("tit", _("Title (slow!)")),
		("titart", _("Title and Artist (slow!)")),
		("titart2", _("Artist and Title (slow!)")),
		])
config.plugins.yampmusicplayer.savePlaylistOnExit = ConfigYesNo(default = True)
config.plugins.yampmusicplayer.repeatPlaylistAtEnd = ConfigYesNo(default = True)
config.plugins.yampmusicplayer.wrapMovePlaylist = ConfigYesNo(default = False)
config.plugins.yampmusicplayer.startImmediate = ConfigYesNo(default = False)
config.plugins.yampmusicplayer.gapCorrection = ConfigInteger(0,limits = (0, 50))

#Cover Search 
config.plugins.yampmusicplayer.prioCover1 = ConfigSelection(default = "coverID3", choices = [
		("0", _("off")),
		("coverID3", _("search in ID3-tags (mp3, flac)")),
		("coverFile", _("search in title-directory")),
		("coverAlbum", _("search for albumcover.<ext> in title-directory")),
		("coverGoogle", _("search at google online")),
		])
config.plugins.yampmusicplayer.prioCover2 = ConfigSelection(default = "coverFile", choices = [
		("0", _("off")),
		("coverID3", _("search in ID3-tags (mp3, flac)")),
		("coverFile", _("search in title-directory")),
		("coverAlbum", _("search for ""albumcover.<ext>"" in title-directory")),
		("coverGoogle", _("search at google online")),
		])
config.plugins.yampmusicplayer.prioCover3 = ConfigSelection(default = "coverAlbum", choices = [
		("0", _("off")),
		("coverID3", _("search in ID3-tags (mp3, flac)")),
		("coverFile", _("search in title-directory")),
		("coverAlbum", _("search for ""albumcover.<ext>"" in title-directory")),
		("coverGoogle", _("search at google online")),
		])
config.plugins.yampmusicplayer.prioCover4 = ConfigSelection(default = "coverGoogle", choices = [
		("0", _("off")),
		("coverID3", _("search in ID3-tags (mp3, flac)")),
		("coverFile", _("search in title-directory")),
		("coverAlbum", _("search for ""albumcover.<ext>"" in title-directory")),
		("coverGoogle", _("search at google online")),
		])


#Lyrics Search 
config.plugins.yampmusicplayer.prioLyrics1 = ConfigSelection(default = "lyricsID3", choices = [
		("0", _("off")),
		("lyricsID3", _("search in ID3-tags (mp3, flac)")),
		("lyricsFile", _("search in lyrics-directory")),
		("lyricsChart", _("search at chartlyrics.com online")),
		])
config.plugins.yampmusicplayer.prioLyrics2 = ConfigSelection(default = "lyricsFile", choices = [
		("0", _("off")),
		("lyricsID3", _("search in ID3-tags (mp3, flac)")),
		("lyricsFile", _("search in lyrics-directory")),
		("lyricsChart", _("search at chartlyrics.com online")),
		])
config.plugins.yampmusicplayer.prioLyrics3 = ConfigSelection(default = "lyricsChart", choices = [
		("0", _("off")),
		("lyricsID3", _("search in ID3-tags (mp3, flac)")),
		("lyricsFile", _("search in lyrics-directory")),
		("lyricsChart", _("search at chartlyrics.com online")),
		])

#Screensaver			
config.plugins.yampmusicplayer.screenSaverMode = ConfigSelection(default = "artwork", choices = [
		("blank", _("Blank screen")),
		("standard", _("Standard Screensaver")),
		("custom", _("Custom Screensaver")),
		("artwork", _("Artwork as Screensaver")),
		])
config.plugins.yampmusicplayer.screenSaverBg = ConfigYesNo(default = False)
config.plugins.yampmusicplayer.screenSaverSubDirs = ConfigYesNo(default = False)
config.plugins.yampmusicplayer.screenSaverWait = ConfigInteger(10,limits = (0, 600))
config.plugins.yampmusicplayer.screenSaverNextSlide = ConfigInteger(10,limits = (5, 60))
config.plugins.yampmusicplayer.screenSaverSort = ConfigSelection(default = "sortA", choices = [
		("nosort", _("not sorting")),
		("sortA", _("sorting A->Z")),
		("sortZ", _("sorting Z->A")),
		("shuffle", _("shuffling")),
		])
config.plugins.yampmusicplayer.screenSaverLeft = ConfigYesNo(default = True)
config.plugins.yampmusicplayer.manKeyScreensaver = ConfigYesNo(default = True)
config.plugins.yampmusicplayer.maxTimeSSoffMan = ConfigInteger(600,limits = (0, 1200))
config.plugins.yampmusicplayer.showTextBg = ConfigYesNo(default = True)
config.plugins.yampmusicplayer.showClockSS = ConfigYesNo(default = False)

#Operation
config.plugins.yampmusicplayer.yampRemote = ConfigSelection(default = "special", choices = [
		("default", _("Standard V2.6.5")),
		("special", _("Special")),
		])
config.plugins.yampmusicplayer.newExitKey = ConfigYesNo(default = True)
config.plugins.yampmusicplayer.commonPlayPause = ConfigYesNo(default = False)
config.plugins.yampmusicplayer.yampConfirmExit = ConfigYesNo (default = True)

#Lyrics
config.plugins.yampmusicplayer.lyricsMinLinesScroll = ConfigInteger(20,limits = (0, 100))
config.plugins.yampmusicplayer.lyricsScrollLine= ConfigInteger(7,limits = (1, 100))
config.plugins.yampmusicplayer.lyricsOffsetTime = ConfigInteger(1000,limits = (0, 5000))

#Miscellaneous		
config.plugins.yampmusicplayer.yampLCD = ConfigSelection(default = "oneline", choices = [
		("oneline", _("1 line LCD")),
		("threelines", _("3 lines LCD")),
		("rolling", _("Rolling Text (graphical)")),
		])
config.plugins.yampmusicplayer.lcdRollingFontSize = ConfigInteger(38,limits = (1, 99))
config.plugins.yampmusicplayer.displayButtonHelp = ConfigYesNo(default = False)

config.plugins.yampmusicplayer.yampInExtendedPluginlist = ConfigYesNo (default = True)
config.plugins.yampmusicplayer.yampInMainMenu = ConfigYesNo (default = False)
config.plugins.yampmusicplayer.debugPath = ConfigDirectory (default = "/media/hdd/")
config.plugins.yampmusicplayer.yampDebugMode = ConfigSelection(default = "error", choices = [
		("off", _("off")),
		("error", _("errors only")),
		("all", _("all")),
		("special", _("special")),
		])
config.plugins.yampmusicplayer.yampDebugMemory = ConfigYesNo (default = False)

#	not configurable by user	
config.plugins.yampmusicplayer.startWithDatabase = ConfigYesNo(default = False) # not configurable by user
config.plugins.yampmusicplayer.shuffle = ConfigYesNo (default = False) 			  # not configurable by user
config.plugins.yampmusicplayer.lastPlaylistIndex = ConfigInteger(-1) 			    # not configurable by user
config.plugins.yampmusicplayer.lastSlide = ConfigText (default = "")			    # not configurable by user
config.plugins.yampmusicplayer.debugFile = ConfigText (default = "")				  # not configurable by user
config.plugins.yampmusicplayer.separator = ConfigSelection(default = "1", choices = [('1', '')])

#
# Constants
#
YAMPVERSION = 'V 3.0.0'

STATE_PLAY = 0
STATE_PAUSE = 1
STATE_STOP = 2
STATE_NONE = 5

MENULIST = 0
ARTISTLIST = 1
ALBUMLIST = 2
GENRELIST = 3
DATELIST = 4
PLAYLISTLIST = 5
ARTISTALBUMLIST = 6
GENREALBUMLIST = 7
DATEALBUMLIST = 8
SEARCHPLAYLISTLIST = 9
SEARCHARTISTLIST = 10
SEARCHALBUMLIST = 11
SEARCHGENRELIST = 12
SEARCHDATELIST = 13
TITLELIST = 20
ARTISTTITLELIST = 21
ALBUMTITLELIST = 22
GENRETITLELIST = 23
DATETITLELIST = 24
SEARCHTITLELIST = 25
SEARCHFILELIST = 26
SEARCHARTISTTITLELIST = 27
SEARCHALBUMTITLELIST = 28

THREAD_WORKING = 1
THREAD_FINISHED = 2

#Cover Search
COVERS_NO = 9
COVERS_MP3 = 1
COVERS_FLAC = 2
COVERS_DIR = 3
COVERS_ALB = 4
COVERS_GOOGLE = 5

#Lyrics_Search
LYRICSS_NO = 9
LYRICSS_MP3 = 1
LYRICSS_FLAC = 2
LYRICSS_FILE = 3
LYRICSS_CHARTL = 4

#
# The YAMP main screen class - needs a HD skin (minimum 1280x720)
#
class YampScreen(Screen, InfoBarBase, InfoBarSeek, InfoBarNotifications, HelpableScreen):
	def __init__(self, session):
		Screen.__init__(self, session)
		with open(os.path.join(yampDir, "skins", config.plugins.yampmusicplayer.yampSkin.value, "Yamp.xml"), 'r') as f:
			self.skin = f.read()
		InfoBarBase.__init__(self)
		InfoBarNotifications.__init__(self)
		HelpableScreen.__init__(self)

		self.screenSaverFirstCall = True		#avoid switching to next picture on first call of timer
		self.screenSaverManOff = False
		self.LcdText = ""
		
		self.session = session
		self.oldService = self.session.nav.getCurrentlyPlayingServiceReference()
		self.session.nav.stopService()

		self.playlistparsers = {}	# parsers for external playlists
		self.addPlaylistParser(YampParserM3u, ".m3u")
		self.addPlaylistParser(YampParserPls, ".pls")
		self.addPlaylistParser(YampParserE2pls, ".e2pls")
		
		startingDir = config.plugins.yampmusicplayer.filebrowserPath.value
		self.filelist = YampFileList(startingDir, matchingPattern = "(?i)^.*\.(mp2|mp3|ogg|ts|wav|m3u|pls|e2pls|mpg|vob|avi|divx|m4v|mkv|mp4|m4a|dat|flac|mov|m2ts)", showDirectories = True, showFiles = True, useServiceRef = True, enableWrapAround = True, additionalExtensions = "4098:m3u 4098:e2pls 4098:pls")
		self["filelist"] = self.filelist
		self.dblist = YampDatabaseList()
		self["dblist"] = self.dblist
		self["title"] = Label("YAMP Music Player  " + YAMPVERSION)
		self["leftContentTitle"] = Label ("")
		self["rightContentTitle"] = Label (_("P l a y l i s t"))
		self.playlist = YampPlayList()
		self["playlist"] = self.playlist
		self["songtitle"] = Label ("")
		self["artist"] = Label ("")
		self["album"] = Label ("")
		self["year"] = Label ("")
		self["genre"] = Label ("")
		self["nextsong"] = Label (_("Next Song"))
		self["nextsongtitle"] = Label ("")
		self["coverArt"] = YampCoverArtPixmap()
		self["screenSaver"] = YampScreenSaver()
		self["screenSaver"].hide()
		self["screenSaverBackground"] = Pixmap()
		self["screenSaverBackground"].hide()
		self["repeat"] = MultiPixmap()
		self["shuffle"] = MultiPixmap()
		self["saver"] = MultiPixmap()
		self["tv"] = MultiPixmap()
		self["radio"] = MultiPixmap()
		self["video"] = MultiPixmap()
		self["key_red"] = Label ("")
		self["key_green"] = Label ("")
		self["key_yellow"] = Label ("")
		self["key_blue"] = Label ("")

		self["songTextsBackground"] = Boolean(False)
#		self["songTextsBackground"] = Boolean(config.plugins.yampmusicplayer.showTextBg.value)
#		self["screenSaverBackground"] = Boolean(False)
##		self["clockSS"] = Label ("xxxxxxx")
		
# Timers
		self.screenSaverTimer = eTimer()
		if os.path.exists("/var/lib/dpkg/status"):
			self.screenSaverTimer_conn=self.screenSaverTimer.timeout.connect(self.showScreenSaverNext)
		else:
			self.screenSaverTimer.callback.append(self.showScreenSaverNext)
		self.nextSlideTimer = eTimer()
		if os.path.exists("/var/lib/dpkg/status"):
			self.nextSlideTimer_conn=self.nextSlideTimer.timeout.connect(self.nextSlide)
		else:
			self.nextSlideTimer.callback.append(self.nextSlide)
		self.screenSaverManTimer = eTimer()
		if os.path.exists("/var/lib/dpkg/status"):
			self.screenSaverManTimer_conn=self.screenSaverManTimer.timeout.connect(self.screenSaverMaxManOff)
		else:
			self.screenSaverManTimer.callback.append(self.screenSaverMaxManOff)
		self.eofbugTimer = eTimer()
		if os.path.exists("/var/lib/dpkg/status"):
			self.eofbugTimer_conn=self.eofbugTimer.timeout.connect(self.checkEOF)
		else:
			self.eofbugTimer.callback.append(self.checkEOF)
		self.startupTimer = eTimer()
		if os.path.exists("/var/lib/dpkg/status"):
			self.startupTimer_conn=self.startupTimer.timeout.connect(self.startupChecks)
		else:
			self.startupTimer.callback.append(self.startupChecks)
		
# Action maps		
		if config.plugins.yampmusicplayer.yampRemote.value == 'default':
			self["Actions"] = HelpableActionMap(self,"YampActions",
			{
				"ok": (self.ok, _("Open dir, append to playlist | Play title, toggle screensaver")),
				"play": (self.play, _("Insert into playlist and play")),
				"pause": (self.pause, _("Pause/resume title")),
				"stop": (self.stopEntry, _("Stop title")),
				"exit": (self.exit, _("Exit screensaver, subscreens or YAMP")),
				"menu": (self.showMenu, _("Show context menu")),
				"prevTitle": (self.previousEntry, _("Play previous title")),
				"nextTitle": (self.nextEntry, _("Play next title")),
				"prevBouquet": (self.switchToPlayListOrShuffle, _("Switch to playlist | Toggle shuffle")),
				"nextBouquet" : (self.switchToFileListOrRepeat, _("Toggle repeat | Switch to filelist/database")),
				"right" : (self.pagedown, _("Next page, Screensaver: next slide")),
				"left" : (self.pageup, _("Previous page, Screensaver: previous slide")),
				"info" : (self.showLyrics, _("Show lyrics")),
				"toggleSaver": (self.pausePlaySlideShow, _("Pause/resume screensaver slideshow")),
				"altMoveTop": (self.skipToListbegin, _("Move to start of list")),
				"altMoveEnd": (self.skipToListend, _("Move to end of list")),
				"Pvr" : (self.showhideScreenSaverMan, _("Activate/deactivate screensaver slideshow")),
			}, -2)
		else:
			self["Actions"] = HelpableActionMap(self,"YampActions",
			{
				"ok": (self.ok, _("Open dir, append to playlist | Play title, toggle screensaver")),
				"play": (self.play, _("Insert into playlist and play")),
				"pause": (self.pause, _("Pause/resume title")),
				"stop": (self.stopEntry, _("Stop title")),
				"exit": (self.exit, _("Exit screensaver, subscreens or YAMP")),
				"menu": (self.showMenu, _("Show context menu")),				
				"prevTitle": (self.previousEntry, _("Play previous title")),
				"nextTitle": (self.nextEntry, _("Play next title")),
				"prevBouquet": (self.pagedownspecial, _("Next page")),
				"nextBouquet" : (self.pageupspecial, _("Previous page")),
				"right" : (self.switchToPlayList, _("Switch to playlist, Screensaver: next slide")),
				"left" : (self.switchToFileList, _("Switch to filelist/database, Screensaver: previous slide")),
				"info" : (self.showLyrics, _("Show lyrics")),
				"toggleSaver": (self.pausePlaySlideShow, _("Pause/resume screensaver slideshow")),
				"altMoveTop": (self.skipToListbegin, _("Move to start of list")),
				"altMoveEnd": (self.skipToListend, _("Move to end of list")),
				"Tv": (self.toggleRepeat, _("Toggle shuffle")),
				"Radio" : (self.toggleShuffle, _("Toggle repeat")),
				"Pvr" : (self.showhideScreenSaverMan, _("Activate/deactivate screensaver slideshow")),
			}, -2)

		self["OtherActions"] = ActionMap(["YampOtherActions"],
		{
			"up": self.moveup,
			"down": self.movedown,
			"moveTop": self.skipToListbegin,
			"moveEnd": self.skipToListend,
			"red": self.redActions,
			"redLong": self.redLongActions,
			"green": self.greenActions,
			"greenLong": self.greenLongActions,
			"yellow": self.yellowActions,
			"yellowLong": self.yellowLongActions,
			"blue": self.blueActions,
			"blueLong": self.blueLongActions,
		}, -2)
		
		self["HelpActions"] = ActionMap(["YampHelpActions"],
		{
			"help": self.showHelp,
		}, -2)
		
		InfoBarSeek.__init__(self, actionmap = "YampSeekActions")

		self.logpath = config.plugins.yampmusicplayer.debugPath.value
		self.timestamp = datetime_datetime.now().strftime("%Y-%m-%d_%H-%M-%S")
		config.plugins.yampmusicplayer.debugFile.value = self.logpath + 'yamp_debug_' + self.timestamp  + '.log'			
		self.memlog = config.plugins.yampmusicplayer.yampDebugMemory.value
		self.memlogfile = self.logpath + 'yamp_mem_' + self.timestamp +'.log'

		self.manKeyScreensaver = config.plugins.yampmusicplayer.manKeyScreensaver.value
		
		if config.plugins.yampmusicplayer.startWithDatabase.value:
			self.currList = "dblist"
		else:
			self.currList = "filelist"
		self.currPath = ""
		self.extPlaylistName = "" # no external playlist loaded
		self.repeat = config.plugins.yampmusicplayer.repeatPlaylistAtEnd.value
		self.greenLongActive=False
		self.redLongActive=False
		self.yellowLongActive=False
		self.blueLongActive=False
		self.dbStack = []  # for navigation in the database list
		self.dbTitleList = []
		self.dbArtistList = []
		self.dbAlbumList = []
		self.databaseChanged=True
		self.currTitle = ""
		self.currArtist = ""
		self.currAlbum = ""
		self.currLength = ""
		self.currTracknr = -1
		self.oldTitle = ""
		self.oldArtist = ""
		self.oldAlbum = ""
		self.slidePath = ""
#		self.slideList = []		####war beta6 #
		self.screenSaverActive = False
		self.slideShowPaused = False
		self.playerState = STATE_NONE
		self.currentIsVideo = False
		self.configScreenActive = False
		self.lyricsScreenActive = False
#		self.coverChanged = False
		self.pixNumCover = COVERS_NO
		
		self.oldSkin = ''
		self.oldLCD = ''

		
		self.onLayoutFinish.append(self.layoutFinished)
		self.onClose.append(self.cleanup)

		self.__event_tracker = ServiceEventTracker(screen=self, eventmap=
			{
				iPlayableService.evUpdatedInfo: self.__evUpdatedInfo,
				iPlayableService.evUser+10: self.__evAudioDecodeError,
				iPlayableService.evUser+11: self.__evVideoDecodeError,
				iPlayableService.evUser+12: self.__evPluginError,
			})

#
# Start and end methods, handle some events from e2
#
	def layoutFinished(self):
		self.currDblist = DblistStackEntry()
		self.buildDbMenuList(MENULIST, menutitle=_("M u s i c  D a t a b a s e"))
		try:
			LOG('YampScreen: layoutFinished: DblistStackEntry: currDblist: mode: %d query: %d selIndex: %d menutitle: %s queryString: %s' %(self.currDblist.mode,self.currDblist.query,self.currDblist.selIndex,self.currDblist.menutitle,self.currDblist.queryString), 'spe') ###Test
#			LOG('YampScreen: layoutFinished: DblistStackEntry: currDblist: %s' %(self.currDblist.value), 'spe') ###Test
		except:
			LOG('YampScreen: layoutFinished: DblistStackEntry : EXCEPT' , 'spe') ###Test
#		self.buildDbMenuList(MENULIST, menutitle=_("M u s i c  D a t a b a s e"))
		self.setLeftContent()
		self.setRepeatButton()
		self.setShuffleButton()
		self.setHelpTexts()
		self.setColorButtons()
		self.loadLastPlaylist()
		self.initScreenSaver()
		self.setSaverButton()
		#Start playlist immediate
		try:
			if config.plugins.yampmusicplayer.startImmediate.value and len(self.playlist) > 0:
				self.changeEntry(self.playlist.getSelectionIndex())
				self.startScreenSaverTimer()
		except:
			LOG('YampScreen: layoutFinished: EXCEPT', 'err') 
		#Screensaver in Background
		if config.plugins.yampmusicplayer.screenSaverBg.value:
			self["screenSaverBackground"].setZPosition(4)
			self["screenSaver"].setZPosition(5)
		else:
			self["screenSaverBackground"].setZPosition(8)
			self["screenSaver"].setZPosition(9)
		self.startupTimer.start(2000, True)

#		self.onShown.append(self.checkDatabaseConnection())
#		self.memTestTimer.start(5000)

#		LOG('YampScreen: layoutFinished: setZPosition screenSaverBackground: ok', 'err') 
#		except:
#			LOG('YampScreen: layoutFinished: setZPosition screenSaverBackground: EXCEPT', 'err')
		
		#Screensaver show clock
#		try:
#			if config.plugins.yampmusicplayer.showClockSS.value:
#				self["screenSaver"].setZPosition(5)
#			else:
#				self["screenSaver"].setZPosition(9)
#			LOG('YampScreen: layoutFinished: setZPosition : ok', 'err') 
#		except:
#			LOG('YampScreen: layoutFinished: setZPosition : EXCEPT', 'err') 

			
	def memoryLog(self):
		MEMCONFFILE = 'yamp_memlog.cfg'
		try:
#			LOG('YampScreen: memoryLog: Start', 'err')
			meminfo = open("/proc/meminfo","r")
			memlines = meminfo.read().split('\n')
			meminfo.close()
#			LOG('YampScreen: memoryLog: memlines: %s'  %(memlines), 'err')
			
			configfile = None
			conffilepath = self.logpath + MEMCONFFILE
#			LOG('YampScreen: memoryLog: conffilepath: %s'  %(conffilepath), 'err')
			if not os.access(conffilepath, os.R_OK):
				LOG('YampScreen: memoryLog: config file %s does not exist, debugging all meminfo, creating config file' %(conffilepath), 'err')
				configlist = []
				for x in range(len(memlines)-1):
					configlist.append(str(x))
				try:
					configfile = open(conffilepath, "w")
					configfile.write(','.join(configlist))
					configfile.close()
				except:
					LOG('YampScreen: memoryLog: could not create config file: %s' %(conffilepath), 'all')
			else:
				configfile = open(conffilepath, "r")
				configlist = configfile.read().split(',')
				configfile.close()
#			LOG('YampScreen: memoryLog: configlist: %s' %(configlist), 'err')

			logfile = open(self.memlogfile ,'a')
			logfile.write(datetime_datetime.now().strftime("%Y.%m.%d-%H:%M:%S.%f") + '\n')
			for line in configlist:
#				LOG('YampScreen: memoryLog: configlist line: %s int(line): %d memlines[int(line)]: %s' %(line,int(line),memlines[int(line)]), 'err')
				logfile.write(line + ':\t' + memlines[int(line)] +'\n')
			logfile.write('\n')
			logfile.close()	
			del logfile,meminfo,memlines,configfile,configlist,line
		except:
			LOG('YampScreen: memoryLog: EXCEPT', 'err')
	
	def createSummary(self):
		if config.plugins.yampmusicplayer.yampLCD.value == 'rolling':
			return YampLCDScreenRunning
		else:
			return YampLCDScreen
		
	def exit(self):
#		LOG('YampScreen: exit() Start: newExitKey %d' %(config.plugins.yampmusicplayer.newExitKey.value), 'err')
		self.exitYamp = True
		if self.screenSaverActive:
			self.resetScreenSaverTimer()
			return
		if config.plugins.yampmusicplayer.newExitKey.value: 
			#new exit key: no immediate exit of yamp in dblist / filelist
			if self.currList == 'dblist': 
				if self.dblist.mode > MENULIST:
					self.exitYamp = False
			if self.currList == 'filelist':
				if self.filelist.getSelection()[1]:		#is directory
					try:
						strConfigPath = config.plugins.yampmusicplayer.filebrowserPath.value
						strPath = self.filelist.getSelection()[0]	
#						LOG('YampScreen: exit(): strPath: %s' %(strPath), 'err')
						Pos = strPath.rfind('/',0,len(strPath)-1)
#						LOG('YampScreen: exit(): Pos: %d' %(Pos), 'err')
						strPath = strPath[:Pos+1]
#						LOG('YampScreen: exit(): strPath ende: %s len(strPath): %d len(strConfigPath): %d' %(strPath, len(strPath), len(strConfigPath) ), 'err')
#						if strPath != strConfigPath and	len(strPath) > len(strConfigPath):
						if len(strPath) > len(strConfigPath):
							self.exitYamp = False
					except:
						LOG('YampScreen: exit(): strPath: EXCEPT', 'err')
				else:
					self.exitYamp = False
				
			if not self.exitYamp:
				try: self.skipToListbegin()
				except:	LOG('YampScreen: exit(): skipToListbegin: EXCEPT ', 'err')
				try: self.ok()
				except:	LOG('YampScreen: exit(): ok: EXCEPT ', 'err')
				return;

		self.hideScreenSaver()
		if config.plugins.yampmusicplayer.yampConfirmExit.value:
			self.session.openWithCallback(self.exitConfirmed, MessageBox, _("Do you really want to exit?"))
		else:
			self.exitConfirmed(True)
				
				
	def exitConfirmed(self,answer):
		if not answer:		#no exit
#			if self.playerState < STATE_STOP and self.manKeyScreensaver and (
#						self.currList == "playlist" or config.plugins.yampmusicplayer.screenSaverLeft.value):
			self.resetScreenSaverTimer()

		else:	
			self.YampParserE2pls.clear()
			if config.plugins.yampmusicplayer.savePlaylistOnExit.value:
				for x in self.playlist.shadowList:
					self.YampParserE2pls.addService(ServiceReference(x[0]))
			self.YampParserE2pls.save(resolveFilename(SCOPE_CONFIG, "yampsl.e2pls"))
			self.YampParserE2pls.clear()
			if config.plugins.yampmusicplayer.savePlaylistOnExit.value:
				config.plugins.yampmusicplayer.lastPlaylistIndex.value = self.playlist.getCurrentIndex()
				config.plugins.yampmusicplayer.lastPlaylistIndex.save()
				for x in self.playlist.list:
					self.YampParserE2pls.addService(ServiceReference(x[0]))
			self.YampParserE2pls.save(resolveFilename(SCOPE_CONFIG, "yamp.e2pls"))

			if config.plugins.yampmusicplayer.saveLastFilebrowserPath.value:
				config.plugins.yampmusicplayer.filebrowserPath.value = self["filelist"].getCurrentDirectory()
				config.plugins.yampmusicplayer.filebrowserPath.save()

			config.plugins.yampmusicplayer.shuffle.value = self.playlist.isShuffeled	
			config.plugins.yampmusicplayer.shuffle.save()		
			config.plugins.yampmusicplayer.repeatPlaylistAtEnd.value = self.repeat
			config.plugins.yampmusicplayer.repeatPlaylistAtEnd.save()
			if self.leftContent == "dblist":
				config.plugins.yampmusicplayer.startWithDatabase.value = True
			else:
				config.plugins.yampmusicplayer.startWithDatabase.value = False
			config.plugins.yampmusicplayer.startWithDatabase.save()
			if len(self["screenSaver"]) > 0:
				config.plugins.yampmusicplayer.lastSlide.value = self["screenSaver"].getCurrentSlide()
			else:
				config.plugins.yampmusicplayer.lastSlide.value = ""
			config.plugins.yampmusicplayer.lastSlide.value = ""  #!!!! Test
			config.plugins.yampmusicplayer.lastSlide.save()
			configfile.save()

			del self["coverArt"].picload
			del self["screenSaver"].picload
			self.close()

	def cleanup(self):
		del self.screenSaverTimer
		del self.nextSlideTimer
		del self.eofbugTimer
		del self.screenSaverManTimer
		del self.startupTimer
		for file in os.listdir('/tmp/'):
			if file.startswith('.coverart') or file == ".cover":
				os.remove(os.path.join('/tmp/',file))
		self.session.nav.playService(self.oldService)

	def updateNextSong(self):
		# für nächsten Titel
		# __evUpdatedInfo may be called more than once per title, therefore:
		#	Reading Info-Strings with getInfoString does not work with "Umlauts", so use mutagen methods
		if self.memlog: self.memoryLog()

		try:	
#			LOG('YampScreen: updateNextSong: getCurrentIndex(): %d  len(playlist): %d' %(self.playlist.getCurrentIndex(), len(self.playlist)), 'err')
			if len(self.playlist) == 0:
				self.nextsongtitle=self.nextsongalbum=self.nextsongartist=''
			elif self.playlist.getCurrentIndex() < len(self.playlist) - 1:
				pathname = self.playlist.getServiceRefList()[self.playlist.getCurrentIndex()+1].getPath()
				self.nextsongtitle, self.nextsongalbum, self.nextsonggenre, self.nextsongartist, self.nextsongdate, self.nextsonglength, self.nextsongtracknr = readID3Infos(pathname)
			elif self.repeat:
				pathname = self.playlist.getServiceRefList()[0].getPath()
				self.nextsongtitle, self.nextsongalbum, self.nextsonggenre, self.nextsongartist, self.nextsongdate, self.nextsonglength, self.nextsongtracknr = readID3Infos(pathname)
			else:
				self.nextsongtitle=self.nextsongalbum=self.nextsongartist=''
#				LOG('YampScreen: updateNextSong: nextsongtitle: %s  album: %s  artist: %s' %(self.nextsongtitle, self.nextsongalbum,self.nextsongartist), 'err')
		except:
			LOG('YampScreen: updateNextSong: nextsongtitle: EXCEPT', 'err')
		try:
			self.updateSingleMusicInformation("nextsongtitle", self.nextsongtitle + "  -  " + self.nextsongartist + "  -  " + self.nextsongalbum)
		except:
			LOG('YampScreen: updateNextSong: EXCEPT', 'err')
			
	def __evUpdatedInfo(self):
		actPath = self.playlist.getServiceRefList()[self.playlist.getCurrentIndex()].getPath()
		if self.currPath != actPath:
			# für nächsten Titel
#			LOG('YampScreen: __evUpdatedInfo: call updateNextSong()', 'err')
			self.updateNextSong()

			# für aktuellen Titel
			# __evUpdatedInfo may be called more than once per title, therefore:
			self.currPath = actPath
			self.updateLCDInfo()
			#	Reading Info-Strings with getInfoString does not work with "Umlauts", so use mutagen methods
			pathname = self.playlist.getServiceRefList()[self.playlist.getCurrentIndex()].getPath()
			title, album, genre, artist, date, length, tracknr = readID3Infos(pathname)
#			self.updateMusicInformation(artist, title, album, date, genre)
			self.updateMusicInformation(artist, title, album, date, genre, length, tracknr)
			
	def __evAudioDecodeError(self):
		currPlay = self.session.nav.getCurrentService()
		sTagAudioCodec = currPlay.info().getInfoString(iServiceInformation.sTagAudioCodec)
		LOG("[YampScreeen: __evAudioDecodeError] audio-codec %s can't be decoded by hardware" %(sTagAudioCodec), 'err')
#		print "[YAMP __evAudioDecodeError] audio-codec %s can't be decoded by hardware" % sTagAudioCodec
		self.session.open(MessageBox, _("This Box can't decode %s streams!") % sTagAudioCodec, type = MessageBox.TYPE_INFO,timeout = 20 )

	def __evVideoDecodeError(self):
		currPlay = self.session.nav.getCurrentService()
		sTagVideoCodec = currPlay.info().getInfoString(iServiceInformation.sTagVideoCodec)
		LOG("[YampScreeen: __evVideoDecodeError] video-codec %s can't be decoded by hardware" % (sTagVideoCodec), 'err')
#		print "[YAMP __evVideoDecodeError] video-codec %s can't be decoded by hardware" % (sTagVideoCodec)
		self.session.open(MessageBox, _("This Box can't decode %s streams!") % sTagVideoCodec, type = MessageBox.TYPE_INFO,timeout = 20 )

	def __evPluginError(self):
		currPlay = self.session.nav.getCurrentService()
		message = currPlay.info().getInfoString(iServiceInformation.sUser+12)
		LOG( "[YampScreeen: __evPluginError] %s" %(message), 'err')
#		print "[YAMP __evPluginError]" , message
		self.session.open(MessageBox, message, type = MessageBox.TYPE_INFO,timeout = 20 )

#
# YAMP Main Screen actions
# There are 2 groups of actions, one is dependent of the active list (filelist, dblist or playlist), the other not
#
# List dependent actions:
#
	def ok(self):
		if self.screenSaverActive:
			self.hideScreenSaver()
			if self.playerState < STATE_STOP and self.manKeyScreensaver: 
				self.resetScreenSaverTimer()
		elif self.currList == "filelist":
			if self.filelist.canDescent():
				self.filelist.descent()
				self.updateLCDInfo()
			else:
				self.addFile()
				self.playlist.moveToIndex(len(self.playlist)-1)
			self.movedown()
		elif self.currList == "dblist":
			self.dblistActions()
			self.updateLCDInfo()
			self.setLeftContentTitle()
			self.setColorButtons()
		elif self.currList == "playlist":
			if self.playlist.getCurrentIndex() == self.playlist.getSelectionIndex():
				if self.screenSaverActive:
					pass
#					self.hideScreenSaver()
				else:
#					if self.playerState == STATE_PLAY and self.session.nav.getCurrentlyPlayingServiceReference() is not None and not config.plugins.yampmusicplayer.manKeyScreensaver.value:
					if self.playerState == STATE_PLAY and self.session.nav.getCurrentlyPlayingServiceReference() is not None:
						self.showScreenSaver()
						self.resetSlideTimer()
			self.changeEntry(self.playlist.getSelectionIndex())
			self.startScreenSaverTimer()

	def play(self):
#		LOG('play Start', 'err')
		if self.currList == "filelist":
			if self.filelist.canDescent():
				self.insertDir(self.filelist.getSelection()[0])
			else:
				self.insertFile()
			self.nextEntry()
			self.movedown()
		elif self.currList == "dblist":
			try:
				navx = self.dblist.getSelection().nav
			except:
				navx = False
#			if not self.dblist.getSelection().nav:
			if not navx:
				mode = self.dblist.mode
				if mode >= TITLELIST:
					sref = ServiceReference(self.dblist.getSelection().ref)
					self.insertService(self.playlist.getCurrentIndex()+1, sref.ref, self.dblist.getSelection().title, self.dblist.getSelection().artist)
				elif mode in (PLAYLISTLIST, SEARCHPLAYLISTLIST):
					self.insertExtPlaylist(self.dblist.getSelection().filename)
				elif mode in (ARTISTLIST, SEARCHARTISTLIST):
					self.addCategory(query = self.dblist.getSelection().artistID, mode = "insert", pos = self.playlist.getCurrentIndex()+1)
				elif mode in (ALBUMLIST, ARTISTALBUMLIST, GENREALBUMLIST, SEARCHALBUMLIST):
					self.addCategory(query = self.dblist.getSelection().albumID, mode = "insert", pos = self.playlist.getCurrentIndex()+1)
				elif mode in (GENRELIST, SEARCHGENRELIST):
					self.addCategory(query = self.dblist.getSelection().genreID, mode = "insert", pos = self.playlist.getCurrentIndex()+1)
				self.nextEntry()
				self.movedown()
		elif self.currList == "playlist":
			if config.plugins.yampmusicplayer.commonPlayPause.value:
				if self.playerState == STATE_PLAY:
					self.setSeekState(self.SEEK_STATE_PAUSE)
					self.playerState = STATE_PAUSE
				elif self.playerState == STATE_PAUSE:
					self.setSeekState(self.SEEK_STATE_PLAY)
					self.playerState = STATE_PLAY
					self.startScreenSaverTimer()
				elif self.playerState == STATE_STOP:
#					LOG('play:self.playerState == STATE_STOP', 'err')
					self.changeEntry(self.playlist.getSelectionIndex())
					self.startScreenSaverTimer()
				elif self.playerStart == STATE_NONE:
#					LOG('play:self.playerState == STATE_NONE', 'err')
					self.changeEntry(self.playlist.getSelectionIndex())
					self.startScreenSaverTimer()
			else:
				self.changeEntry(self.playlist.getSelectionIndex())
				self.startScreenSaverTimer()

	def pause(self):
#		LOG('YampScreen: Pause Start------------------', 'err')
		self.pauseService()
		if self.seekstate == self.SEEK_STATE_PAUSE:
			self.hideScreenSaver()
			self.playerState = STATE_PAUSE
		else:
			if self.currList == "playlist":			
				self.showScreenSaver()
			self.playerState = STATE_PLAY
			
	def redActions(self):
#		LOG('YampScreen: redActions: Start', 'err')
		if self.redLongActive:		
			self.redLongActive = False
		else:	
			if not self.screenSaverActive:
				if self.currList == "playlist":
					self.resetScreenSaverTimer()
					self.playingMoved = self.playlist.getSelectionIndex() == self.playlist.getCurrentIndex()
					self.playlist.moveEntryUp(self.playlist.getSelectionIndex(), config.plugins.yampmusicplayer.wrapMovePlaylist.value)
					self.playlist.updateList()
					self.updateNextSong()
				else:
					if self.currList == "filelist":
						self.currList = "dblist"
						if self.databaseChanged:
							self.updateDbMenuList()
							self.databaseChanged = False
					else:			#dblist
						self.currList = "filelist"
					self.setLeftContent()
					self.setColorButtons()
					self.updateLCDInfo()
		
	def greenActions(self):
#		LOG('YampScreen: greenActions Start', 'err')
		if self.greenLongActive:
			self.greenLongActive = False
		else:
			if not self.screenSaverActive:
				if self.currList == "playlist":		#playlist
					self.resetScreenSaverTimer()
					self.playingMoved = self.playlist.getSelectionIndex() == self.playlist.getCurrentIndex()
					self.playlist.moveEntryDown(self.playlist.getSelectionIndex(), config.plugins.yampmusicplayer.wrapMovePlaylist.value)
					self.playlist.updateList()
					self.updateNextSong()
				elif self.currList == "filelist":
					if self.filelist.canDescent():
						self.addDir(self.filelist.getSelection()[0], recursive = False)
					else:
						self.addFile()
					self.playlist.moveToIndex(len(self.playlist)-1)
					self.movedown()
				else: 				#dblist
					try:
						navx = self.dblist.getSelection().nav
					except:
						navx = False
#					if not self.dblist.getSelection().nav:
					if not navx:
						mode = self.dblist.mode
						if mode >= TITLELIST:
							sref = ServiceReference(self.dblist.getSelection().ref)
							self.addService(sref.ref, self.dblist.getSelection().title, self.dblist.getSelection().artist)
							self.playlist.updateList()
							self.updateNextSong()
						elif mode in (PLAYLISTLIST, SEARCHPLAYLISTLIST):
							self.addExtPlaylist(self.dblist.getSelection().filename)
						elif mode in (ARTISTLIST, SEARCHARTISTLIST):
							self.addCategory(query = self.dblist.getSelection().artistID)
						elif mode in (ALBUMLIST, ARTISTALBUMLIST, GENREALBUMLIST, SEARCHALBUMLIST):
							self.addCategory(query = self.dblist.getSelection().albumID)
						elif mode in (GENRELIST, SEARCHGENRELIST):
							self.addCategory(query = self.dblist.getSelection().genreID)
						self.playlist.moveToIndex(len(self.playlist)-1)
						self.movedown()
	

	def redLongActions(self):
		LOG('YampScreen: redLongActions Start', 'err')
		self.redLongActive=True
		if self.screenSaverActive:
			if self["screenSaver"].getLen() < 2:
				self.session.open(MessageBox, _("Slide is the last slide and can not be removed"), type = MessageBox.TYPE_INFO,timeout = 5 )
				return
			try:
				currSlide =self["screenSaver"].getCurrentSlide()
				LOG('YampScreen: redLongActions: getCurrentSlide: %s' %(currSlide), 'err')
			except:
				LOG('YampScreen: redLongActions: getCurrentSlide: EXCEPT ', 'err')
			try:
#				LOG('YampScreen: redLongActions: len(currSlide): %d' %(len(currSlide)), 'err')
#				LOG('YampScreen: redLongActions: blackpath: %s' %(yampDir + 'images/black.png'), 'err')
				if len(currSlide) > 0 and currSlide <> (yampDir + 'images/black.png'):
#					LOG('YampScreen: redLongActions: innerhalb if', 'err')
					if config.plugins.yampmusicplayer.screenSaverMode.value == "artwork":
						slidepath = config.plugins.yampmusicplayer.screenSaverArtworkPath.value
					else: slidepath = self.slidePath	
#					LOG('YampScreen: redLongActions: slidepath: %s' %(slidepath), 'err')
					message = _('this picture will be blacklisted to %sblacklist.txt\nand will not be shown any more!\n\ndo you really want to blacklist this picture?')	%(slidepath)
					try:
#						LOG('YampScreen: redLongActions: message: %s' %(message), 'err')
						LOG('YampScreen: redLongActions: vor messagebox', 'err')
						self.par1 = slidepath
						self.par2 = currSlide
						self.session.openWithCallback(self.blackListConfirmed, MessageBox, message)
						LOG('YampScreen: redLongActions: nach messagebox:', 'err')
					except:
						LOG('YampScreen: redLongActions: message: EXCEPT ', 'err')
			except:		
				LOG('YampScreen: redLongActions: getCurrentSlide: EXCEPT ', 'err')
				
	def blackListConfirmed(self,answer):
		try:
			LOG('YampScreen: blackListConfirmed: Start: slidepath: %s currslide: %s' %(self.par1,self.par2), 'err')
		except:	
			LOG('YampScreen: blackListConfirmed: Start: EXCEPT' , 'err')
		if not answer:				#no blacklist
#			LOG('YampScreen: blackListConfirmed: answer no', 'err')
			pass
		else:
#			LOG('YampScreen: blackListConfirmed: answer yes', 'err')
			try:
				file = open(self.par1 + 'blacklist.txt', "a")		#self.par1: slidepath
				file.write(self.par2 + '\n')										#self.par2: slide
				file.close
			except:
				self.session.open(MessageBox, _("blacklist file could not be saved"), type = MessageBox.TYPE_INFO,timeout = 5 )
			try:
				self["screenSaver"].removeSlide(self.par2)
#				self["screenSaver"].removeCurrentSlide()
				self.resetSlideTimer()
			except:
				LOG('YampScreen: blackListConfirmed: removeCurrentSlide: EXCEPT' , 'err')
			
				
		
	def greenLongActions(self):
		self.greenLongActive=True
		if not self.screenSaverActive:
			if self.currList == "filelist" :
				if self.filelist.canDescent():
					self.addDir(self.filelist.getSelection()[0], recursive = True)
				else:
					self.addAllFiles()
				self.playlist.moveToIndex(len(self.playlist)-1)
			elif self.currList == "dblist":
				for x in self.dblist.getDatabaseList():
					if not x[0].nav and self.dblist.mode >= TITLELIST:
						sref = ServiceReference(x[0].ref)
						self.addService(sref.ref, x[0].title, x[0].artist)
				self.playlist.updateList()
				self.updateNextSong()
				self.playlist.moveToIndex(len(self.playlist)-1)
		
	def yellowActions(self):
		if self.yellowLongActive:
			self.yellowLongActive = False
		else:
			if not self.screenSaverActive:
				if self.currList == "filelist":
					if self.filelist.canDescent():
						self.session.open(YampDatabaseScreen, "add", self.filelist.getFilename())
					else:
						self.addFileToDb()
					self.movedown()
					self.databaseChanged=True
				elif self.currList == "dblist":
					numChoice = self.dblist.getSelectionIndex()
					choice = self.dblist.getSelection()
					if self.dblist.mode in (ARTISTLIST, SEARCHARTISTLIST):
						self.pushDblistStack (numChoice)
						self.buildDbMenuList (mode = ARTISTALBUMLIST, query = choice.artistID, menutitle = choice.artist)
					elif self.dblist.mode in (GENRELIST, SEARCHGENRELIST):
						self.pushDblistStack (numChoice)
						self.buildDbMenuList (mode = GENREALBUMLIST, query = choice.genreID, menutitle = choice.genre)
					elif self.dblist.mode in (TITLELIST, ARTISTTITLELIST, GENRETITLELIST, DATETITLELIST, SEARCHTITLELIST, SEARCHFILELIST, SEARCHARTISTTITLELIST):
						self.pushDblistStack (numChoice)
						self.buildDbMenuList (mode = ALBUMTITLELIST, query = choice.albumID, menutitle = choice.album)
					elif self.dblist.mode in (ALBUMTITLELIST, SEARCHALBUMTITLELIST):
						self.pushDblistStack (numChoice)
						self.buildDbMenuList (mode = ARTISTTITLELIST, query = choice.artistID, menutitle = choice.artist)
					self.setLeftContentTitle()
					self.setColorButtons()
				else:
					src = self["coverArt"].getFileName()
					if src != "":
						ext = os.path.splitext(os.path.basename(src))[1]
						dest = os.path.splitext(self.playlist.getServiceRefList()[self.playlist.getCurrentIndex()].getPath())[0] + ext
						try:
							open(dest, 'wb').write(open(src, 'rb').read())
							self.session.open(MessageBox, _("Cover saved"), type = MessageBox.TYPE_INFO,timeout = 5 )
						except:
							self.session.open(MessageBox, _("Saving cover failed"), type = MessageBox.TYPE_INFO,timeout = 30 )
			
	def yellowLongActions(self):
		self.yellowLongActive=True
		if not self.screenSaverActive:
			if self.currList == "filelist" :
				if self.filelist.canDescent():
					self.session.open(YampDatabaseScreen, "add", self.filelist.getFilename(), recursive = True)
				else:
					self.addFileToDb()
				self.movedown()
				self.databaseChanged=True
			elif self.currList == "dblist":
				if self.dblist.mode in (TITLELIST, ALBUMTITLELIST, GENRETITLELIST, SEARCHTITLELIST, SEARCHFILELIST, SEARCHALBUMTITLELIST):
					numChoice = self.dblist.getSelectionIndex()
					self.pushDblistStack (numChoice)
					choice = self.dblist.getSelection()
					self.buildDbMenuList (mode = ARTISTTITLELIST, query = choice.artistID, menutitle = choice.artist)
				self.setLeftContentTitle()
				self.setColorButtons()
			else:
				src = self["coverArt"].getFileName()
				if src != "":
					ext = os.path.splitext(os.path.basename(src))[1]
					dest = os.path.join(os.path.dirname(self.playlist.getServiceRefList()[self.playlist.getCurrentIndex()].getPath()),"albumcover") + ext
					try:
						open(dest, 'wb').write(open(src, 'rb').read())
						self.session.open(MessageBox, _("Albumcover saved"), type = MessageBox.TYPE_INFO,timeout = 5 )
					except:
						self.session.open(MessageBox, _("Saving albumcover failed"), type = MessageBox.TYPE_INFO,timeout = 30 )

#
# actions for switching between filelist/dblist and playlist and to toogle repeat and shuffle
#
	def switchToFileListOrRepeat(self):
#		LOG('YampScreen: switchToFileListOrRepeat: Start: screenSaverActive: %d playerState: %d' %(self.screenSaverActive, self.playerState), 'err')
		if self.screenSaverActive:
			self.hideScreenSaver()
		elif self.currList == "playlist":
#			if not config.plugins.yampmusicplayer.screenSaverLeft.value: 
#				LOG('YampScreen: switchToFileListOrRepeat: vor hideScreenSaver', 'err')
#				self.hideScreenSaver()
			if self.leftContent == "filelist":
				self.currList = "filelist"
				self.filelist.selectionEnabled(1)
			else:
				self.currList = "dblist"
				self.dblist.selectionEnabled(1)
			self.playlist.selectionEnabled(0)
			self.setColorButtons()
			self.updateLCDInfo()
#			if config.plugins.yampmusicplayer.screenSaverLeft.value: 
			self.resetScreenSaverTimer()
		else:
			self.toggleRepeat()
	
	#if not in standard V265 key mode		
	def switchToFileList(self):
#		LOG('YampScreen: switchToFileList: Start: screenSaverActive: %d playerState: %d' %(self.screenSaverActive, self.playerState), 'err')
		if self.screenSaverActive and self.playerState < STATE_STOP:
			self.prevSlide()
#			LOG('Yamp: switchToFileList: previousSlide:', 'all')
		elif self.currList == "playlist":
			if not config.plugins.yampmusicplayer.screenSaverLeft.value: 
#				LOG('YampScreen: switchToFileList: vor hideScreenSaver', 'err')
				self.hideScreenSaver()
			if self.leftContent == "filelist":
				self.currList = "filelist"
				self.filelist.selectionEnabled(1)
			else:
				self.currList = "dblist"
				self.dblist.selectionEnabled(1)
			self.playlist.selectionEnabled(0)
			self.setColorButtons()
			self.updateLCDInfo()
			self.resetScreenSaverTimer()
			
	def switchToPlayListOrShuffle(self):
#		LOG('switchToPlayListOrShuffle: Start', 'err')
		if self.screenSaverActive:
			self.hideScreenSaver()
		elif self.currList == "playlist":
			if not self.screenSaverActive:
				self.playlist.shuffleList()
				self.setShuffleButton()
		else:
			if len(self.playlist) > 0:
				self.currList = "playlist"
				self.filelist.selectionEnabled(0)
				self.dblist.selectionEnabled(0)
				self.playlist.selectionEnabled(1)
				self.setColorButtons()
				self.updateLCDInfo()
				self.startScreenSaverTimer()

	#if not in standard V265 key mode				
	def switchToPlayList(self):	
#		LOG('YampScreen: switchToPlayList: Start: screenSaverActive: %d playerState: %d' %(self.screenSaverActive, self.playerState), 'err')
		if self.screenSaverActive:
			self.nextSlide()
#			LOG('Yamp: switchToPlayList: nextSlide:', 'all')
		elif self.currList != "playlist":
			if len(self.playlist) > 0:
				self.currList = "playlist"
				self.filelist.selectionEnabled(0)
				self.dblist.selectionEnabled(0)
				self.playlist.selectionEnabled(1)
				self.setColorButtons()
				self.updateLCDInfo()
				self.resetScreenSaverTimer()
					
					
	def toggleRepeat(self):
		self.repeat = not self.repeat
		self.setRepeatButton()
#		LOG('YampScreen: toggleRepeat: call updateNextSong()', 'err')

	def setRepeatButton(self):
		if self.repeat:	self["repeat"].setPixmapNum(1)
		else:	self["repeat"].setPixmapNum(0)
		self.updateNextSong()

	def toggleShuffle(self):
#		LOG('YampScreen: toggleShuffle: Start', 'all')
		if self.currList == "playlist":
			if not self.screenSaverActive:
				self.playlist.shuffleList()
				self.setShuffleButton()
#				LOG('YampScreen: toggleShuffle: call updateNextSong()', 'err')
				self.updateNextSong()
			
	def setShuffleButton(self):
		if self.playlist.isShuffeled:	self["shuffle"].setPixmapNum(1)
		else:	self["shuffle"].setPixmapNum(0)
		
	def setSaverButton(self):
		if self.screenSaverTimer.isActive(): self["saver"].setPixmapNum(1)
		else:	self["saver"].setPixmapNum(0)

	def setHelpTexts(self):
		if config.plugins.yampmusicplayer.displayButtonHelp.value: 
			self["tv"].setPixmapNum(1)
			self["radio"].setPixmapNum(1)
			self["video"].setPixmapNum(1)
		else:	
			self["tv"].setPixmapNum(0)
			self["radio"].setPixmapNum(0)
			self["video"].setPixmapNum(0)
	
	def setColorButtons(self):
		self["key_blue"].setText(_("Delete Playlist Entry\nClear Playlist"))
		if self.currList == "filelist":
			self["key_red"].setText(_("Database Mode"))
			self["key_green"].setText(_("Add to Playlist\nAdd all to Playlist"))
			self["key_yellow"].setText(_("Add to Database\nAdd all to Database"))
		elif self.currList == "dblist":
			mode = self.dblist.mode
			self["key_red"].setText(_("Filelist Mode"))
			self["key_green"].setText("")
			if mode > MENULIST:
				if mode >= TITLELIST:
					self["key_green"].setText(_("Add to Playlist\nAdd all to Playlist"))
				else:
					self["key_green"].setText(_("Add to Playlist"))
			self["key_yellow"].setText("")
			if mode in (TITLELIST, GENRETITLELIST, SEARCHTITLELIST, SEARCHFILELIST):
				self["key_yellow"].setText(_("Show Album\nShow Artist"))
			elif mode in (ARTISTLIST, GENRELIST, SEARCHARTISTLIST, SEARCHGENRELIST):
				self["key_yellow"].setText(_("Show Albums"))
			elif mode in (ARTISTTITLELIST, SEARCHARTISTTITLELIST):
				self["key_yellow"].setText(_("Show Album"))
			elif mode in (ALBUMTITLELIST, SEARCHALBUMTITLELIST):
				self["key_yellow"].setText(_("Show Artist"))
		else: # playlist
			self["key_red"].setText(_("Move Entry Up"))
			self["key_green"].setText(_("Move Entry Down"))
			self["key_yellow"].setText(_("Save Cover\nSave Album Cover"))
			
	def setLeftContent(self):
		if self.currList == "dblist":
			self.leftContent = "dblist"
			self["filelist"].hide()
			self["dblist"].show()
			self.dblist.selectionEnabled(1)
			self.filelist.selectionEnabled(0)
		else:
			self.leftContent = "filelist"
			self["dblist"].hide()
			self["filelist"].show()
			self.filelist.selectionEnabled(1)
			self.dblist.selectionEnabled(0)
		self.setLeftContentTitle()

	def setLeftContentTitle(self):
		if self.leftContent == "filelist":
			self["leftContentTitle"].setText(_("M u s i c  F i l e s"))
		else:
			self["leftContentTitle"].setText(self.dblist.title)

#
# list independent actions
#
	def showHelp(self):
		self.hideScreenSaver()
		HelpableScreen.showHelp(self)
#		LOG('YampScreen: showHelp: before call HelpableScreen.showHelp', 'err')
#		try:
#			pass
#			self.session.openWithCallback(self.helpFinished, HelpableScreen)
#		except:	
#			LOG('YampScreen: showHelp: openWithCallback: EXCEPT', 'err')
#		LOG('YampScreen: showHelp: after call HelpableScreen.showHelp', 'err')
#		self.startScreenSaverTimer()		#!!!

#	def helpFinished(self):
#		LOG('YampScreen: helpFinished', 'err')
		
	def nextEntry(self):
#		LOG('YampScreen: nextEntry Start', 'err')
		next = self.playlist.getCurrentIndex() + 1
		if next < len(self.playlist):
			self.changeEntry(next)
		elif ( len(self.playlist) > 0 ) and self.repeat:
#			self.stopEntry()  # avoid endless loop
			self.changeEntry(0)
#			self.resetScreenSaverTimer()
		else:
			self.hideScreenSaver()
		if not self.screenSaverActive: self.resetScreenSaverTimer()

	def previousEntry(self):
#		LOG('YampScreen: previousEntry Start', 'err')
		next = self.playlist.getCurrentIndex() - 1
		if next >= 0:
			self.changeEntry(next)
		elif self.repeat:
			self.changeEntry(len(self.playlist)-1)
		else:
			self.resetScreenSaverTimer()  # show player for some seconds
		if not self.screenSaverActive: self.resetScreenSaverTimer()

	def pagedown(self):
		if self.screenSaverActive:
			self.nextSlide()
			LOG('YampScreen: pagedown: nextSlide:', 'all')
		else:
			self[self.currList].pageDown()
			self.resetScreenSaverTimer()
			self.updateLCDInfo()

	#if not in standard V265 key mode
	def pagedownspecial(self):
		if not self.screenSaverActive:
			self[self.currList].pageDown()
			self.updateLCDInfo()
		self.resetScreenSaverTimer()
			
	def pageup(self):
		if self.screenSaverActive:
			self.prevSlide()
		else:
			self[self.currList].pageUp()
			self.resetScreenSaverTimer()
			self.updateLCDInfo()
		
	#if not in standard V265 key mode
	def pageupspecial(self):
		if not self.screenSaverActive:
			self[self.currList].pageUp()
			self.updateLCDInfo()
		self.resetScreenSaverTimer()

	def moveup(self):
#		if self.config.plugins.yampmusicplayer.screenSaverLeft.value: 
#			self.resetScreenSaverTimer()
#			if self.playerState < STATE_STOP and self.manKeyScreensaver and (
#						self.currList == "playlist" or config.plugins.yampmusicplayer.screenSaverLeft.value):
		if not self.screenSaverActive:
			self[self.currList].up()
			self.updateLCDInfo()
		self.resetScreenSaverTimer()

	def movedown(self):
		if not self.screenSaverActive:
			self[self.currList].down()
			self.updateLCDInfo()
		self.resetScreenSaverTimer()

	def skipToListbegin(self):
		if not self.screenSaverActive:
			self[self.currList].moveToIndex(0)
			self.updateLCDInfo()
		self.resetScreenSaverTimer()

	def skipToListend(self):
		if not self.screenSaverActive:
			self[self.currList].moveToIndex(len(self[self.currList]) - 1)
			self.updateLCDInfo()
		self.resetScreenSaverTimer()
		
	def blueActions(self):
		if self.blueLongActive:
			self.blueLongActive = False
		else:
			if not self.screenSaverActive:
				self.deleteEntry()
			self.resetScreenSaverTimer()
			
	def blueLongActions(self):
		self.blueLongActive = True
		if not self.screenSaverActive:
			self.clearPlaylist()
		self.resetScreenSaverTimer()

#
# Add and Insert methods from FileList into PlayList
#
	def addFile(self):
		f = self.filelist.getFilename()
		if f.lower().endswith(".m3u") or f.lower().endswith(".pls") or f.lower().endswith(".e2pls"):
			self.addExtPlaylist(f)
		else:
			self.addService(self.filelist.getServiceRef())
			self.playlist.updateList()
#			LOG('YampScreen: addFile: call updateNextSong()', 'err')
			self.updateNextSong()
			
	def addAllFiles(self):
		for x in self.filelist.getFileList():
			if x[0][1] == False: # ordinary file
				f = x[0][0].getPath()
				if f.lower().endswith(".m3u") or f.lower().endswith(".pls") or f.lower().endswith(".e2pls"):
					pass # don't copy playlists
				else:
					self.addService(x[0][0])
		self.playlist.updateList()
		self.updateNextSong()

	def addDir(self, dir, recursive = True):
		filelist = YampFileList(dir, matchingPattern = "(?i)^.*\.(mp2|mp3|ogg|ts|wav|m3u|pls|e2pls|mpg|vob|avi|divx|m4v|mkv|mp4|m4a|dat|flac|mov|m2ts)", useServiceRef = True, showMountpoints = False, isTop = True)
		for x in filelist.getFileList():
			if x[0][1] == True: #isDir
				if recursive:
					if x[0][0] != dir:
						self.addDir(x[0][0])
			else:
				self.addService(x[0][0])
		self.playlist.updateList()
		self.updateNextSong()
	
	def addExtPlaylist(self, pl):
		ext = os.path.splitext(pl)[1]
		if self.playlistparsers.has_key(ext):
			playlistParser = self.playlistparsers[ext]()
			list = playlistParser.open(pl)
			if list:
				for x in list:
					self.playlist.addService(x.ref)  # No layout change for playlists
				self.playlist.updateList()
				if ext == ".e2pls":
					self.extPlaylistName = os.path.splitext(os.path.basename(pl))[0]
				
	def insertFile(self):
		f = self.filelist.getFilename()
		ext = os.path.splitext(f)[1]
		if ext in (".m3u", ".pls", ".e2pls"):
			self.insertExtPlaylist(f)
		else:
			self.insertService(self.playlist.getCurrentIndex()+1, self.filelist.getServiceRef())
			self.playlist.updateList()
			self.updateNextSong()

	def insertDir(self, dir):
		filelist = YampFileList(dir, matchingPattern = "(?i)^.*\.(mp2|mp3|ogg|ts|wav|m3u|pls|e2pls|mpg|vob|avi|divx|m4v|mkv|mp4|m4a|dat|flac|mov|m2ts)", useServiceRef = True, showMountpoints = False, isTop = True)
		for x in reversed(filelist.getFileList()):
			if x[0][1] == True: #isDir
				pass # not recursive
			else:
				self.insertService(self.playlist.getCurrentIndex()+1, x[0][0])
		self.playlist.updateList()
		self.updateNextSong()
	
	def insertExtPlaylist(self, pl):
		ext = os.path.splitext(pl)[1]
		if self.playlistparsers.has_key(ext):
			playlistParser = self.playlistparsers[ext]()
			list = playlistParser.open(pl)
			if list:
				for x in list:
					self.insertService(self.playlist.getCurrentIndex()+1, x.ref)
				self.playlist.updateList()
				self.updateNextSong()
				if ext == ".e2pls":
					self.extPlaylistName = os.path.splitext(os.path.basename(pl))[0]

#
# Add and Insert methods from DatabaseList into PlayList
#
	def addCategory(self, query, mode = "append", pos = 0):
		con, result = ConnectDatabase()
		mypos = 0
		addMode = mode
		if addMode == "insert":
			mypos = pos - 1
		if con is not None:
			con.text_factory = str
			cursor = con.cursor()
			mode = self.dblist.mode

			if mode in (ARTISTLIST, SEARCHARTISTLIST):
				if config.plugins.yampmusicplayer.titleOnlyOnceInSelection.value:
					cursor.execute("SELECT min(title_id), sref, title, Artists.artist FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id WHERE Titles.artist_id = %d GROUP BY upper(title);" % (query))
				else:
					cursor.execute("SELECT title_id, sref, title, Artists.artist FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id WHERE Titles.artist_id = %d ORDER BY upper(title), upper(Albums.album);" % (query))

#			elif mode in (ALBUMLIST, ARTISTALBUMLIST, GENREALBUMLIST, SEARCHALBUMLIST):
			elif mode in (ALBUMLIST, ARTISTALBUMLIST, GENREALBUMLIST, SEARCHALBUMLIST, DATEALBUMLIST):
				cursor.execute("SELECT title_id, sref, title, Artists.artist FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id WHERE Titles.album_id = %d ORDER BY tracknr, filename;" % (query))
				
			elif mode in (GENRELIST, SEARCHGENRELIST):
				if config.plugins.yampmusicplayer.titleOnlyOnceInSelection.value:
					cursor.execute("SELECT min(title_id), sref, title, Artists.artist FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id WHERE Titles.genre_id = %d GROUP BY upper(title);" % (query))
				else:
					cursor.execute("SELECT title_id, sref, title, Artists.artist FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id WHERE Titles.genre_id = %d ORDER BY upper(title), upper(Albums.album);" % (query))

			elif mode in (DATELIST, SEARCHDATELIST):
				if config.plugins.yampmusicplayer.titleOnlyOnceInSelection.value:
					cursor.execute("SELECT min(title_id), sref, title, Artists.artist FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id WHERE Titles.date_id = %d GROUP BY upper(title);" % (query))
				else:
					cursor.execute("SELECT title_id, sref, title, Artists.artist FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id WHERE Titles.date_id = %d ORDER BY upper(title), upper(Albums.album);" % (query))

			for row in cursor:
				sref = ServiceReference(row[1])
				if addMode == "append":
					self.addService(sref.ref, row[2], row[3])
				else:
					mypos += 1
					self.insertService(mypos, sref.ref, row[2], row[3])
			self.playlist.updateList()
			self.updateNextSong()
		cursor.close()  
		con.close()

#
# Add and Insert helper methods
#
	def addService(self, ref, title="", artist=""):
		self.applyLayout(ref, title, artist)
		self.playlist.addService(ref)
		
	def insertService(self, index, ref, title="", artist=""):
		self.applyLayout(ref, title, artist)
		self.playlist.insertService(index, ref)
		
	def applyLayout(self, sref, title, artist):
		path = sref.getPath()
		if config.plugins.yampmusicplayer.playlistLayout.value.startswith("fn"):
			path = os.path.basename(path)
			if config.plugins.yampmusicplayer.playlistLayout.value == "fn":		
				path = os.path.splitext(path)[0]
			sref.setName(path)
		elif config.plugins.yampmusicplayer.playlistLayout.value.startswith("tit"):
			if title == "" or artist == "":
				title, album, genre, artist, date, length, tracknr = readID3Infos(path)
			if config.plugins.yampmusicplayer.playlistLayout.value == "tit":
				name = title
			elif config.plugins.yampmusicplayer.playlistLayout.value == "titart":
				name = title + " - " + artist
			else:
				name = artist + " - " + title
			if name == "":
				name = os.path.splitext(os.path.basename(path))[0]
			sref.setName(name)
		else:  # for now no other layout options
			pass

#
# dblist actions
# For navigation, the dblist maintains its own stack
#
	def dblistActions(self):
		try:
			navx = self.dblist.getSelection().nav
		except:
			navx = False
		if navx:
#		if self.dblist.getSelection().nav:
			entry = self.popDblistStack()
			self.buildDbMenuList(mode = entry.mode, query = entry.query, menutitle = entry.menutitle, queryString = entry.queryString)
			self.dblist.moveToIndex(entry.selIndex)
		else:
			numChoice = self.dblist.getSelectionIndex()
			mode = self.dblist.mode
			if mode == MENULIST:
				self.pushDblistStack (numChoice)
				if numChoice == 0:
					self.buildDbMenuList(mode = PLAYLISTLIST, menutitle = _("E x t .  P l a y l i s t s"))
				elif numChoice == 1:
					self.buildDbMenuList(mode = ARTISTLIST, menutitle = _("A r t i s t s"))
				elif numChoice == 2:
					self.buildDbMenuList(mode = ALBUMLIST, menutitle = _("A l b u m s"))
				elif numChoice == 3:
					self.buildDbMenuList(mode = TITLELIST, menutitle = _("T i t l e s"))
				elif numChoice == 4:
					self.buildDbMenuList(mode = GENRELIST, menutitle = _("G e n r e s"))
				elif numChoice == 5:
					self.buildDbMenuList(mode = DATELIST, menutitle = _("D a t e s"))
			elif mode in (ARTISTLIST, SEARCHARTISTLIST):
				self.pushDblistStack (numChoice)
				choice = self.dblist.getSelection()
				self.buildDbMenuList (mode = ARTISTTITLELIST, query = choice.artistID, menutitle = choice.artist)
			elif mode in (ALBUMLIST, ARTISTALBUMLIST, GENREALBUMLIST, SEARCHALBUMLIST):
				self.pushDblistStack (numChoice)
				choice = self.dblist.getSelection()
				self.buildDbMenuList (mode = ALBUMTITLELIST, query = choice.albumID, menutitle = choice.album)
			elif mode in (GENRELIST, SEARCHGENRELIST):
				self.pushDblistStack (numChoice)
				choice = self.dblist.getSelection()
				self.buildDbMenuList (mode = GENRETITLELIST, query = choice.genreID, menutitle = choice.genre)
			elif mode in (DATELIST, SEARCHDATELIST):
				self.pushDblistStack (numChoice)
				choice = self.dblist.getSelection()
				self.buildDbMenuList (mode = DATETITLELIST, query = choice.dateID, menutitle = choice.date)
			elif mode in (PLAYLISTLIST, SEARCHPLAYLISTLIST):
				self.addExtPlaylist(self.dblist.getSelection().filename)
			elif mode >= TITLELIST:
				sref = ServiceReference(self.dblist.getSelection().ref)
				self.addService(sref.ref, self.dblist.getSelection().title, self.dblist.getSelection().artist)
				self.playlist.updateList()
#				LOG('YampScreen: dbListAction: call updateNextSong()', 'err')
				self.updateNextSong()
				self.movedown()
				self.playlist.moveToIndex(len(self.playlist)-1)
	
	def startupChecks(self):
		self.checkDatabaseConnection()
	
	def checkDatabaseConnection(self):
		dbPath = os.path.join(config.plugins.yampmusicplayer.databasePath.value ,"yamp.db")
		con, result = ConnectDatabase()
		if result == 1: self.session.open(MessageBox, _('Cannot open database file %s.') %(dbPath), type = MessageBox.TYPE_ERROR, title = _('Yamp connection to database'), timeout = 15 )
		elif result == 2: self.session.open(MessageBox, _('Cannot write to database %s. Maybe Read-Only?') %(dbPath), type = MessageBox.TYPE_ERROR, title = _('Yamp connection to database'), timeout = 15 )
	
	def buildDbMenuList(self, mode=None, query= -1, menutitle="", queryString=""):
		con, result = ConnectDatabase()
		try:
			LOG('YampScreen: buildDbMenuList: ConnectDatabase: con: %s ' %(con), 'spe') ###Test
#			LOG('YampScreen: buildDbMenuList: ConnectDatabase: con.value: %s ' %(con.value), 'spe') ###Test
		except:
			LOG('YampScreen: buildDbMenuList: ConnectDatabase : EXCEPT' , 'spe') ###Test
		if con is not None:
#			LOG('YampScreen: buildDbMenuList Start: mode: %d query: %d  menutitle: %s' %(mode, query, menutitle), 'err')
			con.text_factory = str
			cursor = con.cursor()
			if mode is not None:
				self.dblist.setMode(mode)
				if mode >= TITLELIST:
					self.dblist.setLines(2)
				else:
					self.dblist.setLines(1)
			self.dblist.setTitle(menutitle)
			self.dblist.list = []
			if self.dblist.mode == MENULIST:  # Main Menu
				# Playlists
				cursor.execute("SELECT COUNT (*) FROM Playlists;")
				row = cursor.fetchone()
				self.dblist.append(DblistEntryComponent(text = _("Playlists (%d)") % row[0]))
				# Artists
				cursor.execute("SELECT COUNT (*) FROM Artists;")
				row = cursor.fetchone()
				self.dblist.append(DblistEntryComponent(text = _("Artists (%d)") % row[0]))
				# Albums
				cursor.execute("SELECT COUNT (*) FROM Albums;")
				row = cursor.fetchone()
				self.dblist.append(DblistEntryComponent(text = _("Albums (%d)") % row[0]))
				# Titles
				cursor.execute("SELECT COUNT (*) FROM Titles;")
				row = cursor.fetchone()
				self.dblist.append(DblistEntryComponent(text = _("Titles (%d)") % row[0]))
				# Genres
				cursor.execute("SELECT COUNT (*) FROM Genres;")
				row = cursor.fetchone()
				self.dblist.append(DblistEntryComponent(text = _("Genres (%d)") % row[0]))
				# Dates
				cursor.execute("SELECT COUNT (*) FROM Dates;")
				row = cursor.fetchone()
				self.dblist.append(DblistEntryComponent(text = _("Dates (%d)") % row[0]))
					
				self.dblist.updateList()

			else:	# Lists
				self.dblist.append(DblistEntryComponent(text = _("[back]"), nav=True))
				if self.dblist.mode == PLAYLISTLIST:
					cursor.execute("SELECT playlist_id, playlist_title, playlist_filename FROM Playlists ORDER BY upper(playlist_title);")
					for row in cursor:
						self.dblist.append(DblistEntryComponent(titleID = row[0], text = row[1], title = row[1], filename = row[2]))
				elif self.dblist.mode == SEARCHPLAYLISTLIST:
					cursor.execute("SELECT playlist_id, playlist_title, playlist_filename FROM Playlists WHERE playlist_filename LIKE '%s' ORDER BY upper(playlist_title);" % (queryString))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(titleID = row[0], text = row[1], title = row[1], filename = row[2]))
				elif self.dblist.mode == ARTISTLIST:
					if len(self.dbArtistList) == 0:
						cursor.execute("SELECT Artists.artist_id, Artists.artist, COUNT (*) FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id GROUP BY Titles.artist_id ORDER BY upper(Artists.artist);")
						for row in cursor:
							self.dblist.append(DblistEntryComponent(text = "%s (%d)" % (row[1], row[2]), artistID = row[0], artist = row[1]))
						self.dbArtistList = self.dblist.list[:]	# cache artist list
					else:
						self.dblist.list = self.dbArtistList[:]
				elif self.dblist.mode == SEARCHARTISTLIST:
					cursor.execute("SELECT Artists.artist_id, Artists.artist, COUNT (*) FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id WHERE Artists.artist LIKE '%s' GROUP BY Titles.artist_id ORDER BY upper(Artists.artist);" % (queryString))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(text = "%s (%d)" % (row[1], row[2]), artistID = row[0], artist = row[1]))
				elif self.dblist.mode == ALBUMLIST:
					if len(self.dbAlbumList) == 0:
						cursor.execute("SELECT Albums.album_id, Albums.album, COUNT (*) FROM Titles INNER JOIN Albums ON Titles.album_id = Albums.album_id GROUP BY Titles.album_id ORDER BY Albums.album;")
						for row in cursor:
							self.dblist.append(DblistEntryComponent(text = "%s (%d)" % (row[1], row[2]), albumID = row[0], album = row[1]))
						self.dbAlbumList = self.dblist.list[:]	# cache album list
					else:
						self.dblist.list = self.dbAlbumList[:]
				elif self.dblist.mode == SEARCHALBUMLIST:
					cursor.execute("SELECT Albums.album_id, Albums.album, COUNT (*) FROM Titles INNER JOIN Albums ON Titles.album_id = Albums.album_id WHERE Albums.album LIKE '%s' GROUP BY Titles.album_id ORDER BY Albums.album;" % (queryString))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(text = "%s (%d)" % (row[1], row[2]), albumID = row[0], album = row[1]))
				elif self.dblist.mode == ARTISTALBUMLIST:
					cursor.execute("SELECT Albums.album_id, Albums.album FROM Titles INNER JOIN Albums ON Titles.album_id = Albums.album_id WHERE Titles.artist_id = %d GROUP BY Titles.album_id ORDER BY upper(Albums.album);" % (query))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(text = "%s" % (row[1]), albumID = row[0], album = row[1]))
				elif self.dblist.mode == GENREALBUMLIST:
					cursor.execute("SELECT Albums.album_id, Albums.album FROM Titles INNER JOIN Albums ON Titles.album_id = Albums.album_id WHERE Titles.genre_id = %d GROUP BY Titles.album_id ORDER BY upper(Albums.album);" % (query))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(text = "%s" % (row[1]), albumID = row[0], album = row[1]))
				elif self.dblist.mode == GENRELIST:
					cursor.execute("SELECT Genres.genre_id,Genres.genre, COUNT (*) FROM Titles INNER JOIN Genres ON Titles.genre_id = Genres.genre_id GROUP BY Titles.genre_id ORDER BY Genres.genre;")
					for row in cursor:
						self.dblist.append(DblistEntryComponent(text = "%s (%d)" % (row[1], row[2]), genreID = row[0], genre = row[1]))
				elif self.dblist.mode == SEARCHGENRELIST:
					cursor.execute("SELECT Genres.genre_id,Genres.genre, COUNT (*) FROM Titles INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Genres.genre LIKE '%s' GROUP BY Titles.genre_id ORDER BY Genres.genre;" % (queryString))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(text = "%s (%d)" % (row[1], row[2]), genreID = row[0], genre = row[1]))
				elif self.dblist.mode == DATELIST:
					try:
						cursor.execute("SELECT Dates.date_id,Dates.date, COUNT (*) FROM Titles INNER JOIN Dates ON Titles.date_id = Dates.date_id GROUP BY Titles.date_id ORDER BY Dates.date;")
						for row in cursor:
							self.dblist.append(DblistEntryComponent(text = "%s (%d)" % (row[1], row[2]), dateID = row[0], date = row[1]))
					except:
						LOG('YampScreen: buildDbMenuList: EXCEPT NO DATE IN DATABASE', 'err')
						self.session.open(MessageBox, _("No Year in Database, see Documentation"), type = MessageBox.TYPE_INFO,timeout = 20 )
				elif self.dblist.mode == SEARCHDATELIST:
					try:
						cursor.execute("SELECT Dates.date_id,Dates.date, COUNT (*) FROM Titles INNER JOIN Dates ON Titles.date_id = Dates.date_id WHERE Dates.date LIKE '%s' GROUP BY Titles.date_id ORDER BY Dates.date;" % (queryString))
						for row in cursor:
							self.dblist.append(DblistEntryComponent(text = "%s (%d)" % (row[1], row[2]), genreID = row[0], genre = row[1]))
					except:
						pass
						
				elif self.dblist.mode == TITLELIST:
					if len(self.dbTitleList) == 0:
						cursor.execute("SELECT title_id, title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id ORDER BY upper(title), upper(Albums.album);")
						for row in cursor:
							self.dblist.append(DblistEntryComponent(titleID = row[0], title = row[1], filename = row[2], artistID = row[3], artist = row[4], albumID = row[5], album = row[6], genreID = row[7], genre = row[8], date = row[9], length = row[10], tracknr = row[11], ref = row[12]))
						self.dbTitleList = self.dblist.list[:]	# cache title list
					else:
						self.dblist.list = self.dbTitleList[:]
				elif self.dblist.mode == ARTISTTITLELIST:
					if config.plugins.yampmusicplayer.titleOnlyOnceInSelection.value:
						cursor.execute("SELECT min(title_id), title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Titles.artist_id = %d GROUP BY upper(title);" % (query))
					else:
						cursor.execute("SELECT title_id, title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Titles.artist_id = %d ORDER BY upper(title), upper(Albums.album);" % (query))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(titleID = row[0], title = row[1], filename = row[2], artistID = row[3], artist = row[4], albumID = row[5], album = row[6], genreID = row[7], genre = row[8], date = row[9], length = row[10], tracknr = row[11], ref = row[12]))
				elif self.dblist.mode == ALBUMTITLELIST:
					cursor.execute("SELECT title_id, title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Titles.album_id = %d ORDER BY tracknr, filename;" % (query))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(titleID = row[0], title = row[1], filename = row[2], artistID = row[3], artist = row[4], albumID = row[5], album = row[6], genreID = row[7], genre = row[8], date = row[9], length = row[10], tracknr = row[11], ref = row[12]))
				elif self.dblist.mode == GENRETITLELIST:
					if config.plugins.yampmusicplayer.titleOnlyOnceInSelection.value:
						cursor.execute("SELECT min(title_id), title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Titles.genre_id = %d GROUP BY upper(title);" % (query))
					else:
						cursor.execute("SELECT title_id, title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Titles.genre_id = %d ORDER BY upper(title), upper(Albums.album);" % (query))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(titleID = row[0], title = row[1], filename = row[2], artistID = row[3], artist = row[4], albumID = row[5], album = row[6], genreID = row[7], genre = row[8], date = row[9], length = row[10], tracknr = row[11], ref = row[12]))
				elif self.dblist.mode == DATETITLELIST:
					if config.plugins.yampmusicplayer.titleOnlyOnceInSelection.value:
						cursor.execute("SELECT min(title_id), title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Titles.date_id, Genres.genre, Dates.date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id INNER JOIN Dates ON Titles.date_id = Dates.date_id WHERE Titles.date_id = %d GROUP BY upper(title);" %(query))
					else:
						cursor.execute("SELECT title_id, title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Titles.date_id, Genres.genre, Dates.date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id INNER JOIN Dates ON Titles.date_id = Dates.date_id WHERE Titles.date_id = %d GROUP BY upper(title);" %(query))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(titleID = row[0], title = row[1], filename = row[2], artistID = row[3], artist = row[4], albumID = row[5], album = row[6], genreID = row[7], genre = row[9], date = row[10], length = row[11], tracknr = row[12], ref = row[13]))
				elif self.dblist.mode == SEARCHTITLELIST:
					cursor.execute("SELECT title_id, title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Titles.title LIKE '%s' ORDER BY upper(title), upper(Albums.album);" % (queryString))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(titleID = row[0], title = row[1], filename = row[2], artistID = row[3], artist = row[4], albumID = row[5], album = row[6], genreID = row[7], genre = row[8], date = row[9], length = row[10], tracknr = row[11], ref = row[12]))
				elif self.dblist.mode == SEARCHFILELIST:
					cursor.execute("SELECT title_id, title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Titles.filename LIKE '%s' ORDER BY upper(title), upper(Albums.album);" % (queryString))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(titleID = row[0], title = row[1], filename = row[2], artistID = row[3], artist = row[4], albumID = row[5], album = row[6], genreID = row[7], genre = row[8], date = row[9], length = row[10], tracknr = row[11], ref = row[12]))
				elif self.dblist.mode == SEARCHARTISTTITLELIST:
					if config.plugins.yampmusicplayer.titleOnlyOnceInSelection.value:
						cursor.execute("SELECT min(title_id), title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Artists.artist LIKE '%s' GROUP BY upper(title);" % (queryString))
					else:
						cursor.execute("SELECT title_id, title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Artists.artist LIKE '%s' ORDER BY upper(title), upper(Albums.album);" % (queryString))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(titleID = row[0], title = row[1], filename = row[2], artistID = row[3], artist = row[4], albumID = row[5], album = row[6], genreID = row[7], genre = row[8], date = row[9], length = row[10], tracknr = row[11], ref = row[12]))
				elif self.dblist.mode == SEARCHALBUMTITLELIST:
					cursor.execute("SELECT title_id, title, filename, Titles.artist_id, Artists.artist, Titles.album_id, Albums.album, Titles.genre_id, Genres.genre, date, length, tracknr, sref FROM Titles INNER JOIN Artists ON Titles.artist_id = Artists.artist_id INNER JOIN Albums ON Titles.album_id = Albums.album_id INNER JOIN Genres ON Titles.genre_id = Genres.genre_id WHERE Albums.album LIKE '%s' ORDER BY tracknr, filename;" % (queryString))
					for row in cursor:
						self.dblist.append(DblistEntryComponent(titleID = row[0], title = row[1], filename = row[2], artistID = row[3], artist = row[4], albumID = row[5], album = row[6], genreID = row[7], genre = row[8], date = row[9], length = row[10], tracknr = row[11], ref = row[12]))
				self.dblist.updateList()
				if len(self.dblist) > 1:
					self.dblist.moveToIndex(1)
			cursor.close()  
			con.close()
			self.currDblist = DblistStackEntry(self.dblist.mode, query, self.dblist.getSelectionIndex(), menutitle, queryString) # for refresh after DB changes

	def updateDbMenuList(self):
		self.dbTitleList = []
		self.dbArtistList = []
		self.dbAlbumList = []
		self.buildDbMenuList (mode = self.currDblist.mode, query = self.currDblist.query, menutitle = self.currDblist.menutitle, queryString = self.currDblist.queryString)
		
	def pushDblistStack(self, sel):
		self.dbStack.append(DblistStackEntry(mode = self.currDblist.mode, query = self.currDblist.query, selIndex = sel, menutitle = self.currDblist.menutitle, queryString = self.currDblist.queryString))

	def popDblistStack(self):
		entry = self.dbStack[-1]
		del self.dbStack[-1]
		return entry
			
#
# Methods for reading external playlists (.m3u, .pls, .e2pls) and writing e2pls playlists
#
	def addPlaylistParser(self, parser, extension):
		self.playlistparsers[extension] = parser

	def loadLastPlaylist(self):
		self.YampParserE2pls = YampParserE2pls()
		list = self.YampParserE2pls.open(resolveFilename(SCOPE_CONFIG, "yamp.e2pls"))
		if list:
			for x in list:
				self.playlist.addService(x.ref)  # No layout change for playlist
			self.playlist.setCurrentPlaying(config.plugins.yampmusicplayer.lastPlaylistIndex.value)
			self.playlist.stopService() # show stop icon
			self.playerState = STATE_STOP # inhibit screen saver
			list = self.YampParserE2pls.open(resolveFilename(SCOPE_CONFIG, "yampsl.e2pls"))
			if list:
				del self.playlist.shadowList[:]
				for x in list:
					self.playlist.addShadowService(x.ref)
			self.playlist.updateList()
#			LOG('YampScreen: loadLastPlaylist: call updateNextSong()', 'err')
#			self.updateNextSong()
			self.playlist.isShuffeled = config.plugins.yampmusicplayer.shuffle.value
			self.setShuffleButton()
			self.switchToPlayListOrShuffle()
			
	def savePlaylist(self, mode):
		self.par1 = mode
		self.session.openWithCallback(self.savePlaylistCallback, VirtualKeyBoard, title=_("YAMP - Please enter filename:"), text=self.extPlaylistName)

	def savePlaylistCallback(self, name):
		LOG('YampScreen: savePlaylistCallback: Start: Mode: %d' %(self.par1), 'err')
		if name is not None:
			name = name.strip()
			if name == "":
				name = strftime("%y%m%d-%H%M%S")
			self.extPlaylistName = name
			LOG('YampScreen: savePlaylistCallback: name: %s' %(name), 'err')
			
			# Save e2pls
			if self.par1 == 1 or self.par1 == 3:
				LOG('YampScreen: savePlaylistCallback: e2pls', 'err')
				fname = name + ".e2pls"
				LOG('YampScreen: savePlaylistCallback: fname: %s' %(fname), 'err')
				self.YampParserE2pls = YampParserE2pls()
				self.YampParserE2pls.clear()
				for x in self.playlist.list:
					self.YampParserE2pls.addService(ServiceReference(x[0]))
				try:	
					nok=self.YampParserE2pls.save(os.path.join(config.plugins.yampmusicplayer.playlistPath.value, fname))
				except:
					nok=5
#				LOG('YampScreen: savePlaylistCallback: nok: %d' %(nok), 'err')
				if nok: self.session.open(MessageBox, _('Playlist saving as %s failed') %(fname), type = MessageBox.TYPE_INFO,timeout = 7 )
				else: self.session.open(MessageBox, _('Playlist saved as %s') %(fname), type = MessageBox.TYPE_INFO,timeout = 7 )
				
			# Save m3u
			if self.par1 == 2 or self.par1 == 3:
				LOG('YampScreen: savePlaylistCallback: m3u', 'err')
				fname = name + ".m3u"
				try:
					self.YampParserM3u = YampParserM3u()
					LOG('YampScreen: savePlaylistCallback: fname: %s' %(fname), 'err')
				except:
					LOG('YampScreen: savePlaylistCallback: self.YampParserM3u: EXCEPT', 'err')
				try:
					self.YampParserM3u.clear()
				except:
					LOG('YampScreen: savePlaylistCallback: clear: EXCEPT', 'err')
				try:
					for x in self.playlist.list:
						self.YampParserM3u.addService(ServiceReference(x[0]))
				except:
					LOG('YampScreen: savePlaylistCallback: for x : EXCEPT', 'err')
				try:	
					nok=self.YampParserM3u.save(os.path.join(config.plugins.yampmusicplayer.playlistPath.value, fname))
				except:
					nok=5
				if nok: self.session.open(MessageBox, _('Playlist saving as %s failed') %(fname), type = MessageBox.TYPE_INFO,timeout = 7 )
				else: self.session.open(MessageBox, _('Playlist saved as %s') %(fname), type = MessageBox.TYPE_INFO,timeout = 7 )
			self.filelist.refresh()
				
		
	def deletePlaylist(self):
		playlist = self.filelist.getFilename()
		if os.path.exists(playlist):
			os.remove(playlist)
			self.filelist.refresh()

#
# More methods for playlists and playlist entries	
#
	def checkSkipShowHideLock(self):  # method override from InfoBarGenerics
		if self.seekstate == self.SEEK_STATE_PAUSE:
			self.playlist.pauseService()
			self.playerState = STATE_PAUSE
		elif self.seekstate == self.SEEK_STATE_PLAY:
			self.playlist.playService()
			self.playerState = STATE_PLAY

	def doEofInternal(self, playing):
#		LOG('YampScreen: doEofInternal: Start', 'spe') ###Test
		if playing:
#			LOG('YampScreen: doEofInternal: nextEntry() !!!', 'spe') ###Test
			self.nextEntry()
		else:
			self.hideScreenSaver()

	def deleteEntry(self):
		if len(self.playlist) > 0:
			deletedCurrentEntry = False
			if self.currList == "playlist":
				index = self.playlist.getSelectionIndex()
			else:
				index = self.playlist.getCurrentIndex()
			if index == self.playlist.getCurrentIndex():
				self.stopEntry()
				deletedCurrentEntry = True
			self.playlist.deleteService(index)
			self.playlist.updateList()
			self.updateNextSong()
			if len(self.playlist) == 0:
				self.switchToFileListOrRepeat()
			elif deletedCurrentEntry:
				self.nextEntry()
			self.updateLCDInfo()
			self.updateNextSong()
			
	def changeEntry(self, index):
		self.playlist.setCurrentPlaying(index)
		if len(self.playlist.getServiceRefList()):
			currRef = self.playlist.getServiceRefList()[self.playlist.getCurrentIndex()]
			if self.session.nav.getCurrentlyPlayingServiceReference() is None or currRef != self.session.nav.getCurrentlyPlayingServiceReference():
				self.session.nav.playService(currRef)
			self.setSeekState(self.SEEK_STATE_PLAY)
			self.playerState = STATE_PLAY
			ext = os.path.splitext(currRef.getPath())[1]
			if ext in audioExtensions:
				self.currentIsVideo = False
			else:
				self.currentIsVideo = True
			if self.screenSaverActive:
				LOG('YampScreen: changeEntry: call showScreenSaver', 'all')
				self.showScreenSaver()
			if self.eofbugTimer.isActive():
				self.eofbugTimer.stop()
			self.playPosition = -1
			self.eofbugTimer.start(1000)
			
	def stopEntry(self):
		self.playlist.stopService()
		self.playerState = STATE_STOP
		self.session.nav.stopService()
		self.updateMusicInformation(clear = True)
		self.currPath = ""
		self.hideScreenSaver()

	def clearPlaylist(self):
		if len(self.playlist) > 0:
			self.stopEntry()
			self.playlist.clear()
			self.setShuffleButton()
			self.switchToFileListOrRepeat()
			self.updateLCDInfo()
			self.updateNextSong()

	def checkEOF(self):
#		LOG('YampScreen: checkEOF: Start : Player State: %d:' %(self.playerState,), 'err') ###Test
		gap = config.plugins.yampmusicplayer.gapCorrection.value
		if self.playerState == STATE_PLAY:
			len, pos = self.getSeekData()
#			try:
#				LOG('YampScreen: checkEOF: Start : len; %d pos: %d playPos: %d' %(len,pos,self.playPosition), 'spe') ###Test
#			except:
#				LOG('YampScreen: checkEOF: Start : EXCEPT' , 'err') ###Test
			if self.playPosition == pos:
#			if self.playPosition == pos and pos >= 0:
#				try:
#					LOG('YampScreen: checkEOF: nextEntry!!! : len; %d pos: %d playPos: %d' %(len,pos,self.playPosition), 'spe') ###Test
#				except:
#					LOG('YampScreen: checkEOF: nextEntry!!! : EXCEPT' , 'err') ###Test
				self.nextEntry()
			else:
				self.playPosition = pos
#				LOG('YampScreen: checkEOF: pos: %d ' %(pos), 'spe') ###Test
				if len and pos and gap:
					if (len - pos) < 100000: # 90000 = 1 second -> poll for the last 1.1 seconds
						while(len - pos) > gap * 900:
							len, pos = self.getSeekData()
#						try:
#							LOG('YampScreen: checkEOF: nextEntry!!! Gap!!!: len; %d pos: %d len-pos: %d' %(len,pos,(len-pos)), 'spe') ###Test
#						except:
#							LOG('YampScreen: checkEOF: nextEntry!!! Gap!!!: EXCEPT' , 'err') ###Test
						self.nextEntry()
		self.eofbugTimer.start(1000)
			
	def getSeekData(self):
		service = self.session.nav.getCurrentService()
		seek = service and service.seek()
		if seek is None:
			return (0, 0)
		len = seek.getLength()
		pos = seek.getPlayPosition()
		if len[0] or pos[0]:
			return (0, 0)
		return (len[1], pos[1])
		
#
# Yamp Screen Saver
#
	
	def initScreenSaver(self, artist = '', newArtist = False):
		LOG('YampScreen: initScreenSaver: Start', 'all')
		try:
			LOG('YampScreen: initScreenSaver: Screenpath: %s' %(os.path.join(yampDir, 'skins', config.plugins.yampmusicplayer.yampSkin.value, 'Yamp.xml')),'all')
		except:
			LOG('YampScreen: initScreenSaver: Screenpath:: EXCEPT','err')

		#Standard Screensaver
		if config.plugins.yampmusicplayer.screenSaverMode.value == "standard":
			slidePath = yampDir + "saver/"
			baseSlidePath = slidePath

		#Custom Screensaver
		elif config.plugins.yampmusicplayer.screenSaverMode.value == "custom":
			slidePath = config.plugins.yampmusicplayer.screenSaverSlidePath.value
			if not os.path.exists(slidePath):
#				config.plugins.yampmusicplayer.screenSaverMode.value = "blank"
				slidePath = yampDir + "images/"
			baseSlidePath = slidePath
	

		#Artwork Screensaver
		elif config.plugins.yampmusicplayer.screenSaverMode.value == "artwork":
			LOG('YampScreen: initScreenSaver: Artwork: artist %s' %(artist),'all')
			if artist != "":
				artworkPath = config.plugins.yampmusicplayer.screenSaverArtworkPath.value
				baseSlidePath = artworkPath
				LOG('YampScreen: initScreenSaver: Artwork: artworkPath %s' %(artworkPath),'all')
#				LOG('YampScreen: initScreenSaver: Artwork: artist: %s' %(artist),'err')  ###Test
				artist = self.getArtistAlias(artworkPath,artist)
#				LOG('YampScreen: initScreenSaver: Artwork: artist Alias: %s' %(artist),'err')  ###Test
				slidePath = self.getArtistArtDir(artworkPath,artist)
#				slidePath = artworkPath + artist
				LOG('YampScreen: initScreenSaver: Artwork: slidePath %s' %(slidePath),'all')
#				LOG('YampScreen: initScreenSaver: Artwork: slidePath %s' %(slidePath),'err')   ###Test
				try:
					filelist = self.fileListByExt(slidePath, [".jpg", ".png", ".bmp", ".gif"], config.plugins.yampmusicplayer.screenSaverSubDirs.value, 500)
				except:
					filelist = []
					LOG('YampScreen: initScreenSaver: filelistArtist: EXCEPT: No files found', 'err')
				try:
					if len(filelist) == 0:
						slidePath = artworkPath + 'Default/'
				except:
					LOG('YampScreen: initScreenSaver: len(filelist): EXCEPT', 'err')
					slidePath = artworkPath + 'Default/'
					baseSlidePath = slidePath
				LOG('YampScreen: updateArtistScreenSaver slidePath Artist: %s' %(slidePath), 'all')

				if not os.path.exists(slidePath):
#					config.plugins.yampmusicplayer.screenSaverMode.value = "blank"
					slidePath = yampDir + "images/"
					baseSlidePath = slidePath
			else:
				slidePath = yampDir + "images/"
				baseSlidePath = slidePath
				LOG('YampScreen: updateArtistScreenSaver slidePath Artist: no new song', 'all')

		#Blank Screensaver
		else:
			slidePath = yampDir + "images/"
			baseSlidePath = slidePath
			
		LOG('YampScreen: initScreenSaver: self.slidePath: %s slidePath: %s  newArtist: %d artist: %s' %(self.slidePath,slidePath,newArtist,artist),'all')
		if (self.slidePath != slidePath) or newArtist:
			try:
				LOG('YampScreen: initScreenSaver: Neuer slidePath: %s newArtist: %d' %(slidePath, newArtist), 'all')
			except:
				pass
			self.slidePath = slidePath
			slideList = []
			slideIndex = 0
			
			#Build Filelists and Slidelists
			
#			if config.plugins.yampmusicplayer.screenSaverMode.value == "blank":
			if slidePath == yampDir + "images/":
				slideList.append(os.path.join(self.slidePath,"black.png"))

			#custom or artistart screensaver 
			else:
				fileList = self.buildFileList()			#scan folders (including subfolders), create filelist
			
				for filename in fileList:
					try:
#						LOG('YampScreen: initScreenSaver: filename: %s' %(filename), 'err')	
						if os.path.splitext(filename)[1].lower() in (".jpg", ".png", ".bmp", ".gif"):
							fullname = os.path.join(self.slidePath,filename)
							if os.path.isfile(fullname) and os.stat(fullname).st_size > 500:
								slideList.append(fullname)
					except:
						LOG('YampScreen: initScreenSaver: filename: EXCEPT'	, 'err')	
				LOG('YampScreen: initScreenSaver: before blacklist: len(slideList): %d slideList: %s' %(len(slideList),slideList), 'all')	
				try:
					slideList = self.checkBlackList(slideList, baseSlidePath)
					LOG('YampScreen: initScreenSaver: after blacklist: len(slideList): %d slideList: %s' %(len(slideList),slideList), 'all')	
				except:
					LOG('YampScreen: initScreenSaver: call blacklist: EXCEPT', 'err')	

			sorting = config.plugins.yampmusicplayer.screenSaverSort.value
			if sorting == 'sortA':
				slideList.sort()
			elif sorting == 'sortZ':
				slideList.sort(reverse = True)
			elif sorting == 'shuffle':
				random.shuffle(slideList)
			ind = 0
			for slide in slideList:
				if slide == config.plugins.yampmusicplayer.lastSlide.value:
					slideIndex = ind - 1
					break
				ind += 1
#				LOG('YampScreen: initScreen End: slideIndex: %d' %(slideIndex), 'all')
				
		self["screenSaver"].setList(slideList, slideIndex, showImmediate=True)
#		self["screenSaver"].setList(slideList, slideIndex, showImmediate=newArtist)
			
		LOG('YampScreen: initScreen before newArtist %d\n' %(newArtist), 'all')
		if newArtist == False:
#			self.resetScreenSaverTimer()
			self.resetSlideTimer()
			LOG('YampScreen: initScreen End:  resetScreenSaverTimer()', 'all')
		else:
			self.resetSlideTimer()
			LOG('YampScreen: initScreen End: resetSlideTimer()', 'all')

	def checkBlackList(self,slidelist,basepath):
		try:
#			LOG('YampScreen: checkBlackList: slidelist start: basepath: %s slidelist: %s' %(basepath,slidelist), 'err')	
#			LOG('YampScreen: checkBlackList: file: %s' %(os.path.join(basepath,'blacklist.txt')), 'err')	
			blackFilePath = os.path.join(basepath,'blacklist.txt')
			LOG('YampScreen: checkBlackList: blackFilePath: %s ' %(blackFilePath), 'all')	
			if not os.access(blackFilePath, os.R_OK): 
				LOG('YampScreen: checkBlackList: file does not exist: %s ' %(blackFilePath), 'all')	
				return slidelist
			blackFile = open(blackFilePath, "r")
			for line in blackFile:
				blacklist=line.strip()
				LOG('YampScreen: checkBlackList: blacklist line: %s ' %(blacklist), 'all')	
				if blacklist in slidelist:
					LOG('YampScreen: checkBlackList: blacklisted slide found: %s ' %(blacklist), 'all')
					slidelist.remove(blacklist)
			blackFile.close()
		except:	
			LOG('YampScreen: checkBlackList: EXCEPT', 'err')	
		return slidelist

	#custom or artistart screensaver: scan folders (including subfolders), create filelist
	def buildFileList(self):
		try:
#			LOG('YampScreen: buildFileList: screenSaverSubDirs: %d' %(config.plugins.yampmusicplayer.screenSaverSubDirs.value), 'err')	
			fileList = []
			if config.plugins.yampmusicplayer.screenSaverSubDirs.value:
				try:
					subFolders=[]
					for dirpath, dirnames, files in os.walk(self.slidePath):
						try:
#							LOG('YampScreen: buildFileList: fileList2: dirpath: %s dirnames: %s files: %s' %(dirpath, dirnames, files), 'err')	
							for name in files:
#								LOG('YampScreen: buildFileList: fileList2: dirpath: %s name %s' %(dirpath, name), 'err')	
								fileList.append(os.path.join(dirpath, name))
						except:
							LOG('YampScreen: buildFileList: fileList2: EXCEPT', 'err')	
				except:
					LOG('YampScreen: buildFileList: fileList1: EXCEPT', 'err')	
				LOG('YampScreen: buildFileList: fileList: %s' %(fileList), 'all')	
			else:
				for filename in os.listdir(self.slidePath):
					fileList.append(filename)
				LOG('YampScreen: buildFileList: fileList: %s' %(fileList), 'all')	
		except:
			LOG('YampScreen: buildFileList: fileList complete: EXCEPT', 'err')	
		return fileList
			
	def getArtistArtDir(self,pathname,artist):
		fullname = pathname + artist
		try:
			for path in os.listdir(pathname):
#				LOG('YampScreen: getArtistArtDir: path: %s' %(path), 'err')
				if os.path.isdir(pathname+path):
#					LOG('YampScreen: getArtistArtDir: isdir: path: %s' %(path), 'err')
					if artist.lower() == path.lower():
						fullname = pathname + path
						break
				else:
					pass
#					LOG('YampScreen: getArtistArtDir: NODIR: path: %s' %(path), 'err')
		except:
			LOG('YampScreen: getArtistArtDir: path: EXCEPT', 'err')
		return fullname	

	def getArtistAlias(self,pathname,artist):
		try:
			aliasfilename=os.path.join(pathname, 'YampArtistReplace.txt')
#			LOG('YampScreen: getArtistAlias: aliasfilename: %s' %(aliasfilename), 'err')
		except:
			LOG('YampScreen: getArtistAlias: aliasfilename: EXCEPT', 'err')
			return artist
		artistalias = artist
		try:
			file = open(aliasfilename, "r")
			for line in file:
#				artistreplace = line.strip().split(',').encode("utf-8", 'ignore')
				artistreplace = line.strip().split(',')
				try:
#					LOG('YampScreen: getArtistAlias: artistreplace: *%s*' %(artistreplace), 'err')
					if artistreplace[0] == artist:
#						LOG('YampScreen: getArtistAlias: found: artistreplace: *%s*  artist: *%s*' %(artistreplace[0], artist), 'err')
						if len(artistreplace[1]) > 0:
							artistalias = artistreplace[1]
						break
				except:
					LOG('YampScreen: getArtistAlias: artistreplace: EXCEPT' , 'err')
			file.close()
#			LOG('YampScreen: getArtistAlias: artist: %s  artistalias: *%s*' %(artist, artistalias), 'err')
#			return artistalias
		except:
			LOG('YampScreen: getArtistAlias: file: EXCEPT' , 'err')
		return artistalias
		
		
	def resetScreenSaverTimer(self):
#		LOG('YampScreen: resetScreenSaverTimer', 'err')
		self.hideScreenSaver()
		self.startScreenSaverTimer()
		
	def startScreenSaverTimer(self):
#		LOG('YampScreen:  startScreenSaverTimer: Timer.isActive: %d  screenSaverActive: %d' %(self.screenSaverTimer.isActive(),self.screenSaverActive), 'err')
#		LOG('YampScreen: startScreenSaverTimer: self.currList == "playlist": %d  self.playerState < STATE_STOP: %d' %(self.currList == "playlist",self.playerState < STATE_STOP), 'err')
#		LOG('YampScreen: startScreenSaverTimer: self.screenSaverManOff: %d' %(self.screenSaverManOff), 'err')
		if self.screenSaverManOff: return
		msecs = config.plugins.yampmusicplayer.screenSaverWait.value * 1000
		if self.screenSaverTimer.isActive() or self.screenSaverActive:
#			LOG('YampScreen: startScreenSaverTimer: pass', 'err')
			pass
		elif  self.playerState < STATE_STOP and ( self.currList == "playlist" or
						self.currList != "playlist" and config.plugins.yampmusicplayer.screenSaverLeft.value) \
						and msecs > 0:
#		elif (self.currList == "playlist" and self.playerState < STATE_STOP
#						or self.currList != "playlist" and config.plugins.yampmusicplayer.screenSaverLeft.value) \
#						and msecs > 0:
#			LOG('YampScreen: startScreenSaverTimer: vor TimerStart', 'err')
#			LOG('YampScreen: startScreenSaverTimer: self.currList == "playlist": %d  self.playerState < STATE_STOP: %d' %(self.currList == "playlist",self.playerState < STATE_STOP), 'err')
#			LOG('YampScreen: startScreenSaverTimer: self.currList != "playlist: %d  screenSaverLeft: %d' %(self.currList != "playlist",config.plugins.yampmusicplayer.screenSaverLeft.value), 'err')
			self.screenSaverTimer.start(msecs)
		self.setSaverButton()
		
	def hideScreenSaver(self):
#		LOG('YampScreen: hideScreenSaver: Start', 'err')
		self.screenSaverActive = False
		if self.currentIsVideo:
			self.show()
		self["screenSaverBackground"].hide()
		self["screenSaver"].hide()
		if self.screenSaverTimer.isActive():
			self.screenSaverTimer.stop()
		if self.nextSlideTimer.isActive():
			self.nextSlideTimer.stop()
		self.setSaverButton()
		try:
			self["songTextsBackground"].setBoolean(False)
#			self["screenSaverBackground"].setBoolean(False)
		except: 
			LOG('YampScreen: hideScreenSaver: self[songTextsBackground].setBoolean(False): EXCEPT')

	def screenSaverMaxManOff(self):		#timer-callback
#		LOG('YampScreen: screenSaverMaxManOff Feedback: TimerIsActive: %d' %(self.screenSaverManTimer.isActive()), 'err')
		self.screenSaverManOff = False
#		self.screenSaverManTimer.stop()	
#		LOG('YampScreen: screenSaverMaxManOff Nach Stop: TimerIsActive: %d' %(self.screenSaverManTimer.isActive()), 'err')
		self.startScreenSaverTimer()
		self.setSaverButton()
		
	def startScreenSaverManTimer(self):
		secs = config.plugins.yampmusicplayer.maxTimeSSoffMan.value - config.plugins.yampmusicplayer.screenSaverWait.value
		if secs < 0: secs = 0
		if secs > 0: 
			self.screenSaverManTimer.start(secs * 1000, True)
			LOG('YampScreen: startScreenSaverManTimer: Start: secs: %d' %(secs), 'all')
		else: 
			self.screenSaverManTimer.stop()	
			LOG('YampScreen: startScreenSaverManTimer: Stop', 'all')
#		try:
#			LOG('YampScreen: startScreenSaverManTimer: isActive: %d' %(self.screenSaverManTimer.isActive()), 'err')
#		except:
#			LOG('YampScreen: startScreenSaverManTimer: isActive: EXCEPT', 'err')
		
	def showhideScreenSaverMan(self):
#		if config.plugins.yampmusicplayer.manKeyScreensaver.value:
		if self.manKeyScreensaver:
#			LOG('YampScreen: showhideScreenSaverMan keypressed: screenSaverManOff: %d' %(self.screenSaverManOff), 'err')
#			LOG('YampScreen: showhideScreenSaverMan manKeyScreensaver', 'err')
#			LOG('YampScreen: showhideScreenSaverMan Timer.isActive: %d screenSaverActive: %d  < STATE_STOP: %d ' %(self.screenSaverTimer.isActive(),self.screenSaverActive,self.playerState < STATE_STOP), 'err')
			
			if not (self.screenSaverTimer.isActive() or self.screenSaverActive) and self.playerState < STATE_STOP:
				self.screenSaverManOff = False
				self.startScreenSaverTimer()
#				LOG('YampScreen: showhideScreenSaverMan End1: self.screenSaverManOff: %d' %(self.screenSaverManOff), 'err')
			else:
#				LOG('showhideScreenSaverMan: hideScreenSaver', 'err')
				self.screenSaverManOff = True
				self.startScreenSaverManTimer()
				self.hideScreenSaver()
#				LOG('YampScreen: showhideScreenSaverMan End2: self.screenSaverManOff: %d' %(self.screenSaverManOff), 'err')
			self.setSaverButton()

	def showScreenSaverNext(self):
		LOG('YampScreen: : showScreenSaverNext: FirstCall: %d' %(self.screenSaverFirstCall), 'all')
		self.showScreenSaver()
		if self.screenSaverFirstCall:
			self.screenSaverFirstCall = False
			self.resetSlideTimer()
			if config.plugins.yampmusicplayer.screenSaverMode.value == 'custom':
				self.nextSlide()		
		else:
			self.nextSlide()		

	def showScreenSaver(self):
#		LOG('YampScreen: : showScreenSaver: Start: screenSaverManOff: %d' %(self.screenSaverManOff), 'all')
		if self.screenSaverManOff or self.lyricsScreenActive or self.configScreenActive: return
		self.screenSaverActive = True
		self.setSaverButton()
		if self.currentIsVideo:
			self.hide()
		else:
			self.show()
			if self.screenSaverTimer.isActive():
				self.screenSaverTimer.stop()
			self["screenSaverBackground"].show()
			self["screenSaver"].show() 
			if self.screenSaverActive:
#				self["screenSaverBackground"].setBoolean(True)
				if config.plugins.yampmusicplayer.showTextBg.value:
					try:
						self["songTextsBackground"].setBoolean(True)
					except:
						LOG('YampScreen: showScreenSaver: self[songTextsBackground].setBoolean(True): EXCEPT', 'err')
			LOG('YampScreen: : showScreenSaver: End', 'all')
#			if nextslide: self.nextSlide()
		
	def nextSlide(self):
		try:
			LOG('YampScreen: : nextSlide()', 'all')
#			LOG('YampScreen: : nextSlide()', 'err')	###Test
		except:
			LOG('YampScreen: : nextSlide(): EXCEPT', 'err')
		if not self.currentIsVideo:
			self["screenSaver"].showNextPic()
		self.resetSlideTimer()
	
	
	def prevSlide(self):
		self["screenSaver"].showPrevPic()
		self.resetSlideTimer()
			
	def resetSlideTimer(self):
#		LOG('YampScreen: resetSlideTimer', 'err')
		msecs = config.plugins.yampmusicplayer.screenSaverNextSlide.value * 1000
		if not self.slideShowPaused:
			self.nextSlideTimer.stop()
			self.nextSlideTimer.start(msecs)
#			LOG('YampScreen: resetSlideTimer: Stop and start', 'err')  ###Test
		
	def pausePlaySlideShow(self):
#		LOG('YampScreen: pausePlaySlideShow', 'err')
#		LOG('YampScreen: pausePlaySlideShow: screenSaverActive: %d' %(self.screenSaverActive), 'err')
		if self.screenSaverActive:
			if self.slideShowPaused:
				self.slideShowPaused = False
				self.nextSlide()
				LOG('YampScreen: pausePlaySlideShow: nextSlide:', 'all')
			else:
				if self.nextSlideTimer.isActive():
					self.nextSlideTimer.stop()
					self.slideShowPaused = True
		self.setSaverButton()
	
#
# Menu key actions
#
# These actions depend on the active list and/or the current item in the list
# The configuration is always callable
#
	def showMenu(self):						#Build Menu Entries
		self.hideScreenSaver()
		menu = []
		if self.leftContent == "dblist" and self.currTitle != "":
			menu.append((_("Search current title"), "searchcurrentsong"));
		if self.leftContent == "dblist" and self.currArtist != "":
			menu.append((_("Search current artist"), "searchcurrentartist"));
		if self.leftContent == "dblist" and self.currAlbum != "":
			menu.append((_("Search current album"), "searchcurrentalbum"));
		if self.currList == "playlist":
#			menu.append((_("Save Playlist"), "saveplaylist"));
			menu.append((_("Save Playlist e2pls"), "saveplayliste2pls"));
			menu.append((_("Save Playlist m3u"), "saveplaylistm3u"));
			menu.append((_("Save Playlist e2pls + m3u"), "saveplaylistboth"));
		elif self.currList == "filelist":
			menu.append((_("Search pathname"), "searchfilelist1"))		#pathnames
			menu.append((_("Search filename"), "searchfilelist2"))		#filenames
			if self.filelist.getFilename() is not None:
				if self.filelist.getFilename().lower().endswith(".e2pls"):
					menu.append((_("Delete playlist"), "deleteplaylist"))
		else:	# database list
			if self.dblist.mode == MENULIST:
				if self.dblist.getSelectionIndex() == 0: # Playlists
					menu.append((_("Search playlists"), "searchplaylists"))
				elif self.dblist.getSelectionIndex() == 1: # Artistlist
					menu.append((_("Search artists"), "searchartists"))
				elif self.dblist.getSelectionIndex() == 2: # Albumlist
					menu.append((_("Search albums"), "searchalbums"))
				elif self.dblist.getSelectionIndex() == 3: # Titellist
					menu.append((_("Search titles"), "searchsongs"))
					menu.append((_("Search files"), "searchfiles"))
				elif self.dblist.getSelectionIndex() == 4: # Genrelist
					menu.append((_("Search genres"), "searchgenres"))
				elif self.dblist.getSelectionIndex() == 5: # Datelist
					menu.append((_("Search dates"), "searchdates"))
			elif self.dblist.mode == ARTISTLIST:
				menu.append((_("Search artists"), "searchartists"))
				menu.append((_("Jump to entry"), "jumptoentry"))
				menu.append((_("Delete artist's title entries"), "deleteartistsongentries"))
			elif self.dblist.mode in (ALBUMLIST, GENREALBUMLIST, ARTISTALBUMLIST, DATEALBUMLIST):
				menu.append((_("Search albums"), "searchalbums"))
				menu.append((_("Jump to entry"), "jumptoentry"))
				menu.append((_("Delete album entries"), "deletealbumsongentries"))
			elif self.dblist.mode == GENRELIST:
				menu.append((_("Search genres"), "searchgenres"))
				menu.append((_("Jump to entry"), "jumptoentry"))
				menu.append((_("Delete genre's title entries"), "deletegenresongentries"))
			elif self.dblist.mode == DATELIST:
				menu.append((_("Search dates"), "searchdates"))
				menu.append((_("Jump to entry"), "jumptoentry"))
				menu.append((_("Delete date's title entries"), "deletedatesongentries"))
			elif self.dblist.mode == PLAYLISTLIST:
				menu.append((_("Search playlists"), "searchplaylists"))
				menu.append((_("Jump to entry"), "jumptoentry"))
				menu.append((_("Delete ext. playlist entry"), "deleteplaylistentry"))
			elif self.dblist.mode >= TITLELIST:
				menu.append((_("Show similar titles"), "showsimilarsongs"))
				menu.append((_("Search titles"), "searchsongs"))
				menu.append((_("Search files"), "searchfiles"))
				menu.append((_("Jump to entry"), "jumptoentry"))
				menu.append((_("Delete title entry"), "deletesongentry"))
#			menu.append((_("Check music database"), "checkdatabase"))
			menu.append((_("Clear music database"), "cleardatabase"))
					
		menu.append((_("Edit Configuration"), "config"))
		
		if len(menu) > 1:
			if self.currList == "playlist":
				self.session.openWithCallback(self.menuCallback, ChoiceBox, title=_("Playlist actions"), list=menu)
			elif self.currList == "filelist":
				self.session.openWithCallback(self.menuCallback, ChoiceBox, title=_("Filelist actions"), list=menu)
			else: # database list
				self.session.openWithCallback(self.menuCallback, ChoiceBox, title=_("Database actions"), list=menu)
		else:
			self.config()
		
	def menuCallback(self, choice):
		if choice is None:
			self.startScreenSaverTimer()
			return
		if choice[1] == "searchfilelist1":
			self.searchFilelist1()
		elif choice[1] == "searchfilelist2":
			self.searchFilelist2()
		elif choice[1] == "saveplayliste2pls":
			self.savePlaylist(1)
		elif choice[1] == "saveplaylistm3u":
			self.savePlaylist(2)
		elif choice[1] == "saveplaylistboth":
			self.savePlaylist(3)
		elif choice[1] == "deleteplaylist":
			self.deletePlaylist()
		elif choice[1] == "jumptoentry":
			self.jumpToEntry()
		elif choice[1] == "deleteartistsongentries":
			self.deleteArtistSongEntries()
		elif choice[1] == "deletealbumsongentries":
			self.deleteAlbumSongEntries()
		elif choice[1] == "deletegenresongentries":
			self.deleteGenreSongEntries()
		elif choice[1] == "deletedatesongentries":	#!!!!
			self.deleteDateSongEntries()
		elif choice[1] == "deleteplaylistentry":
			self.deletePlaylistEntry()
		elif choice[1] == "deletesongentry":
			self.deleteSongEntry()
		elif choice[1] == "showsimilarsongs":
			self.showSimilarSongs()
		elif choice[1] == "searchsongs":
			self.searchSongs()
		elif choice[1] == "searchfiles":
			self.searchFiles()
		elif choice[1] == "searchplaylists":
			self.searchPlaylists()
		elif choice[1] == "searchartists":
			self.searchArtists()
		elif choice[1] == "searchalbums":
			self.searchAlbums()
		elif choice[1] == "searchgenres":
			self.searchGenres()
		elif choice[1] == "searchcurrentsong":
			self.searchCurrentSong()
		elif choice[1] == "searchcurrentartist":
			self.searchCurrentArtist()
		elif choice[1] == "searchcurrentalbum":
			self.searchCurrentAlbum()
		elif choice[1] == "checkdatabase":
			pass	# to be implemented
		elif choice[1] == "cleardatabase":
			self.clearDatabase()
		elif choice[1] == "config":
			self.config()
		if choice[1] != "config":			#no Screensaver start in config
			self.startScreenSaverTimer()

	def config(self):
#		LOG('YampScreen: Start Config: hidescreensaver', 'err')
		self.hideScreenSaver()
		self.oldSkin = config.plugins.yampmusicplayer.yampSkin.value
		self.oldLCD = config.plugins.yampmusicplayer.yampLCD.value
		self.screenSaverManTimer.stop()
		self.configScreenActive = True
		self.session.openWithCallback(self.configFinished, YampConfigScreen)
		
	def configFinished(self, result):
#		LOG('YampScreen: ConfigFinished Start', 'err')
		self.repeat=config.plugins.yampmusicplayer.repeatPlaylistAtEnd.value
		if self.oldSkin != config.plugins.yampmusicplayer.yampSkin.value:
			self.session.open(MessageBox, _("Skin changed, Restart required to apply new Skin"), type = MessageBox.TYPE_INFO,timeout = 10 )
		elif self.oldLCD != config.plugins.yampmusicplayer.yampLCD.value:
			self.session.open(MessageBox, _("LCD selection changed, Restart required to apply new selection"), type = MessageBox.TYPE_INFO,timeout = 10 )
		self.setRepeatButton()
		self.configScreenActive = False
		self.initScreenSaver(artist = self.currArtist, newArtist = True)
		self.startScreenSaverTimer()
		self.setHelpTexts()	

		self.logpath = config.plugins.yampmusicplayer.debugPath.value
		self.timestamp = datetime_datetime.now().strftime("%Y-%m-%d_%H-%M-%S")
		config.plugins.yampmusicplayer.debugFile.value = self.logpath + 'yamp_debug_' + self.timestamp  + '.log'			
		self.memlog = config.plugins.yampmusicplayer.yampDebugMemory.value
		self.memlogfile = self.logpath + 'yamp_mem_' + self.timestamp +'.log'

		self.startScreenSaverManTimer()
		if self.screenSaverActive:
#			self["screenSaverBackground"].setBoolean(True)
			if config.plugins.yampmusicplayer.showTextBg.value:
				try:
					self["songTextsBackground"].setBoolean(True)
				except:
					LOG('YampScreen: configFinished: self[songTextsBackground].setBoolean(True): EXCEPT')
			else:
				try:
					self["songTextsBackground"].setBoolean(False)
				except:
					LOG('YampScreen: configFinished: self[songTextsBackground].setBoolean(False): EXCEPT')
		#Screensaver in Background
		try:
			if config.plugins.yampmusicplayer.screenSaverBg.value:
				self["screenSaverBackground"].setZPosition(4)
				self["screenSaver"].setZPosition(5)
			else:
				self["screenSaverBackground"].setZPosition(8)
				self["screenSaver"].setZPosition(9)
#			LOG('YampScreen: ConfigFinished: setZPosition : ok', 'err') 
		except:
			LOG('YampScreen: ConfigFinished: setZPosition : EXCEPT', 'err') 
				
#		
#
# Update methods for title info and cover
#
	def updateMusicInformation(self, artist = "", title = "", album = "", year = "", genre = "", length = "", tracknr = -1, clear = False):
		self.currTitle = title
		self.currArtist = artist
		self.currAlbum = album
		self.currLength = length
		self.currTracknr = tracknr
		newCover = False
		newArtist = False
		if self.currTitle	!= self.oldTitle: 
			self.updateSingleMusicInformation("songtitle", title)
			self.updateSingleMusicInformation("year", year)
			self.updateSingleMusicInformation("genre", genre)
			newCover = True
		if self.currArtist != self.oldArtist: 
			self.updateSingleMusicInformation("artist", artist)
			newArtist = True
		if self.currAlbum != self.oldAlbum: 
			self.updateSingleMusicInformation("album", album)
			newCover = True

		self.oldTitle = title
		self.oldArtist = artist
		self.oldAlbum = album
		
		if config.plugins.yampmusicplayer.yampLCD.value == 'rolling':
			self.updateLCDText(title + ' - ' + artist + ' - ' + album,1)
#			LOG('YampScreen: updateMusicInfo: title, artist, album: %s - %s - %s' %(title, artist, album), 'all')	
		else:
			self.updateLCDText(title,1)
			self.updateLCDText(artist,2)
			self.updateLCDText(album,3)
		LOG('YampScreen: UpdateMusicInfo: Artist: %s' %(artist), 'all')
		
		if clear:
			self["coverArt"].showDefaultCover()
		else:
			if newCover: self.updateCover(artist, album, title)
		
		if config.plugins.yampmusicplayer.screenSaverMode.value == "artwork":
			if clear:
				self.hideScreenSaver
			else:
				if newArtist:	self.initScreenSaver(artist, newArtist = True)
			

	def updateSingleMusicInformation(self, name, info):
		if self[name].getText() != info:
			self[name].setText(info)

	def coverChanged(self, filename):
		LOG('YampScreen: coverChanged: Start: filename: %s' %(filename), 'all')	###Test
#		try:
#			LOG('YampScreen: coverChanged: self.pixNumCover: %d' %(self.pixNumCover), 'err')	###Test
#		except:
#			LOG('YampScreen: coverChanged: pixNumCover: EXCEPT', 'err')
#		try:
#			LOG('YampScreen: coverChanged: self.pixNumCover: %d  self.pixNumCover mod COVERS_NO: %d' %(self.pixNumCover,self.pixNumCover % COVERS_NO), 'err')	###Test
#		except:
#			LOG('YampScreen: coverChanged: pixNumCover: EXCEPT', 'err')
		num = self.pixNumCover % COVERS_NO
#		self["cprovider"].setPixmapNum(num)
		try:
			if num == 0:
				self["coverArt"].showDefaultCover()
			else:
				self["coverArt"].showCoverArt(filename)
				self.coverChangedLyrics = True	#for Lyrics
		except:
			LOG('YampScreen: coverChanged: setPixmapNum: EXCEPT', 'err')
			
			
	#Look for cover in ID3 tag (mp3s/flac), in current directory, albumCover in current directory, Search cover with Google, if enabled
	def updateCover(self, artist, album, title):
		self.coverFoundPrio = COVERS_NO
		self.pixNumCover = COVERS_NO
		pathname = self.playlist.getServiceRefList()[self.playlist.getCurrentIndex()].getPath()
		LOG('YampScreen: UpdateCover Start: pathname: %s' %(pathname), 'all')
		
		prio1 = config.plugins.yampmusicplayer.prioCover1.value
		prio2 = config.plugins.yampmusicplayer.prioCover2.value
		prio3 = config.plugins.yampmusicplayer.prioCover3.value
		prio4 = config.plugins.yampmusicplayer.prioCover4.value
		LOG('YampScreen: UpdateCover prio: %s %s %s %s' %(prio1,prio2,prio3,prio4), 'all')

		filename = self.searchCoverID3(pathname, prio1, prio2, prio3, prio4)
#		LOG('YampScreen: updateCover: before searchCoverDirectory: filename: %s' %(filename), 'err')
		filename = self.searchCoverDirectory(pathname,filename,prio1, prio2, prio3, prio4)
#		LOG('YampScreen: updateCover: before searchCoverAlbum: filename: %s' %(filename), 'err')
		filename = self.searchCoverAlbum(pathname,filename, prio1, prio2, prio3, prio4)
#		LOG('YampScreen: updateCover: before coverChanged: filename: %s' %(filename), 'err')
		self.coverChanged(filename)
#		LOG('YampScreen: updateCover: before searchCoverGoogle', 'err')
		self.searchCoverGoogle(artist, album, title, prio1, prio2, prio3, prio4)


	#Search cover with Google, if enabled
	def searchCoverGoogle(self, artist, album, title, prio1, prio2, prio3, prio4):
		if prio1 == 'coverGoogle': prio = 1
		elif prio2 == 'coverGoogle': prio = 2
		elif prio3 == 'coverGoogle': prio = 3
		elif prio4 == 'coverGoogle': prio = 4
		else: return

		LOG('YampScreen: searchCoverGoogle: prio: %d  coverFoundPrio: %d' %(prio,self.coverFoundPrio), 'all')
		if self.coverFoundPrio < prio: return				#already found with higher priority

		LOG('YampScreen: UpdateCover: Google', 'all')
		self.getGoogleCover(artist, album, title, prio)

	def getGoogleCover(self, artist,album, title, prio):
		LOG('YampScreen: getGoogleCover: Start: artist: %s  album: %s  title: %s' %(artist,album,title), 'all')
		user_agent = 'Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_6_4; en-US) AppleWebKit/534.3 (KHTML, like Gecko) Chrome/6.0.472.63 Safari/534.3'
		headers = { 'User-Agent' : user_agent }
		if artist != "" and album != "" and title != "":
			url = "http://images.google.de/images?q=%%22%s%%22+%%22%s%%22+OR+%%22%s%%22&btnG=Bilder-Suche" % (quote_plus(artist),quote_plus(title), quote_plus(album))
			LOG('YampScreen: getGoogleCover a, a, t: url: %s' %(url), 'all')
#			LOG('YampScreen: getGoogleCover a, a, t: url: %s' %(url), 'err')	###Test
			getPage(url, timeout=10, headers=headers).addCallback(self.coverDownloadSucceeded,prio).addErrback(self.coverDownloadFailed,prio)
		elif title != "":
			url = "http://images.google.de/images?q=%%22%s%%22&btnG=Bilder-Suche" % (quote_plus(title))
			LOG('YampScreen: getGoogleCover a, a: url: %s' %(url), 'all')
#			LOG('YampScreen: getGoogleCover a, a: url: %s' %(url), 'err')	###Test
			getPage(url, timeout=10, headers=headers).addCallback(self.coverDownloadSucceeded, prio).addErrback(self.coverDownloadFailed, prio)
		else:
			LOG('YampScreen: getGoogleCover No artist, title, album', 'err')	###Test

	def coverDownloadSucceeded(self, result, prio):
		LOG('YampScreen: coverDownloadSucceeded Start: result: %s' %(result), 'all')
#		LOG('YampScreen: coverDownloadSucceeded Start: result: %s' %(result), 'err')	###Test
		foundPos = result.find(' src="http://t')
		foundPos2 = result.find('" width',foundPos)
		LOG('YampScreen: coverDownloadSucceeded: foundPos: %d  foundPos2: %d' %(foundPos,foundPos2), 'all')
#		LOG('YampScreen: coverDownloadSucceeded: foundPos: %d  foundPos2: %d' %(foundPos,foundPos2), 'err')	###Test
		if foundPos != -1 and foundPos2 != -1:
			url = result[foundPos+6:foundPos2]
			LOG('YampScreen: coverDownloadSucceeded URL: %s ' %(url), 'all')
#			LOG('YampScreen: coverDownloadSucceeded URL: %s ' %(url), 'err')	###Test
			filename = url.split("/")[-1]
			ext = os.path.splitext(filename)[1]
			filename = "/tmp/.coverart" + ext
			LOG('YampScreen: coverDownloadSucceeded: filename: %s ' %(filename), 'all')	###Test
			downloadPage(url, filename).addCallback(boundFunction(self.coverDownloadFinished, filename, prio)).addErrback(self.coverDownloadFailed)
		else:
			LOG('YampScreen: coverDownloadSucceeded: Not found', 'all')	###Test

	def coverDownloadFailed(self,result,prio):
		LOG('YampScreen: coverDownloadFailed', 'all')
#		LOG('YampScreen: coverDownloadFailed', 'err')	###Test

	def coverDownloadFinished(self, filename, prio, result):
		LOG('YampScreen: coverDownloadFinished', 'all')
#		LOG('YampScreen: coverDownloadFinished: filename: %s' %(filename), 'err')	###Test
		self.pixNumCover = COVERS_GOOGLE
		self.coverFoundPrio = prio
		self.coverChanged(filename)
		
			
	# Mp3 / Flac: ID3 Cover search
	def searchCoverID3(self,pathname, prio1, prio2, prio3, prio4):
		# mp3: ID3 Tag search
		filename=""
		mime = None
		isFlac = False

		if prio1 == 'coverID3': prio = 1
		elif prio2 == 'coverID3': prio = 2
		elif prio3 == 'coverID3': prio = 3
		elif prio4 == 'coverID3': prio = 4
		else: return

		LOG('YampScreen: searchCoverID3: prio: %d  coverFoundPrio: %d' %(prio,self.coverFoundPrio), 'all')
		if self.coverFoundPrio < prio: return			#already found with higher priority

		# mp3
		if pathname.lower().endswith(".mp3"):
			LOG('YampScreen: searchCoverID3: MP3', 'all')
			try: audio = ID3(pathname)
			except:	audio = None
			try:
				title, album, genre, artist, date, length, tracknr = readID3Infos(pathname)
#				LOG('YampScreen: searchCoverID3 : date: %s length %s: tracknr: %d' %(date, length, tracknr), 'err')
			except:
				LOG('YampScreen: searchCoverID3 : date, length, tracknr: EXCEPT', 'err')
			if audio:
				apicframes = audio.getall("APIC")
				if len(apicframes) > 0:
					mime = apicframes[0].mime
					data = apicframes[0].data 	# check for type=3 (FrontCover)?
					type = apicframes[0].type
		#flac				
		elif pathname.lower().endswith(".flac"):
			LOG('YampScreen: searchCoverID3: Flac', 'all')
			isFlac = True
			try: flacInfo = FLAC(pathname)
			except:	flacInfo = None
			if flacInfo:
				try:
					LOG('YampScreen: searchCoverID3 : 	flacInfo: %s' %(flacInfo), 'all')
				except:
					LOG('YampScreen: searchCoverID3 : 	flacInfo: EXCEPT', 'err')
				picture_list = flacInfo.pictures		
				if len(picture_list) > 0:
					mime = picture_list[0].mime
					data = picture_list[0].data 	# check for type=3 (FrontCover)?
					type = picture_list[0].type
		# mp3 and flac			
		if mime:			
			LOG('YampScreen: searchCoverID3 : 	mime: %s' %(mime), 'all')
			LOG('YampScreen: searchCoverID3 : 	type: %d' %(type), 'all')
			if mime.lower().endswith("png"): ext = ".png"
			elif mime.lower().endswith("jpg"): ext = ".jpg"
			elif mime.lower().endswith("jpeg"): ext = ".jpeg"
			else:
				try: ext = mime.lower().rsplit('/',1)[1] 
				except: ext = ""
				LOG('YampScreen: searchCoverID3: MP3/Flac: ignored cover file with extension %s' %(ext), 'err')
				ext = "" 		# ignore all other files (bmp, ...)
			if ext <> "":
				filename = "/tmp/.coverart" + ext
				coverArtFile = open(filename, 'wb')
				coverArtFile.write(data) 
				coverArtFile.close()
				if isFlac: self.pixNumCover = COVERS_FLAC
				else : self.pixNumCover = COVERS_MP3
				self.coverFoundPrio = prio
		return filename

	#Look for songCover in current directory (without albumcover.*) 			
	def searchCoverDirectory(self,pathname,filename, prio1, prio2, prio3, prio4):	
		if prio1 == 'coverFile': prio = 1
		elif prio2 == 'coverFile': prio = 2
		elif prio3 == 'coverFile': prio = 3
		elif prio4 == 'coverFile': prio = 4
		else: return filename

		LOG('YampScreen: searchCoverDirectory: prio: %d  coverFoundPrio: %d' %(prio,self.coverFoundPrio), 'all')
		if self.coverFoundPrio < prio: return filename			#already found with higher priority

		fullname=''
		dir = os.path.dirname(pathname)
		LOG('YampScreen: UpdateCover hasSongcover: dir: %s' %(dir), 'all')
		filelist = self.fileListByExt(dir, [".jpg", ".png", ".bmp", ".gif"], False, 500)
		LOG('YampScreen: UpdateCover: hasSongcover: len(filelist): %d' %(len(filelist)), 'all')
		if len(filelist) > 0:
			for singleFile in filelist:
				if singleFile.startswith('albumcover.'):
#					LOG('YampScreen: UpdateCover: singleFile in Filelist startswith: %s' %(singleFile), 'all')
					filelist.remove(singleFile)
		if len(filelist) > 0:
			self.pixNumCover = COVERS_DIR
			self.coverFoundPrio = prio
			fullname = os.path.join(dir, filelist[0])
			LOG('YampScreen: UpdateCover: hasSongcover: %s' %(fullname), 'all')
		return fullname

	#	Look for albumCover in current directory
	def searchCoverAlbum(self,pathname,filename, prio1, prio2, prio3, prio4):
		if prio1 == 'coverAlbum': prio = 1
		elif prio2 == 'coverAlbum': prio = 2
		elif prio3 == 'coverAlbum': prio = 3
		elif prio4 == 'coverAlbum': prio = 4
		else: return filename

		LOG('YampScreen: searchCoverAlbum: prio: %d  coverFoundPrio: %d' %(prio,self.coverFoundPrio), 'all')
		if self.coverFoundPrio < prio: return	filename		#already found with higher priority

		fullname=""
		dir = os.path.dirname(pathname)
		LOG('YampScreen: searchCoverAlbum: dir: %s' %(dir), 'all')
		filelist = FileList(dir, matchingPattern = "(?i)^.*albumcover\.(jpg|png|bmp|gif)", showDirectories = False, showMountpoints = False, isTop = True)
		if len(filelist.getFileList()) > 0:
			self.pixNumCover = COVERS_ALB
			self.coverFoundPrio = prio
			cover = filelist.getFileList()[0]
			fullname = dir + '/' + cover[0][0]
			LOG('YampScreen: UpdateCover hasAlbumcover (albumcover): %s' %(fullname), 'all')
		return fullname

		
	def fileListByExt(self, path, extensions, subDirs = False, minSize = 0):
		list = []
#		LOG('YampScreen: fileListByExt: path: %s ' %(path), 'all')	
#		LOG('YampScreen: fileListByExt: path: *%s* ' %(path), 'err')	###Test
		if subDirs:
			subFolders=[]
			for dirpath, dirnames, files in os.walk(path):
				try:
#					LOG('YampScreen: fileListByExt: subDirs: os.walk: dirpath: %s dirnames: %s files: %s' %(dirpath, dirnames, files), 'all')	
					for file in files:
#						LOG('YampScreen: fileListByExt: subDirs: os.walk: dirpath: %s file %s' %(dirpath, file), 'all')	
						ext = os.path.splitext(file)[1]
						try:
							size = os.stat(dirpath + '/' + file).st_size
#							LOG('YampScreen: fileListByExt: subDirs: os.walk: filesize %d' %(size), 'all')	
						except:
							size = 0
							LOG('YampScreen: fileListByExt: subDirs: os.walk: filesize EXCEPT', 'err')	
						if ext.lower() in extensions:
							if size >= minSize:		
								list.append(file)
				except:
					LOG('YampScreen: fileListByExt: subDirs: : EXCEPT', 'err')	
		else:
			for file in os.listdir(path):
				ext = os.path.splitext(file)[1]
				try:
					size = os.stat(path + '/' + file).st_size
#					LOG('YampScreen: fileListByExt: os.walk: path: %s filesize %d' %(path, size), 'all')	
				except:
					size = 0
					LOG('YampScreen: fileListByExt: os.walk: filesize EXCEPT', 'err')	
				if ext.lower() in extensions:
					if size >= minSize:	
						list.append(file)
		try:
			LOG('YampScreen: fileListByExt: list: %s' %(list), 'all')	
		except:
			LOG('YampScreen: fileListByExt: LogList: EXCEPT', 'err')	
		return list

		
	def showLyrics(self):
		self.hideScreenSaver()
		self.screenSaverManTimer.stop()
		self.lyricsScreenActive = True
#		LOG('YampScreen: showLyrics: screenSaverManTimer: STOP', 'err') 
		self.session.openWithCallback(self.showLyricsCB, YampLyricsScreen, self)
		
	def showLyricsCB(self):
#		LOG('YampScreen: showLyricsCB: Start', 'all')
		self.resetScreenSaverTimer()
#		LOG('YampScreen: showLyricsCB: startScreenSaverManTimer', 'all') 
		self.startScreenSaverManTimer()
		self.lyricsScreenActive = False




	def	getCoverArtFile(self):	
		self.coverArtFile = self["coverArt"].getFileName()
#		LOG('YampScreen: getCoverArtFile: coverArtFile: %s' %(self.coverArtFile), 'err') 
		return self.coverArtFile, self.pixNumCover % COVERS_NO
		
		
#
# LCD display methods
#
	def updateLCDInfo(self):
		text = ""
		if self.currList == "filelist":
			text = self.filelist.getName()
		elif self.currList == "dblist":
			sel = self.dblist.getSelection()
			if sel is not None:
				if self.dblist.mode < TITLELIST:
					text = sel.text
				else:
					text = sel.title
		else:
			sel = self.playlist.getSelection()
			if sel is not None:
				text = sel.getName()
				if text == "":
					text = os.path.splitext(os.path.basename(sel.getPath()))[0]
		self.updateLCDText(text,1)

	def updateLCDText(self, text, line):
		if config.plugins.yampmusicplayer.yampLCD.value == 'rolling':
			try:
				self.LcdText = text
#				LOG('updateLCDText: self.LcdText: %s' %(self.LcdText), 'all')
			except:
				pass
		else:	
			self.summaries.setText(text,line)

	def getLcdText(self):	#for LCD Running Text
#		LOG('getLcdText: LcdText: %s' %(self.LcdText), 'all')
		return(self.LcdText)

#
# Filelist actions
#
	def searchFilelist1(self):
		self.session.openWithCallback(self.searchFilelistCallback1, VirtualKeyBoard, title=_("YAMP - Please enter query:"), text="")

	def searchFilelist2(self):
		self.session.openWithCallback(self.searchFilelistCallback2, VirtualKeyBoard, title=_("YAMP - Please enter query:"), text="")

	def searchFilelistCallback1(self, choice):
		if choice is not None:
			self.filelist.searchPath(choice)
			self.updateLCDInfo()
			
	def searchFilelistCallback2(self, choice):
		if choice is not None:
			self.filelist.searchFile(choice)
			self.updateLCDInfo()

#
# Database actions
# Only quick actions are executed in foreground	
# Slow actions are executed in background and are interruptable, ideally without changes to the database
#
	def addFileToDb(self):
		con, result = ConnectDatabase()
		if con is not None:
			con.text_factory = str
			cursor = con.cursor()
			f = self.filelist.getFilename()
			if f.lower().endswith(".m3u") or f.lower().endswith(".pls") or f.lower().endswith(".e2pls"):
				dbInsert(con, cursor, self.filelist.getServiceRef(), table="playlists", update=True)
			else:
				dbInsert(con, cursor, self.filelist.getServiceRef(), table="titles", update=True)
			con.commit()
			cursor.close()  
			con.close()

	def deletePlaylistEntry(self):
		con, result = ConnectDatabase()
		if con is not None:
			con.text_factory = str
			cursor = con.cursor()
			cursor.execute('DELETE FROM Playlists WHERE playlist_id = %d;' % self.dblist.getSelection().titleID)
			con.commit()
			cursor.close()  
			con.close()
			self.updateDbMenuList()
			
	def deleteSongEntry(self):
		con = ConnectDatabase()
		if con is not None:
			con.text_factory = str
			cursor = con.cursor()
			cursor.execute('DELETE FROM Titles WHERE title_id = %d;' % self.dblist.getSelection().titleID)
			con.commit()
			cursor.close()  
			con.close()
			self.updateDbMenuList()
			
	def deleteArtistSongEntries(self):
		self.session.openWithCallback(self.deleteArtistSongEntriesConfirmed, MessageBox, _("Do you really want to delete all titles of artist %s from database?") % self.dblist.getSelection().artist)

	def deleteArtistSongEntriesConfirmed(self, confirmed):
		if confirmed:
			con, result = ConnectDatabase()
			if con is not None:
				con.text_factory = str
				cursor = con.cursor()
				cursor.execute('DELETE FROM Titles WHERE artist_id = %d;' % self.dblist.getSelection().artistID)
				cursor.execute('DELETE FROM Artists WHERE artist_id = %d;' % self.dblist.getSelection().artistID)
				con.commit()
				cursor.close()  
				con.close()
				self.updateDbMenuList()

	def deleteAlbumSongEntries(self):
		self.session.openWithCallback(self.deleteAlbumSongEntriesConfirmed, MessageBox, _("Do you really want to delete all titles of album %s from database?") % self.dblist.getSelection().album)

	def deleteAlbumSongEntriesConfirmed(self, confirmed):
		if confirmed:
			con = ConnectDatabase()
			if con is not None:
				con.text_factory = str
				cursor = con.cursor()
				cursor.execute('DELETE FROM Titles WHERE album_id = %d;' % self.dblist.getSelection().albumID)
				cursor.execute('DELETE FROM Albums WHERE album_id = %d;' % self.dblist.getSelection().albumID)
				con.commit()
				cursor.close()  
				con.close()
				self.updateDbMenuList()

	def deleteGenreSongEntries(self):
		self.session.openWithCallback(self.deleteGenreSongEntriesConfirmed, MessageBox, _("Do you really want to delete all titles of genre %s from database?") % self.dblist.getSelection().genre)

	def deleteGenreSongEntriesConfirmed(self, confirmed):
		if confirmed:
			con, result = ConnectDatabase()
			if con is not None:
				con.text_factory = str
				cursor = con.cursor()
				cursor.execute('DELETE FROM Titles WHERE genre_id = %d;' % self.dblist.getSelection().genreID)
				cursor.execute('DELETE FROM Genres WHERE genre = %d;' % self.dblist.getSelection().genreID)
				con.commit()
				cursor.close()  
				con.close()
				self.updateDbMenuList()

	def deleteDateSongEntries(self):
		self.session.openWithCallback(self.deleteDateSongEntriesConfirmed, MessageBox, _("Do you really want to delete all titles of date %s from database?") % self.dblist.getSelection().date)

	def deleteDateSongEntriesConfirmed(self, confirmed):
		if confirmed:
			con, result = ConnectDatabase()
			if con is not None:
				con.text_factory = str
				cursor = con.cursor()
				cursor.execute('DELETE FROM Titles WHERE date_id = %d;' % self.dblist.getSelection().dateID)
				cursor.execute('DELETE FROM Dates WHERE date = %d;' % self.dblist.getSelection().dateID)
				con.commit()
				cursor.close()  
				con.close()
				self.updateDbMenuList()

	def showSimilarSongs(self):
		numChoice = self.dblist.getSelectionIndex()
		self.pushDblistStack (numChoice)
		choice = self.dblist.getSelection()
		qs = "%" + choice.title.replace("'","''") + "%"
		self.buildDbMenuList (mode = SEARCHTITLELIST, queryString = qs, menutitle = choice.title)
		self.setLeftContentTitle()
		self.setColorButtons()

	def searchSongs(self):
		self.session.openWithCallback(self.searchSongsCallback, VirtualKeyBoard, title=_("YAMP - Please enter query:"), text="")

	def searchSongsCallback(self, choice):
		if choice is not None:
			numChoice = self.dblist.getSelectionIndex()
			self.pushDblistStack (numChoice)
			qs = "%" + choice.replace("'","''") + "%"
			self.buildDbMenuList (mode = SEARCHTITLELIST, queryString = qs, menutitle = _("Search: %s") % choice)
			self.setLeftContentTitle()
			self.setColorButtons()

	def searchFiles(self):
		self.session.openWithCallback(self.searchFilesCallback, VirtualKeyBoard, title=_("YAMP - Please enter query:"), text="")

	def searchFilesCallback(self, choice):
		if choice is not None:
			numChoice = self.dblist.getSelectionIndex()
			self.pushDblistStack (numChoice)
			qs = "%" + choice.replace("'","''") + "%"
			self.buildDbMenuList (mode = SEARCHFILELIST, queryString = qs, menutitle = _("Search: %s") % choice)
			self.setLeftContentTitle()
			self.setColorButtons()

	def searchPlaylists(self):
		self.session.openWithCallback(self.searchPlaylistsCallback, VirtualKeyBoard, title=_("YAMP - Please enter query:"), text="")

	def searchPlaylistsCallback(self, choice):
		if choice is not None:
			numChoice = self.dblist.getSelectionIndex()
			self.pushDblistStack (numChoice)
			qs = "%" + choice.replace("'","''") + "%"
			self.buildDbMenuList (mode = SEARCHPLAYLISTLIST, queryString = qs, menutitle = _("Search: %s") % choice)
			self.setLeftContentTitle()
			self.setColorButtons()

	def searchArtists(self):
		self.session.openWithCallback(self.searchArtistsCallback, VirtualKeyBoard, title=_("YAMP - Please enter query:"), text="")

	def searchArtistsCallback(self, choice):
		if choice is not None:
			numChoice = self.dblist.getSelectionIndex()
			self.pushDblistStack (numChoice)
			qs = "%" + choice.replace("'","''") + "%"
			self.buildDbMenuList (mode = SEARCHARTISTLIST, queryString = qs, menutitle = _("Search: %s") % choice)
			self.setLeftContentTitle()
			self.setColorButtons()

	def searchAlbums(self):
		self.session.openWithCallback(self.searchAlbumsCallback, VirtualKeyBoard, title=_("YAMP - Please enter query:"), text="")

	def searchAlbumsCallback(self, choice):
		if choice is not None:
			numChoice = self.dblist.getSelectionIndex()
			self.pushDblistStack (numChoice)
			qs = "%" + choice.replace("'","''") + "%"
			self.buildDbMenuList (mode = SEARCHALBUMLIST, queryString = qs, menutitle = _("Search: %s") % choice)
			self.setLeftContentTitle()
			self.setColorButtons()

	def searchGenres(self):
		self.session.openWithCallback(self.searchGenresCallback, VirtualKeyBoard, title=_("YAMP - Please enter query:"), text="")

	def searchGenresCallback(self, choice):
		if choice is not None:
			numChoice = self.dblist.getSelectionIndex()
			self.pushDblistStack (numChoice)
			qs = "%" + choice.replace("'","''") + "%"
			self.buildDbMenuList (mode = SEARCHGENRELIST, queryString = qs, menutitle = _("Search: %s") % choice)
			self.setLeftContentTitle()
			self.setColorButtons()

	def searchCurrentSong(self):
		numChoice = self.dblist.getSelectionIndex()
		self.pushDblistStack (numChoice)
		choice = self.currTitle
		qs = "%" + choice.replace("'","''") + "%"
		self.buildDbMenuList (mode = SEARCHTITLELIST, queryString = qs, menutitle = choice)
		self.setLeftContentTitle()
		self.setColorButtons()

	def searchCurrentArtist(self):
		numChoice = self.dblist.getSelectionIndex()
		self.pushDblistStack (numChoice)
		choice = self.currArtist
		qs = "%" + choice.replace("'","''") + "%"
		self.buildDbMenuList (mode = SEARCHARTISTTITLELIST, queryString = qs, menutitle = choice)
		self.setLeftContentTitle()
		self.setColorButtons()

	def searchCurrentAlbum(self):
		numChoice = self.dblist.getSelectionIndex()
		self.pushDblistStack (numChoice)
		choice = self.currAlbum
		qs = "%" + choice.replace("'","''") + "%"
		self.buildDbMenuList (mode = SEARCHALBUMTITLELIST, queryString = qs, menutitle = choice)
		self.setLeftContentTitle()
		self.setColorButtons()

	def jumpToEntry(self):
		self.session.openWithCallback(self.jumpToEntryCallback, VirtualKeyBoard, title=_("YAMP - Jump to letter(s):"), text="")

	def jumpToEntryCallback(self, choice):
		if choice is not None:
			upperChoice = choice.upper()
			length = len(self.dblist)
			if length > 1:
				self.dblist.moveToIndex(1)
				if self.dblist.mode < TITLELIST:
					while self.dblist.getSelection().text.upper() < upperChoice and self.dblist.getSelectionIndex() < length - 1:
						self.dblist.down()
				else:
					while self.dblist.getSelection().title.upper() < upperChoice and self.dblist.getSelectionIndex() < length - 1:
						self.dblist.down()
				self.dblist.updateList()

	def clearDatabase(self):
		self.session.openWithCallback(self.clearDatabaseConfirmed, MessageBox, _("Do you really want to clear the whole database?"))

	def clearDatabaseConfirmed(self, confirmed):
		if confirmed:
			con, result = ConnectDatabase()
			if con is not None:
				con.text_factory = str
				cursor = con.cursor()
				cursor.execute('DELETE FROM Titles;')
				cursor.execute('DELETE FROM Artists;')
				cursor.execute('DELETE FROM Albums;')
				cursor.execute('DELETE FROM Genres;')
				cursor.execute('DELETE FROM Dates;')
				cursor.execute('DELETE FROM Playlists;')
				con.commit()
				cursor.close()  
				con.close()
				self.dbStack = []  # nothing more to navigate
				self.buildDbMenuList(MENULIST, menutitle=_("M u s i c  D a t a b a s e"))

	def getCurrentSelection(self):   #!!! das ist neu
		# Returns None or (serviceref, info, begin, len)
#		return self["list"].l.getCurrentSelection()
		return "abcdefghijklmnopqrstuvwxyz  "
	
	
#
# Possibly blocking database actions use their own thread and are called from their own screen (YampDatabaseScreen)
#
class ThreadQueue:
	def __init__(self):
		self.__list = [ ]
		self.__lock = Lock()

	def push(self, val):
		lock = self.__lock
		lock.acquire()
		self.__list.append(val)
		lock.release()

	def pop(self):
		lock = self.__lock
		lock.acquire()
		ret = self.__list.pop()
		lock.release()
		return ret

class YampDbActions(Thread):
	def __init__(self):
		Thread.__init__(self)
		self.__running = False
		self.__cancel = False
		self.__path = None
		self.__messages = ThreadQueue()
		self.__messagePump = ePythonMessagePump()

	def __getMessagePump(self):
		return self.__messagePump

	def __getMessageQueue(self):
		return self.__messages

	def __getRunning(self):
		return self.__running

	def Cancel(self):
		self.__cancel = True

	MessagePump = property(__getMessagePump)
	Message = property(__getMessageQueue)
	isRunning = property(__getRunning)

	def Start(self, func, dir, recursive):
		if not self.__running:
			self.__func = func
			self.__path = dir
			self.__recursive = recursive
			self.start()

	def run(self):
		self.mp = self.__messagePump
		self.__running = True
		self.__cancel = False
		con, result = ConnectDatabase()
		if con is not None:
			con.text_factory = str
			cursor = con.cursor()
			self.counter = 0
			self.checkTime = 0
			if self.__func == "add":
				self.addDirToDatabase(con, cursor, self.__path, self.__recursive)
				if not self.__cancel:
					con.commit()
				cursor.close()  
				con.close()
				if self.__cancel:
					self.__messages.push((THREAD_FINISHED, _("Process aborted.\n 0 files added to database!\n\nPress OK to close.")))
				else:	
					self.__messages.push((THREAD_FINISHED, _("%d files added to database!\n\nPress OK to close.") % self.counter))
		else:
			self.__messages.push((THREAD_FINISHED, _("Error!\nCan not open database!\nCheck if database path is correct and writeable!\n\nPress OK to close.")))
		self.mp.send(0)
		self.__running = False
		Thread.__init__(self)

	def addDirToDatabase(self, con, cursor, dir, recursive = True):					
		filelist = YampFileList(dir, matchingPattern = "(?i)^.*\.(mp2|mp3|wav|flac|ogg|m4a|m3u|pls|e2pls|mp4)", useServiceRef = True, showMountpoints = False, isTop = True, additionalExtensions = "4098:m3u 4098:e2pls 4098:pls")
		for x in filelist.getFileList():
			if self.__cancel:
				break
			if x[0][1] == True: #isDir
				if recursive:
					if x[0][0] != dir:
						self.addDirToDatabase(con, cursor, x[0][0])
			else:
				f = x[0][0].getPath()
				if f.lower().endswith(".m3u") or f.lower().endswith(".pls") or f.lower().endswith(".e2pls"):
					success = dbInsert(con, cursor, x[0][0], table="playlists", update=False)
				else:
					success = dbInsert(con, cursor, x[0][0], table="titles", update=False)
				if success:
					self.counter +=1
				if time() - self.checkTime >= 0.15: # update interval for GUI				
					if success:
						self.__messages.push((THREAD_WORKING, _("%s\n\n added to database") % f[-80:]))
					else:
						self.__messages.push((THREAD_WORKING, _("%s\n\n already exists in database!") % f[-80:]))
					self.mp.send(0)
					self.checkTime = time()

databaseActions = YampDbActions()	# Build instance of YampDbActions class

#
# More screens
#

class YampLyricsScreen(Screen, InfoBarSeek):
	def __init__(self, session, parent):
		Screen.__init__(self, session)
		with open(os.path.join(yampDir, "skins", config.plugins.yampmusicplayer.yampSkin.value, "YampLyrics.xml"), 'r') as f:
			self.skin = f.read()


		self.parent = parent
		self.oldskin = config.plugins.yampmusicplayer.yampSkin.value == 'default265' or config.plugins.yampmusicplayer.yampSkin.value == 'transparent'

		self["title"] = Label(_("YAMP Music Player Lyrics"))
		self.lyricslist = YampLyricsList()
		self.lyrics=''
		if self.oldskin: self["lyrics"] = ScrollLabel(self.lyrics)
		else: self["lyrics"] = self.lyricslist
		
		self["songtitle"] = Label ("")
		self["artist"] = Label ("")
		self["album"] = Label ("")
		self["Length"] = Label(_("length"))
		self["length"] = Label("")
		self["Tracknr"] = Label(_("Track-No"))
		self["tracknr"] = Label("")

		self["providedby"] = Label (_("songtext provided by:"))
		self["provider"] = MultiPixmap()
		self["coverArt"] = YampCoverArtPixmap()
		self["cprovidedby"] = Label (_("Cover provided by:"))
		self["cprovider"] = MultiPixmap()
		
		self["key_red"] = Label (_("Exit"))
		self["key_green"] = Label (_("Save"))
		self["key_yellow"] = Label ("")
		self["key_blue"] = Label ("")

		if self.oldskin:
			self["actions"] = ActionMap(["YampActions", "YampOtherActions"], 
			{
				"exit": self.keyExit,
				"red": self.keyExit,
				"up": self["lyrics"].pageUp,
				"down": self["lyrics"].pageDown,
				"green": self.keyGreen,
			}, -1)
		else:
			self["actions"] = ActionMap(["YampActions", "YampOtherActions"], 
			{
				"exit": self.keyExit,
				"red": self.keyExit,
				"ok": self.ok,
				"play": self.play,
				"pause": self.pause,
				"prevTitle": self.previousEntry,
				"nextTitle": self.nextEntry,
				"up": self.moveup,
				"down": self.movedown,
				"green": self.keyGreen,
				"yellow": self.keyYellow,
				"blue": self.keyBlue,
			}, -1)

		InfoBarSeek.__init__(self, actionmap = "YampSeekActions")
		
#		if config.plugins.yampmusicplayer.yampRemote.value == 'default':
		
#				"right" : (self.pagedown, _("Next page, Screensaver: next slide")),
#				"left" : (self.pageup, _("Previous page, Screensaver: previous slide")),

#				"prevBouquet": (self.pagedownspecial, _("Next page")),
#				"nextBouquet" : (self.pageupspecial, _("Previous page")),
		
		self.onLayoutFinish.append(self.layoutFinished)
		self.onClose.append(self.cleanup)
		self.triggerTimer = eTimer()
		if os.path.exists("/var/lib/dpkg/status"):
			self.triggerTimer_conn=self.triggerTimer.timeout.connect(self.triggerStartActions)
		else:
			self.triggerTimer.callback.append(self.triggerStartActions)
		self.updateTimer = eTimer()
		if os.path.exists("/var/lib/dpkg/status"):
			self.updateTimer_conn=self.updateTimer.timeout.connect(self.updateInfoCyclic)
		else:
			self.updateTimer.callback.append(self.updateInfoCyclic)
##		self.__event_tracker = ServiceEventTracker(screen=self, eventmap=
##			{
##				iPlayableService.evEnd : self.serviceStopped,
#				iPlayableService.evUpdatedInfo : self.updateInfoCyclic,
##			})
		self.LcdText=''
		self.offsetJump = 0
		self.autoMoveOn = True
		self.allowTimeEdit = False
		self.songPos = 0
		self.scrollMinLines = config.plugins.yampmusicplayer.lyricsMinLinesScroll.value
		self.scrollLine = config.plugins.yampmusicplayer.lyricsScrollLine.value - 1
		self.timeStampOffset = config.plugins.yampmusicplayer.lyricsOffsetTime.value  #milliseconds offset
		self.timeStampChanged = False
		self.lyricsFileName=''
		self.pixNumCover = COVERS_NO
		self.pixNumLyrics = LYRICSS_NO
	
	def layoutFinished(self):
		try:
			self.setSongInfo()
		except:
			LOG('YampLyricsScreen: layoutFinished: currTitle: EXCEPT', 'err') 
		
		self.setTextYellowKey()
		self.setTextBlueKey()

		self.triggerTimer.start(50,True)
		self.updateTimer.start(500,False)		#for autoMove
#		LOG('YampLyricsScreen: layoutFinished: before textToList: self.lyrics: *%s*' %(self.lyrics), 'err') ###Test
		try:
			self.getLyrics()
		except:
			LOG('YampLyricsScreen: layoutFinished: self.getLyrics: EXCEPT', 'err')
		try:
			self.buildNewLyrics()
#			LOG('YampLyricsScreen: layoutFinished: self.txtLines: %s' %(self.txtLines), 'err') ###Test
		except:
			LOG('YampLyricsScreen: layoutFinished: buildNewLyrics: EXCEPT', 'err') 
		try:
			self.lyricslist.selectionEnabled(1)
		except:
			LOG('YampLyricsScreen: layoutFinished: selectionEnabled: EXCEPT', 'err') 
		try:
			if not self.oldskin: self.lyricslist.moveToIndex(0)
		except:
			LOG('YampLyricsScreen: layoutFinished: moveToIndex: EXCEPT', 'err') 

	def lyricsChanged(self):
#		LOG('YampLyricsScreen: lyricsChanged: Start', 'err')	###Test
#		try:
#			LOG('YampLyricsScreen: lyricsChanged: self.pixNumLyrics: %d' %(self.pixNumLyrics), 'err')	###Test
#		except:
#			LOG('YampLyricsScreen: lyricsChanged: pixNumLyrics: EXCEPT', 'err')
#		try:
#			LOG('YampLyricsScreen: lyricsChanged: self.pixNumLyrics: %d  self.pixNumLyrics mod LYRICSS_NO: %d' %(self.pixNumLyrics,self.pixNumLyrics % LYRICSS_NO), 'err')	###Test
#		except:
#			LOG('YampLyricsScreen: lyricsChanged: pixNumLyrics: EXCEPT', 'err')
		try:
			if not self.oldskin: self["provider"].setPixmapNum(self.pixNumLyrics % LYRICSS_NO)
		except:
			LOG('YampLyricsScreen: lyricsChanged: setPixmapNum: EXCEPT', 'err')
		try:
			self.buildNewLyrics()
		except:
			LOG('YampLyricsScreen: lyricsChanged: buildNewLyrics: EXCEPT', 'err')
			
#
# Show Lyrics methods
#
# 1. Look for lyrics in ID3 tag (for mp3s, flac), 2. Look for lyrics in lyrics directory, 3. Search lyrics with chartlyrics.com

	def getLyrics(self):
		LOG('YampLyricsScreen: getLyrics: Start', 'all')
		self.pixNumLyrics = LYRICSS_NO
		self.lyricsFoundPrio = LYRICSS_NO
		self.lyrics = _("Sorry, no lyrics found")
		try:
			songFilename = self.parent.playlist.getServiceRefList()[self.parent.playlist.getCurrentIndex()].getPath()
			if config.plugins.yampmusicplayer.useSingleLyricsPath.value:
				self.lyricsFileName = os.path.join(config.plugins.yampmusicplayer.lyricsPath.value, os.path.basename(os.path.splitext(songFilename)[0] + ".txt"))
			else:
				self.lyricsFileName = os.path.splitext(songFilename)[0] + ".txt"
			LOG('YampLyricsScreen: getLyrics: songFilename: %s lyricsFileName: %s' %(songFilename,self.lyricsFileName), 'all')
		except:
			LOG('YampLyricsScreen: getLyrics: Start: EXCEPT', 'err')
		
		prio1 = config.plugins.yampmusicplayer.prioLyrics1.value
		prio2 = config.plugins.yampmusicplayer.prioLyrics2.value
		prio3 = config.plugins.yampmusicplayer.prioLyrics3.value
		LOG('YampLyricsScreen: getLyrics: prio: %s %s %s' %(prio1,prio2,prio3), 'all')

		self.searchId3(songFilename, prio1, prio2, prio3)
#		LOG('YampLyricsScreen: getLyrics: before searchfile', 'err')
		self.searchFile(prio1, prio2, prio3)
#		LOG('YampLyricsScreen: getLyrics: before lyricsChanged', 'err')
		self.lyricsChanged()
#		LOG('YampLyricsScreen: getLyrics: before searchChartlyrics', 'err')
		self.searchChartlyrics(prio1, prio2, prio3)

		
	#Lyrics search chartlyrics.com
	def searchChartlyrics(self,prio1,prio2,prio3):
		LOG('YampLyricsScreen: getLyrics: Start chartlyrics: Start', 'all')
		if prio1 == 'lyricsChart': prio = 1
		elif prio2 == 'lyricsChart': prio = 2
		elif prio3 == 'lyricsChart': prio = 3
		else: return

		LOG('YampLyricsScreen: searchChartlyrics: prio: %d  lyricsFoundPrio: %d' %(prio,self.lyricsFoundPrio), 'all')
		if self.lyricsFoundPrio < prio: return		#already found with higher priority

		if True:
			artist = self.artist.replace("'","")
#			artist = artist.replace('!', 'i')
			title = self.songtitle.replace("'","")
			LOG('YampLyricsScreen: getLyrics: chartlyrics: artist: %s  title: %s' %(artist,title), 'all')
			if artist and title:
				url = "http://api.chartlyrics.com/apiv1.asmx/SearchLyricDirect?artist=%%22%s%%22&song=%%22%s%%22" % (quote(artist), quote(title))
				LOG('YampLyricsScreen: getLyrics: chartlyrics: url: %s' %(url), 'all')
				getPage(url, timeout=10).addCallback(self.getLyricsParseXML,prio).addErrback(self.getLyricsFailed,prio)
		
	def getLyricsParseXML(self, xmlstring, prio):
#		LOG('YampScreen: getLyricsParseXML: Start: xmlstring: %s' %(xmlstring), 'err')
		xmlElement = xml_fromstring(xmlstring)
#		self.lyrics = htmlUnescape(unquote(xmlElement.findtext("{http://api.chartlyrics.com/}Lyric").encode("utf-8", 'ignore')))
		lyrics = htmlUnescape(unquote(xmlElement.findtext("{http://api.chartlyrics.com/}Lyric").encode("utf-8", 'ignore')))
		title = htmlUnescape(unquote(xmlElement.findtext("{http://api.chartlyrics.com/}LyricSong").encode("utf-8", 'ignore')))
		artist = htmlUnescape(unquote(xmlElement.findtext("{http://api.chartlyrics.com/}LyricArtist").encode("utf-8", 'ignore')))
		if lyrics:
			try:
				self.lyrics = lyrics
#				LOG('YampScreen: getLyricsParseXML: lyrics: %s:' %(self.lyrics), 'err')
				self.pixNumLyrics = LYRICSS_CHARTL
				self.lyricsFoundPrio = prio
				self.lyricsChanged()
			except:
				LOG('YampScreen: getLyricsParseXML: self.lyrics: EXCEPT', 'err')
		
	def getLyricsFailed(self,result):
		self.lyrics = _("Access to chartlyrics.com failed.") + "\n\n%s" % str(result.getErrorMessage())
#		self.pixNumLyrics = LYRICSS_NO
#		self.lyricsFoundPrio = prio
#		self.lyricsChanged()
		
	#Lyrics search ID3 (mp3, flac)
	def searchId3(self,songFilename,prio1,prio2,prio3):
		if prio1 == 'lyricsID3': prio = 1
		elif prio2 == 'lyricsID3': prio = 2
		elif prio3 == 'lyricsID3': prio = 3
		else: return

#		LOG('YampLyricsScreen: searchId3: prio: %d  lyricsFoundPrio: %d' %(prio,self.lyricsFoundPrio), 'err')
		if self.lyricsFoundPrio < prio: return	#already found with higher priority

		if songFilename.lower().endswith(".mp3"):
			#Lyrics search mp3
			LOG('YampLyricsScreen: searchId3: mp3', 'all')
			try:
				audio = ID3(songFilename)
			except:
				audio = None
			if audio:
				for frame in audio.values():
					if frame.FrameID == "USLT":
						self.lyrics = getEncodedString(frame.text).replace("\r\n","\n").replace("\r","\n")
						self.pixNumLyrics = LYRICSS_MP3
						self.lyricsFoundPrio = prio
						break
						
		elif songFilename.lower().endswith(".flac"):
			#Lyrics search flac
			LOG('YampLyricsScreen: searchId3: flac', 'all')
			try:
				flacInfo = FLAC(songFilename)
#				LOG('YampLyricsScreen: searchId3: FLAC: songFilename: %s:' %(songFilename), 'err')
			except:
				flacInfo = None
			try:
				if flacInfo:
#					LOG('YampLyricsScreen: searchId3: FLAC: has flacinfo: flacInfo: %s:' %(flacInfo), 'err')
#					try:
#						LOG('YampLyricsScreen: searchId3: FLAC: flacInfo[''lyrics'']: %s' %(flacInfo['lyrics']), 'err')
#					except:
#						LOG('YampLyricsScreen: searchId3: FLAC: flacInfo[''lyrics'']: EXCEPT', 'err')
					if not 'lyrics' in flacInfo:
						LOG('YampLyricsScreen: searchId3: lyrics in flacInfo: NO', 'all')
					else:
						LOG('YampLyricsScreen: searchId3: lyrics in flacInfo: YES', 'all')
						try:
							text = flacInfo['lyrics']
#							LOG('YampLyricsScreen: searchId3: FLAC: text: %s:' %(text), 'err')
						except:
							LOG('YampLyricsScreen: searchId3: FLAC: text: EXCEPT', 'err')

						try:	
							self.lyrics = text[0]
#							LOG('YampLyricsScreen: searchId3: FLAC: self.lyrics 1: %s' %(self.lyrics), 'err')
						except:
							LOG('YampLyricsScreen: searchId3: FLAC: self.lyrics 1: EXCEPT', 'err')

						try:
#							LOG('YampLyricsScreen: searchId3: FLAC: self.lyrics before encode: %s' %(self.lyrics), 'err')
							self.lyrics = getEncodedString(self.lyrics).replace("\r\n","\n").replace("\r","\n")
#							LOG('YampLyricsScreen: searchId3: FLAC: self.lyrics after encode: %s' %(self.lyrics), 'err')
						except:
							LOG('YampLyricsScreen: searchId3: FLAC: self.lyrics: encode: EXCEPT' , 'err')
						try:
#							self.lyrics = "%s: %s\n\n%s" % (self.currArtist, self.currTitle, self.lyrics)
#							LOG('YampLyricsScreen: searchId3: FLAC: self.lyrics 5: %s' %(self.lyrics), 'err')
							self.pixNumLyrics = LYRICSS_FLAC
							self.lyricsFoundPrio = prio
						except:
							LOG('YampLyricsScreen: searchId3: FLAC: self.lyrics 5: EXCEPT', 'err')
			except:
				LOG('YampLyricsScreen: searchId3: FLAC: FlacInfo EXCEPT:', 'err')
		return
		
	#Lyrics search file
	def searchFile(self,prio1,prio2,prio3):
		if prio1 == 'lyricsFile': prio = 1
		elif prio2 == 'lyricsFile': prio = 2
		elif prio3 == 'lyricsFile': prio = 3
		else: return

		LOG('YampLyricsScreen: searchFile: prio: %d  lyricsFoundPrio: %d' %(prio,self.lyricsFoundPrio), 'all')
		if self.lyricsFoundPrio < prio: return	#already found with higher priority

		try:
			LOG('YampLyricsScreen: searchFile: lyricsFileName: %s' %(self.lyricsFileName), 'all')
			file = open(self.lyricsFileName, "r")
			self.lyrics = file.read()
			file.close()
			self.pixNumLyrics = LYRICSS_FILE
			self.lyricsFoundPrio = prio
		except:
			pass
		return 

		
	def setTimestamp(self):
		if not self.allowTimeEdit: return
#		LOG('YampLyricsScreen: setTimestamp: Start: ', 'err')
		try:
			selIndex = self["lyrics"].getSelectionIndex()
			index = selIndex + self.startIndex
#			LOG('YampLyricsScreen: setTimestamp: selIndex: %d startindex: %d  index: %d  text: %s' %(selIndex,self.startIndex,index,self.txtLines[index]), 'err') ###Test
		except:
			LOG('YampLyricsScreen: setTimestamp: set index: EXCEPT ', 'err')
		try:
			milliseconds = (self.songPos / 90) - self.timeStampOffset
			if milliseconds < 0: milliseconds = 0
			minutes = milliseconds / 60000
			seconds = (milliseconds % 60000) / 1000.0
#			LOG('YampLyricsScreen: setTimestamp: milliseconds: %d minutes: %d  seconds: %f' %(milliseconds,minutes,seconds), 'err') ###Test
		except:
			LOG('YampLyricsScreen: setTimestamp: calculate time: EXCEPT ', 'err')
		try:
			self.tiStamp[index]='[%02d:%05.2f]' %(minutes,seconds)
			self.timeStampChanged = True
#			LOG('YampLyricsScreen: setTimestamp: tiStamp: %s:' %(self.tiStamp[index]), 'err')
#			self.tiStamp[index]='[(0:02d):(1:02.2f)]'.format(minutes,seconds)
		except:
			LOG('YampLyricsScreen: setTimestamp: tiStamp: EXCEPT ', 'err')
		try:
			self.buildLyricsMenuList(self.txtLines[self.startIndex:],self.tiStamp[self.startIndex:])
		except:
			LOG('YampLyricsScreen: setTimestamp: buildLyricsMenuList: EXCEPT ', 'err')
		self.movedown()

	def autoMove(self):
		if not self.autoMoveOn or self.oldskin: return
		try:
			for index in range(len(self.tiStampMsec90)-1, -1, -1):
#				LOG('YampLyricsScreen: autoMove: index: %d' %(index), 'err')
				if self.songPos >= self.tiStampMsec90[index] and self.tiStampMsec90[index] != 0:
#					LOG('YampLyricsScreen: autoMove: indexfound: idx: %d  stamp: %d songPos: %d' %(index,self.tiStampMsec90[index], self.songPos), 'err') ###Test

					#new textline has to be displayed
					try:	
						if index < self.startIndex:			#list has been manually scrolled down -> scroll back
#							LOG('YampLyricsScreen: autoMove: index < self.startIndex: idx: %d  startIndex: %d' %(index, self.startIndex), 'err') ###Test
							self.startIndex = index
							if self.allowTimeEdit: self.buildLyricsMenuList(self.txtLines[self.startIndex:],self.tiStamp[self.startIndex:])
							else: self.buildLyricsMenuList(self.txtLines[self.startIndex:])
					except:
						LOG('YampLyricsScreen: autoMove: index < self.startIndex: EXCEPT', 'err') ###Test
					
					self.lyricslist.moveToIndex(index-self.startIndex)
#					LOG('YampLyricsScreen: autoMove: self.txtLines[index]: %s' %(self.txtLines[index]), 'err') ###Test
					if self.txtLines[index].strip() == '': self.movedown()
					
					#check scrolling
					if self.lenLyricslist > self.scrollMinLines:		#only scroll when more lines than page  
						while self["lyrics"].getSelectionIndex() > self.scrollLine:
							self.startIndex += 1   
							if self.allowTimeEdit: self.buildLyricsMenuList(self.txtLines[self.startIndex:],self.tiStamp[self.startIndex:])
							else: self.buildLyricsMenuList(self.txtLines[self.startIndex:])
					break
		except:
			LOG('YampLyricsScreen: autoMove: index: EXCEPT', 'err')
		
			
	def moveup(self):
		if self.oldskin: return
		self["lyrics"].up()
		try:
			sel = self["lyrics"].getSelection().text.strip()
#			LOG('YampLyricsScreen: moveup: getSelection: %s' %(sel), 'err') 
		except:
			LOG('YampLyricsScreen: moveup: getSelection: EXCEPT', 'err') 
		try:
			selIndex =self["lyrics"].getSelectionIndex()
#			LOG('YampLyricsScreen: moveup: getSelectionIndex: %d' %(selIndex), 'err') 
		except:
			LOG('YampLyricsScreen: moveup: getSelectionIndex: EXCEPT', 'err') 
		try:	
#			if sel == '' and selIndex < LYRICS_SCROLL_LINE and self.startIndex == 0: 
			if sel == '' and selIndex < self.scrollLine and self.startIndex == 0: 
				self.moveup()
		except:
			LOG('YampLyricsScreen: moveup: while: EXCEPT', 'err') 

		#check scrolling
		try:	
			if selIndex > 0: 
				try:
					selIndex = self["lyrics"].getSelectionIndex()
				except:
					LOG('YampLyricsScreen: moveup: selIndex: EXCEPT', 'err') 
#				if selIndex <= LYRICS_SCROLL_LINE and self.startIndex > 0:
				if selIndex <= self.scrollLine and self.startIndex > 0:
					try:
#						LOG('YampLyricsScreen: moveup: startIndex before: %d  offsetJump: %d' %(self.startIndex, self.offsetJump), 'err') 
						self.startIndex -= 1 
						if self.startIndex < 0: self.startIndex = 0 
#						LOG('YampLyricsScreen: moveup: startIndex after: %d' %(self.startIndex), 'err') 
						if self.allowTimeEdit: self.buildLyricsMenuList(self.txtLines[self.startIndex:],self.tiStamp[self.startIndex:])
						else: self.buildLyricsMenuList(self.txtLines[self.startIndex:])
					except:
						LOG('YampLyricsScreen: moveup: buildLyricsMenuList: EXCEPT', 'err') 
					try:
#						self.lyricslist.moveToIndex(LYRICS_SCROLL_LINE)
						self.lyricslist.moveToIndex(self.scrollLine)
					except:
						LOG('YampLyricsScreen: moveup: moveToIndex: EXCEPT', 'err') 
					try:
						sel = self["lyrics"].getSelection().text.strip()
						if sel == '':	self.moveup()
					except:
						LOG('YampLyricsScreen: moveup: moveup end: EXCEPT', 'err') 
		except:
			LOG('YampLyricsScreen: moveup: buildnew komplett: EXCEPT', 'err') 

			
	def movedown(self):
#		LOG('YampLyricsScreen: movedown: getSelection: Start', 'err') 
		if self.oldskin: return
		self["lyrics"].down()
		try:
			sel =self["lyrics"].getSelection().text.strip()
#			LOG('YampLyricsScreen: movedown: getSelection: %s' %(sel), 'err') 
		except:
			LOG('YampLyricsScreen: movedown: getSelection: EXCEPT', 'err') 
		try:
			selIndex = self["lyrics"].getSelectionIndex()
#		LOG('YampLyricsScreen: movedown: getSelectionIndex: %d' %(selIndex), 'err') 
		except:
			LOG('YampLyricsScreen: movedown: getSelectionIndex: EXCEPT', 'err') 
		try:	
#			LOG('YampLyricsScreen: movedown: sel: *%s* selIndex: %d scrollLine: %d startIndex: %d' %(sel,selIndex,self.scrollLine,self.startIndex), 'err') 
#			LOG('YampLyricsScreen: movedown: lenLyricslist: %d scrollMinLines: %d' %(self.lenLyricslist,self.scrollMinLines), 'err') 
			if sel == '' and ((selIndex <= self.scrollLine and self.startIndex == 0) or self.lenLyricslist <= self.scrollMinLines): 
#				LOG('YampLyricsScreen: movedown: extra movedown', 'err') 
				self.movedown()
		except:
			LOG('YampLyricsScreen: movedown: EXCEPT', 'err') 

		#check scrolling
		try:	
			if self.lenLyricslist > self.scrollMinLines:		#only scroll when more lines than page 
				try:
					selIndex = self["lyrics"].getSelectionIndex()
#					LOG('YampLyricsScreen: movedown: before scroll 2xxx: selIndex: %d %s' %(selIndex,sel), 'err') 
				except:
					LOG('YampLyricsScreen: movedown: selIndex: EXCEPT', 'err') 
				if selIndex > self.scrollLine:   # and selIndex + self.startIndex <= len(self.txtLines)
					try:
#						LOG('YampLyricsScreen: movedown: startIndex before: %d' %(self.startIndex), 'err') 
						self.startIndex += 1
#						LOG('YampLyricsScreen: movedown: startIndex after: %d' %(self.startIndex), 'err') 
						if self.allowTimeEdit: self.buildLyricsMenuList(self.txtLines[self.startIndex:],self.tiStamp[self.startIndex:])
						else: self.buildLyricsMenuList(self.txtLines[self.startIndex:])
					except:
						LOG('YampLyricsScreen: movedown: buildLyricsMenuList: EXCEPT', 'err') 
					try:
						self.lyricslist.moveToIndex(self.scrollLine)
					except:
						LOG('YampLyricsScreen: movedown: moveToIndex: EXCEPT', 'err') 
					try:
						sel = self["lyrics"].getSelection().text.strip()
						if sel == '':	self.movedown()
					except:
						LOG('YampLyricsScreen: movedown: movedown end: EXCEPT', 'err') 
		except:
			LOG('YampLyricsScreen: movedown: buildnew komplett: EXCEPT', 'err') 


	def pause(self):
		try:
#			LOG('YampLyricsScreen: pause: Start', 'err') 
			self.parent.pause()
		except:
			LOG('YampLyricsScreen: pause: EXCEPT', 'err') 

	def play(self):
		try:
#			LOG('YampLyricsScreen: play: Start', 'err')
			self.parent.play()
		except:
			LOG('YampLyricsScreen: play: EXCEPT', 'err') 

	def previousEntry(self):
		try:
#			LOG('YampLyricsScreen: previousEntry: Start', 'err') 
			self.parent.previousEntry()
		except:
			LOG('YampLyricsScreen: previousEntry: EXCEPT', 'err') 

	def nextEntry(self):
		try:
#			LOG('YampLyricsScreen: nextEntry: Start', 'err') 
			self.parent.nextEntry()
		except:
			LOG('YampLyricsScreen: nextEntry: EXCEPT', 'err') 
			
	def ok(self):
		try:
			if self.allowTimeEdit: self.setTimestamp()
		except:
			LOG('YampLyricsScreen: ok: EXCEPT', 'err') 

	def saveLyrics(self):	
		try:
			index = 0
			text = ''
			for line in self.txtLines:
				text=text + self.tiStamp[index] + line + '\n'
				index +=1
			file = open(self.lyricsFileName, "w")
			file.write(text)
			file.close()
			self.timeStampChanged = False
			self.session.open(MessageBox, _("Lyrics saved to %s") %(self.lyricsFileName), type = MessageBox.TYPE_INFO,timeout = 5 )
		except:
			self.session.open(MessageBox, _("Saving lyrics %s failed") %(self.lyricsFileName), type = MessageBox.TYPE_WARNING,timeout = 10 )
		self.getLyrics()
		
	def keyGreen(self):
		try:
			self.saveLyrics()
		except:
			LOG('YampLyricsScreen: keyGreen: EXCEPT', 'err') 
			
	def keyYellow(self):
		if self.oldskin: return
		try:
			self.autoMoveOn = not self.autoMoveOn
			self.setTextYellowKey()
		except:
			LOG('YampLyricsScreen: key_yellow: EXCEPT', 'err') 

	def keyBlue(self):
		if self.oldskin: return
		try:
			self.allowTimeEdit = not self.allowTimeEdit
			self.setTextBlueKey()
			if self.allowTimeEdit: 
				self.buildLyricsMenuList(self.txtLines[self.startIndex:],self.tiStamp[self.startIndex:])
				self.autoMoveOn = False
			else: 
				self.buildLyricsMenuList(self.txtLines[self.startIndex:])
			self.setTextYellowKey()
		except:
			LOG('YampLyricsScreen: keyBlue: EXCEPT', 'err') 

	def setTextYellowKey(self):	
		if self.oldskin: return
		if self.autoMoveOn: self["key_yellow"].setText(_("Auto move Off"))
		else: self["key_yellow"].setText(_("Auto move On"))

	def setTextBlueKey(self):		
		if self.oldskin: return
		if self.allowTimeEdit: self["key_blue"].setText(_("Disallow time edit"))
		else:	self["key_blue"].setText(_("Allow time edit"))

	def triggerStartActions(self):
#		try:
#			LOG('YampLyricsScreen: triggerStartActions ok' , 'err') 
#		except:
#			LOG('YampLyricsScreen: triggerStartActions: EXCEPT', 'err')  ###Test 
		self.setCover()
		self.setLcdText()
		
	def setLcdText(self):
		if config.plugins.yampmusicplayer.yampLCD.value == 'rolling':
			self.updateLCDText(self.songtitle + ' - ' + self.artist + ' - ' + self.album,1)
		else:	
			self.updateLCDText(self.songtitle, 1)
			self.updateLCDText(self.artist, 2)
			self.updateLCDText(self.album, 3)
			
	def setSongInfo(self):
		try:
			self.songtitle = self.parent.currTitle
			self.artist = self.parent.currArtist
			self.album = self.parent.currAlbum
			self.tracknr = self.parent.currTracknr
			if self.oldskin: return

			self["songtitle"].setText(self.songtitle)
			self["artist"].setText(self.artist)
			self["album"].setText(self.album)
			if self.tracknr > 0: self["tracknr"].setText(str(self.tracknr))
			else: self["tracknr"].setText('')
			self["length"].setText(self.parent.currLength)
##			self["provider"].setPixmapNum(self.pixNumLyrics)
			
			self.setCover()
		except:
			LOG('YampLyricsScreen: setSongInfo: EXCEPT', 'err') 

	def setCover(self):
		if self.oldskin: return
		try:
			self.coverArtFile, self.pixNumCover = self.parent.getCoverArtFile()
			self["coverArt"].showCoverArt(self.coverArtFile)
			self["cprovider"].setPixmapNum(self.pixNumCover)
			LOG('YampLyricsScreen: setCover: coverArtFile: *%s*' %(self.coverArtFile), 'all') ###Test
		except:
			LOG('YampLyricsScreen: setCover: EXCEPT', 'err') 
			
	def cleanup(self):
#		LOG('YampLyricsScreen: cleanup', 'err')  ###Test
		self.triggerTimer.stop()
		self.updateTimer.stop()
		del self.triggerTimer
		del self.updateTimer

	def updateLCDText(self, text, line):
		if config.plugins.yampmusicplayer.yampLCD.value == 'rolling':
			try:
				self.LcdText = text
#				LOG('YampLyricsScreen: updateLCDText: RollingLCD: LcdText: %s' %(self.LcdText), 'err') 
			except:
				pass
		else:	
#			LOG('YampLyricsScreen: updateLCDText: normalLCD: LcdText: %s' %(text), 'err') 
			self.summaries.setText(text,line)
		
	def getLcdText(self):	#for LCD Running Text
#		LOG('YampLyricsScreen: getLcdText: LcdText: %s' %(self.LcdText), 'all')
		return(self.LcdText)
		
	def createSummary(self):
		if config.plugins.yampmusicplayer.yampLCD.value == 'rolling':
			return YampLCDScreenRunning
		else:
			return YampLCDScreen

	def lockShow(self):
		pass

	def unlockShow(self):
		pass
		
		
	def updateInfoCyclic(self):
		try:
			len, self.songPos = self.getSeekData()
#			LOG('YampLyricsScreen: updateInfoCyclic: len: %d  pos: %d' %(len,self.songPos), 'err')	###Test
		except:
			LOG('YampLyricsScreen: updateInfoCyclic EXCEPT', 'err')
		self.autoMove()
		if self.parent.coverChangedLyrics:
			self.parent.coverChangedLyrics = False
			self.setCover() 
#		if self.lyricsChanged: 
#			if not self.oldskin: self["provider"].setPixmapNum(self.pixNumLyrics)
#			self.lyricsChanged = False
		if self.songtitle != self.parent.currTitle:		#new Song
			self.setSongInfo()
			self.setLcdText()
			self.autoMoveOn = True
			self.setTextYellowKey()
			self.allowTimeEdit = False
			self.setTextBlueKey()
			if not self.timeStampChanged: 
				self.getLyrics()
			else:
				self.session.openWithCallback(self.saveConfirmed, MessageBox, _("TimeStamp has been changed\nDo yo want to save the lyrics file?"), default = True, title = _('Lyrics time stamp changed'))

	def saveConfirmed(self,answer):
#		LOG('YampLyricsScreen: saveConfirmed: answer; %d' %(answer), 'err')
		if answer: 
			self.saveLyrics()
		else: 
			self.timeStampChanged = False
			self.getLyrics()

			
	def buildNewLyrics(self):
		LOG('YampLyricsScreen: buildNewLyrics: Start', 'all')
		self.lyrics = self.lyricsClean(self.lyrics)

		try:
			if self.oldskin: 
#				LOG('YampLyricsScreen: buildNewLyrics: self.oldskin', 'err')
				LOG('YampLyricsScreen: buildNewLyrics: self.oldskin: self.lyrics: %s ' %(self.lyrics), 'all')
				self["lyrics"].setText(self.lyrics)
		except:
			LOG('YampLyricsScreen: buildNewLyrics: oldskin: EXCEPT', 'err')
		try:
			self.tiStamp, self.tiStampMsec90, self.txtLines = self.textToList(self.lyrics)
#			LOG('YampLyricsScreen: buildNewLyrics: self.tiStamp: %s' %(self.tiStamp), 'err') ###Test
#			LOG('YampLyricsScreen: buildNewLyrics: self.tiStampMsec90: %s' %(self.tiStampMsec90), 'err') ###Test
#			LOG('YampLyricsScreen: buildNewLyrics: self.txtLines: %s' %(self.txtLines), 'err') ###Test
		except:
			LOG('YampLyricsScreen: buildNewLyrics: self.textToList: EXCEPT', 'err')
		try:
			self.buildLyricsMenuList(self.txtLines)
		except:
			LOG('YampLyricsScreen: buildNewLyrics: buildLyricsMenuList: EXCEPT', 'err')
		try:
			self.startIndex = 0	
			self.lenLyricslist = len(self.lyricslist)
			self.lyricslist.moveToIndex(0)		
		except:
			LOG('YampLyricsScreen: buildNewLyrics: setparameters: EXCEPT', 'err')
				
	def getSeekData(self):
		try:
#			LOG('YampLyricsScreen: getSeekData', 'err')	###Test
			service = self.session.nav.getCurrentService()
			seek = service and service.seek()
			if seek is None:
				return (0, 0)
			len = seek.getLength()
			pos = seek.getPlayPosition()
			if len[0] or pos[0]:
				return (0, 0)
			return (len[1], pos[1])
		except:
			LOG('YampLyricsScreen: getSeekData EXCEPT', 'err')
		
		
	def keyExit(self):
		if self.timeStampChanged:
			self.session.openWithCallback(self.exitConfirmed, MessageBox, _("TimeStamp has been changed\nDo yo want to save before exit?"), default = True, title = _('Lyrics time stamp changed'))
		else:
			self.close()
			
	def exitConfirmed(self,answer):
		if answer:
			self.saveLyrics()
		self.close()
		
	def buildLyricsMenuList(self, text, timeStamp=None):
#		try:
#			LOG('YampLyricsScreen: buildLyricsMenuList Start: text: %s' %(text), 'err')
#			LOG('YampLyricsScreen: buildLyricsMenuList Start: timeStamp: %s' %(timeStamp), 'err')
#		except:
#			LOG('YampLyricsScreen: buildLyricsMenuList Start: EXCEPT', 'err')
			
		self.lyricslist.list = []
		if timeStamp is None:
			try:
				self.lyricslist.setWithTimeStamp(False)
				for line in text:
					self.lyricslist.append(LyricslistEntryComponent(text = line))
			except:
				pass
		else:
			try:
				self.lyricslist.setWithTimeStamp(True)
				index = 0
				for line in text:
					self.lyricslist.append(LyricslistEntryComponent(text = line, tiStamp = timeStamp[index]))
#					LOG('YampLyricsScreen: buildLyricsMenuList: for line in text: text: %s tiStamp:%s ' %(line,timeStamp[index]), 'err')
					index += 1
			except:
				LOG('YampLyricsScreen: buildLyricsMenuList: for line in text:  EXCEPT' , 'err')
		self.lyricslist.updateList()
		if len(self.lyricslist) > 1:
			self.autoMove()
			
	def lyricsClean(self,text):
		try:
			import re
			text = re.sub(r'\[ar:.*\]','',text)									#remove artist string [ar:xxx]
			text = re.sub(r'\[ti:.*\]','',text)									#remove title string [ti:xxx]
			text = re.sub(r'\[offset:.*\]','',text)							#remove offset string [ofset:xxx]
			text = re.sub(r'\[Offset:.*\]','',text)							#remove offset string [ofset:xxx]
			text = re.sub(r'\[ap:.*\]','',text)									#remove ap string [ap:xxx]
			text = re.sub(r'\[al:.*\]','',text)									#remove al string [al:xxx]
			text = re.sub(r'\[by:.*\]','',text)									#remove a string [by:xxx]
#			try:
#				text = re.sub(r'\[[0-9]+:[0-9]+.?[0-9]*\]\[[0-9]+:[0-9]+.?[0-9]*\]',r'\[[0-9]+:[0-9]+.?[0-9]*\]',text)	#remove leading timecode [00:00.00]
#				text = re.sub(r'\[[0-9]+:[0-9]+.?[0-9]*\]\[[0-9]+:[0-9]+.?[0-9]*\]',r'\[[0-9]+:[0-9]+.?[0-9]*\]\[[0-9]+:[0-9]+.?[0-9]*\]',text)	#remove leading timecode [00:00.00]
#			except:
#				pass
#			text = re.sub(r'\[[0-9]+:[0-9]+.?[0-9]*\]','',text)	#remove leading timecode [00:00.00]
			text = re.sub(r'<!--.*-->','',text)									#remove xml comment
			text = re.sub(r'<script.*/script>','',text)					#remove xml script
			text = re.sub(r'</em>','',text)											#remove xml em class end
			text = re.sub(r'<em class=.*>','',text)							#remove xml em class
			
			text = text.strip()																	#remove empty lines at beginning / end
#			LOG('YampScreen: flacLyricsClean: text: %s' %(text), 'err')
		except:
			LOG('YampScreen: flacLyricsClean: text: EXCEPT', 'err')
		return text
			
	def textToList(self, text):
		import re
#		LOG('YampLyricsScreen: textToList Start: text: %s' %(text), 'err') 
		textLines=[]
		tStamp=[]
		tStampmsecs90=[]
		import string, re
		try:
			textLines=string.split(text,'\n')
		except:
			LOG('YampLyricsScreen: textToList: text.split: EXCEPT', 'err') 
		try:
			for line in textLines:
#				LOG('YampLyricsScreen: textToList: line: %s' %(line), 'err') 
				tx=''
				timeStamp = re.findall(r'\[[0-9]+:[0-9]+.?[0-9]*\]',line)
#				LOG('YampLyricsScreen: textToList: timeStamp: %s' %(timeStamp), 'err') 
				if len(timeStamp): tx=timeStamp[len(timeStamp)-1]
				else: tx='[00:00.00]'
				if len(tx) == 7 and tx[6] == ']': #assuming milliseconds missing: [xx:yy]
					tx = tx[:6] + '.00]'
				tStamp.append(tx)
#				LOG('YampLyricsScreen: textToList: tx: %s' %(tx), 'err') 
				minutes = int(tx[1:3])
				seconds = float(tx[4:9]) 
				posMsec90 = int( ( (minutes * 60.0 + seconds) * 1000.0 ) * 90.0 ) 
				tStampmsecs90.append(posMsec90)
#				LOG('YampLyricsScreen: textToList: minutes: %d seconds: %f  posMsecs90: %d' %(minutes,seconds,posMsec90), 'err') 
				
#				LOG('YampLyricsScreen: textToList: tStamp: %s' %(tStamp), 'err') 
#				LOG('YampLyricsScreen: textToList: timeStamp: %s  line: %s' %(tStamp[line], line), 'err') 
#				LOG('YampLyricsScreen: textToList: line: %s  type: %s' %(line, type(line)), 'err') 
#				textLines[line] = re.sub(r'\[[0-9]+:[0-9]+.?[0-9]*\]','',line)	#remove leading timecode [00:00.00]
		except:
			LOG('YampLyricsScreen: textToList: timeStamp: EXCEPT', 'err') 
#		try:
#			textLines = re.sub(r'\[[0-9]+:[0-9]+.?[0-9]*\]','',textLines)	#remove leading timecode [00:00.00]
#		except:
#			LOG('YampLyricsScreen: textToList: re.sub: EXCEPT', 'err') 
		try:
			textLines = re.sub(r'\[[0-9]+:[0-9]+.?[0-9]*\]','',text)	#remove leading timecode [00:00.00]
			textLines=string.split(textLines,'\n')
		except:
			LOG('YampLyricsScreen: textToList: re.sub: EXCEPT', 'err') 

		return tStamp, tStampmsecs90, textLines
			
			

			
			
			
			
			
			
#-----------------------------------------			
			
	
class YampDatabaseScreen(Screen):
	def __init__(self, session, func, dir, recursive = False):
		Screen.__init__(self, session)
		with open(os.path.join(yampDir, "skins", config.plugins.yampmusicplayer.yampSkin.value, "YampDatabase.xml"), 'r') as f:
			self.skin = f.read()

		self.func = func
		self.dir = dir
		self.recursive = recursive
		
		if self.func == "add":
			if self.recursive:
				self["title"] = Label(_("YAMP Music Player - Add all directories to Database"))
			else:
				self["title"] = Label(_("YAMP Music Player - Add directory to Database"))
		else:
			self["title"] = Label(_("YAMP Music Player - Database Actions"))
		self["key_red"] = Label(_("Cancel"))
		self["key_green"] = Label(_("OK"))
		self["message"] = Label()
		self["actions"] = ActionMap(["YampActions", "YampOtherActions"], 
		{
			"exit": self.keyCancel,
			"red": self.keyCancel,
			"green": self.keyClose,
			"ok": self.keyClose,
		}, -1)
		self.onClose.append(self.__onClose)   ###!!! evtl noch append??
		if os.path.exists("/var/lib/dpkg/status"):
			databaseActions_conn=databaseActions.MessagePump.recv_msg.connect(self.gotThreadMsg)
		else:
			databaseActions.MessagePump.recv_msg.get().append(self.gotThreadMsg)	
		if not databaseActions.isRunning:
			databaseActions.Start(func, dir, recursive)
		
	def keyCancel(self):
		if databaseActions.isRunning:
			databaseActions.Cancel()
		
	def keyClose(self):
		self.close()

	def gotThreadMsg(self, msg):
		msg = databaseActions.Message.pop()
		self["message"].setText(msg[1])
		if msg[0] == THREAD_FINISHED:
			self["key_red"].setText("")

	def __onClose(self):
		if os.path.exists("/var/lib/dpkg/status"):
			databaseActions_conn = None
		else:
			databaseActions.MessagePump.recv_msg.get().remove(self.gotThreadMsg)

class YampLCDScreenRunning(Screen):	  #for LCD 'Running Text'
	def __init__(self, session, parent):
		Screen.__init__(self, session, parent = parent)

		with open(os.path.join(yampDir, "skins", config.plugins.yampmusicplayer.yampSkin.value, "YampLcdRunning.xml"), 'r') as f:
			self.skin = f.read()

		self["lcdRunningText"] = StaticText("")
		self.onShow.append(self.__onShow)
		self.onHide.append(self.__onHide)
		self.lcdGetTextTimer = eTimer()
		if os.path.exists("/var/lib/dpkg/status"):
			self.lcdGetTextTimer_conn=self.lcdGetTextTimer.timeout.connect(self.selectionChanged)
		else:
			self.lcdGetTextTimer.callback.append(self.selectionChanged)

	def __onShow(self):
#		self.parent.list.connectSelChanged(self.selectionChanged)
		self.selectionChanged()

	def __onHide(self):
#		self.parent.list.disconnectSelChanged(self.selectionChanged)
		self.selectionChanged()
#		del self.lcdGetTextTimer

	def selectionChanged(self):
#		LOG('-----selectionChanged-----------', 'all')
		lcdRunningText = self.parent.getLcdText()
#		item = self.parent.getCurrentSelection()
		if lcdRunningText != self["lcdRunningText"].text:
			self["lcdRunningText"].text = lcdRunningText
		self.lcdGetTextTimer.start(1000)

	def setText(self, text, line):		#only for campatibility with standard LCD
		text = text

		
class YampLCDScreen(Screen):	#for Standard LCD 1 or 3 lines
	def __init__(self, session, parent):
		Screen.__init__(self, session)
		with open(os.path.join(yampDir, "skins", config.plugins.yampmusicplayer.yampSkin.value, "YampLCD.xml"), 'r') as f:
			self.skin = f.read()
		self["text1"] = Label("")
		self["text2"] = Label("")
		self["text3"] = Label("")

	def setText(self, text, line):
		textleer = "    "
		text = text + textleer*10
		if line == 1:
			self["text1"].setText(text)
		if config.plugins.yampmusicplayer.yampLCD.value == 'threelines':
			if line == 2:
				self["text2"].setText(text)
			elif line == 3:
				self["text3"].setText(text)


		
#
# General routines
#
def ConnectDatabase():
	dbPath = os.path.join(config.plugins.yampmusicplayer.databasePath.value ,"yamp.db")
	try:
		con = sqlite3.connect(dbPath)
		try:
			LOG('ConnectDatabase: dbPath: %s con: %s ' %(dbPath, con), 'all') ###Test
		except:
			LOG('ConnectDatabase: dbPath: con : EXCEPT' , 'err') ###Test
		if not os.access(dbPath, os.W_OK):
			LOG('ConnectDatabase: dbPath: no write access' , 'err') ###Test
			print "[YAMP] Can not open %s for writing..." %(dbPath)
			con.close()
			return None, 2
	except:
		LOG('ConnectDatabase: cannot open database dbPath: %s ' %(dbPath), 'err') ###Test
		print "[YAMP] Can not open database file: %s" %(dbPath)
		return None, 1
	cur = con.cursor()	#!!!
	cur.execute('CREATE TABLE IF NOT EXISTS Playlists (playlist_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, playlist_filename TEXT NOT NULL UNIQUE, playlist_title TEXT);')
#	cur.execute('CREATE TABLE IF NOT EXISTS Titles (title_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, filename TEXT NOT NULL UNIQUE, title TEXT, artist_id INTEGER, album_id INTEGER, genre_id INTEGER, date_id INTEGER, length TEXT, tracknr INTEGER, sref TEXT);')
	cur.execute('CREATE TABLE IF NOT EXISTS Titles (title_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, filename TEXT NOT NULL UNIQUE, title TEXT, artist_id INTEGER, album_id INTEGER, genre_id INTEGER, date_id INTEGER, date TEXT, length TEXT, tracknr INTEGER, sref TEXT);')
	cur.execute('CREATE TABLE IF NOT EXISTS Artists (artist_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, artist TEXT NOT NULL UNIQUE);')
	cur.execute('CREATE TABLE IF NOT EXISTS Albums (album_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, album TEXT NOT NULL UNIQUE);')
	cur.execute('CREATE TABLE IF NOT EXISTS Genres (genre_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, genre TEXT NOT NULL UNIQUE);')
	cur.execute('CREATE TABLE IF NOT EXISTS Dates (date_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT, date TEXT NOT NULL UNIQUE);')
	cur.close()
	return con, 0

def dbInsert(con, cursor, ref, table="titles", update=False):
	res = False
	f = ref.getPath()
	sref = str(ServiceReference(ref))
	if table == "titles":
		cursor.execute('SELECT title_id FROM Titles WHERE filename = "%s";' % f)
		row = cursor.fetchone()
		if row is None:
			title, album, genre, artist, date, length, tracknr = readID3Infos(f)
			# 1. Artist
			if config.plugins.yampmusicplayer.capitalizeTitleAndArtist.value:
				artist = titlecase(artist)
			cursor.execute('SELECT artist_id FROM Artists WHERE artist = "%s";' % (artist.replace('"','""')))
			row = cursor.fetchone()
			if row is None:
				cursor.execute('INSERT INTO Artists (artist) VALUES("%s");' % (artist.replace('"','""')))
				artistID = cursor.lastrowid
			else:
				artistID = row[0]
			# 2. Album
			cursor.execute('SELECT album_id FROM Albums WHERE album = "%s";' % (album.replace('"','""')))
			row = cursor.fetchone()
			if row is None:
				cursor.execute('INSERT INTO Albums (album) VALUES("%s");' % (album.replace('"','""')))
				albumID = cursor.lastrowid
			else:
				albumID = row[0]
			# 3. Genre
			cursor.execute('SELECT genre_id FROM Genres WHERE genre = "%s";' % (genre.replace('"','""')))
			row = cursor.fetchone()
			if row is None:
				cursor.execute('INSERT INTO Genres (genre) VALUES("%s");' % (genre.replace('"','""')))
				genreID = cursor.lastrowid
			else:
				genreID = row[0]
			
			# 4. Date
			cursor.execute('SELECT date_id FROM Dates WHERE date = "%s";' % (date.replace('"','""')))
			row = cursor.fetchone()
			if row is None:
				cursor.execute('INSERT INTO Dates (date) VALUES("%s");' % (date.replace('"','""')))
				dateID = cursor.lastrowid
			else:
				dateID = row[0]

			# 5. Titles
			if config.plugins.yampmusicplayer.capitalizeTitleAndArtist.value:
				title = titlecase(title)
			try:
#				cursor.execute("INSERT INTO Titles (filename,title,artist_id,album_id,genre_id, length,date,tracknr, sref) VALUES(?,?,?,?,?,?,?,?,?);" , (f,title,artistID,albumID,genreID,length,date,tracknr,sref))
				cursor.execute("INSERT INTO Titles (filename,title,artist_id,album_id,genre_id,date_id, length,date,tracknr, sref) VALUES(?,?,?,?,?,?,?,?,?,?);" , (f,title,artistID,albumID,genreID,dateID,length,date,tracknr,sref))
				res = True
			except sqlite3.IntegrityError:
				pass  # update if True
	elif table == "playlists":
		cursor.execute('SELECT playlist_id FROM Playlists WHERE playlist_filename = "%s";' % f)
		row = cursor.fetchone()
		if row is None:
			text = ref.getName()
			if text == "":
				text = os.path.basename(f)
			try:
				cursor.execute("INSERT INTO Playlists (playlist_filename,playlist_title) VALUES(?,?);" , (f,text))
				res = True
			except sqlite3.IntegrityError:
				pass
	return res
	
def readID3Infos(pathname):
	audio = None
	title = ""
	genre = "n/a"
	artist = "n/a"
	album = "n/a"
	date = "n/a"
	length = "n/a"
	tracknr = -1
	if pathname.lower().endswith(".mp3"):
		try: audio = MP3(pathname, ID3 = EasyID3)
		except: audio = None
	elif pathname.lower().endswith(".flac"):
		try: 
			audio = FLAC(pathname)
			LOG('readID3Infos: FLAC', 'all')
		except: audio = None
	elif pathname.lower().endswith(".m4a") or pathname.lower().endswith(".mp4"):
		try: audio = EasyMP4(pathname)
		except: audio = None
	elif pathname.lower().endswith(".ogg"):
		try: audio = OggVorbis					(pathname)
		except: audio = None
	filename = os.path.splitext(os.path.basename(pathname))[0]
	if audio:
		title = getEncodedString(audio.get('title', [filename])[0])
		album = getEncodedString(audio.get('album', ['n/a'])[0])
		genre = getEncodedString(audio.get('genre', ['n/a'])[0])
		artist = getEncodedString(audio.get('artist', ['n/a'])[0])
		date = getEncodedString(audio.get('date', ['n/a'])[0])
		try:
			tracknr = int(audio.get('tracknumber', ['-1'])[0].split("/")[0])
		except:
			pass
		try:
			len = int(audio.info.length)
			length = str(datetime_timedelta(seconds=len)).encode("utf-8", 'ignore')
			if len < 3600:
				length = length[-5:]
		except:
			length = "n/a"
		LOG('readID3Infos: title: %s album: %s genre: %s artist: %s date: %s tracknr: %d length: %s ' %(title,album,genre,artist,date,tracknr,length), 'all')
	else:
		title = filename
	return title, album, genre, artist, date, length, tracknr
	
def getEncodedString(value):
	returnValue = ""
	try:
		returnValue = value.encode("utf-8", 'ignore')
	except UnicodeDecodeError:
		try:
			returnValue = value.encode("iso8859-1", 'ignore')
		except UnicodeDecodeError:
			try:
				returnValue = value.decode("cp1252").encode("utf-8")
			except UnicodeDecodeError:
				returnValue = "n/a"
	return returnValue

	
def htmlUnescape(text):
		text = text.replace('&amp;', '&')
		text = text.replace('&quot;', '"')
		text = text.replace('&gt;', ">")
		text = text.replace('&lt;', "<")
		return text


		
#-------------------

# -*- coding: utf-8 -*-
#######################################################################
#
#    YAMP - Yet Another Music Player
#    Version 2.7.0 beta 6 2016-02-12
#    Coded by JohnHenry (c)2013
#    Extended by AlfredENeumann (c)2016
#    Support: www.vuplus-support.org
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#######################################################################

from Components.GUIComponent import GUIComponent
from Components.MultiContent import MultiContentEntryText
from Components.config import config

from enigma import eListboxPythonMultiContent, eListbox, gFont, RT_VALIGN_CENTER, RT_HALIGN_LEFT, RT_HALIGN_RIGHT, RT_HALIGN_CENTER

from datetime import timedelta as datetime_timedelta, datetime as datetime_datetime

from skin import parseFont, parsePosition, parseSize
from enigma import fontRenderClass

class YampLyricsList(GUIComponent):
	def __init__(self, enableWrapAround=False):   #!!!!
		GUIComponent.__init__(self)

		self.logpath = config.plugins.yampmusicplayer.debugPath.value
		self.timestamp = datetime_datetime.now().strftime("%Y-%m-%d_%H-%M-%S")
		config.plugins.yampmusicplayer.debugFile.value = self.logpath + 'yamp_debug_' + self.timestamp  + '.log'			
		
		try:   #!!!noch andere Vorgaben für FHD
			self.itemFont = parseFont("Regular;18", ((1,1),(1,1)))
			self.itemHeight = 23
#			LOG('YampLyricsList: init: setDefaults: ok', 'err') 
		except:
#			pass
			LOG('YampLyricsList: init: setDefaults:  EXCEPT', 'err') 
			
		self.list = []
		self.withTimeStamp = False
		self.title = ""
		self.onSelectionChanged = [ ]
		self.enableWrapAround = enableWrapAround
		self.l = eListboxPythonMultiContent()
		try:
			self.l.setBuildFunc(self.buildEntry)
#			LOG('YampLyricsList:__init__:set self.l.setBuildFunc: ok', 'err') ###Test
		except:
			LOG('YampLyricsList:__init__:set self.l.setBuildFunc:   EXCEPT', 'err') 
		
	GUI_WIDGET = eListbox

	def buildEntry(self, item):
#		LOG('YampLyricsList: buildEntry: Start' , 'err')
#		try:
#			LOG('YampLyricsList: buildEntry: Start: item.text: %s' %(item.text) , 'err')
#		except:
#			LOG('YampLyricsList: buildEntry: Start: item.text: EXCEPT', 'err')
#		try:
#			LOG('YampLyricsList: buildEntry: Start: item.tiStamp: %s' %(item.tiStamp) , 'err')
#		except:
#			LOG('YampLyricsList: buildEntry: Start: item.tiStamp: EXCEPT', 'err')

		self.w = self.l.getItemSize().width()
		self.h = self.itemHeight
#		LOG('YampLyricsList: buildEntry: list: self.w: %d self.h: %d' %(self.w, self.h) , 'err')
		res = [ None ]

		liney = int(self.fonth * 0.01) + 1
		lineh = int(self.fonth * 1.05)
#		LOG('YampLyricsList: buildEntry: liney: %d  lineh: %d'  %(liney, lineh) , 'err')

		if self.withTimeStamp:
			if len(item.text.strip()) == 0: item.tiStamp = ''
			widthTiStamp = int(lineh * 4.5)
			res.append (MultiContentEntryText(pos=(0, liney), size=(widthTiStamp, lineh), font = 0, flags = RT_HALIGN_LEFT|RT_VALIGN_CENTER, text = "%s" % item.tiStamp))
			res.append (MultiContentEntryText(pos=(widthTiStamp, liney), size=(self.w-widthTiStamp, lineh), font = 0, flags = RT_HALIGN_LEFT|RT_VALIGN_CENTER, text = "%s" % item.text))
		else:
			res.append (MultiContentEntryText(pos=(0, liney), size=(self.w, lineh), font = 0, flags = RT_HALIGN_LEFT|RT_VALIGN_CENTER, text = "%s" % item.text))
		return res

	def applySkin(self, desktop, parent):
		attribs = []
		if self.skinAttributes is not None:
			for (attrib, value) in self.skinAttributes:
#				try:
#					LOG('YampLyricsList: applySkin: attrib *%s*  value: *%s*'  %(attrib, value), 'err') 
#				except:
#					pass
				if attrib == "itemFont":
					self.itemFont = parseFont(value, ((1,1),(1,1)))
				else:
					attribs.append((attrib, value))

		self.fonth = int(fontRenderClass.getInstance().getLineHeight(self.itemFont))
		self.itemHeight = int(self.fonth * 1.15)
		self.l.setItemHeight(self.itemHeight)

		try:
			self.l.setFont(0, self.itemFont)
		except:
			LOG('YampLyricsList: applySkin: setFont0   EXCEPT', 'err') 
#		try:
#			self.l.setFont(1, self.itemFont1)
#		except:
#			LOG('YampLyricsList: applySkin: setFont1   EXCEPT', 'err') 
		try:
			self.skinAttributes = attribs
		except:
			LOG('YampLyricsList: applySkin: SetskinAttributes   EXCEPT', 'err') 
		return GUIComponent.applySkin(self, desktop, parent)


	def postWidgetCreate(self, instance):
		try:
			pass
#			LOG('YampLyricsList: postWidgetCreate: Start: ok', 'err')
		except:
			LOG('YampLyricsList: postWidgetCreate: Start:  EXCEPT', 'err')
		instance.setContent(self.l)
		if os.path.exists("/var/lib/dpkg/status"):
			instance.selectionChanged_conn=instance.selectionChanged.connect(self.selectionChanged)
		else:
			instance.selectionChanged.get().append(self.selectionChanged)
		if self.enableWrapAround:
			self.instance.setWrapAround(True)
		try:
			pass
#			LOG('YampLyricsList: postWidgetCreate: End: ok', 'err')
		except:
			LOG('YampLyricsList: postWidgetCreate: End:  EXCEPT', 'err')

	def preWidgetRemove(self, instance):
		instance.setContent(None)
		if os.path.exists("/var/lib/dpkg/status"):
			instance.selectionChanged_conn = None
		else:
			instance.selectionChanged.get().remove(self.selectionChanged)
	def selectionChanged(self):
		for f in self.onSelectionChanged:
			f()

	def updateList(self):
		self.l.setList(self.list)

	def moveToIndex(self, index):
		self.instance.moveSelectionTo(index)
		
	def append(self, item):
		self.list.append((item,))

	def selectionEnabled(self, enabled):
		if self.instance is not None:
			self.instance.setSelectionEnable(enabled)

	def pageUp(self):
		if self.instance is not None:
			self.instance.moveSelection(self.instance.pageUp)

	def pageDown(self):
		if self.instance is not None:
			self.instance.moveSelection(self.instance.pageDown)

	def up(self):
		if self.instance is not None:
			self.instance.moveSelection(self.instance.moveUp)

	def down(self):
		if self.instance is not None:
			self.instance.moveSelection(self.instance.moveDown)

	def getSelection(self):
		return self.l.getCurrentSelection() and self.l.getCurrentSelection()[0]

	def getSelectionIndex(self):
		return self.l.getCurrentSelectionIndex()

	def getLyricsList(self):
		return self.list

#	def setMode(self, mode):
#		self.mode = mode
		
	def setWithTimeStamp(self, withTimeStamp):
		self.withTimeStamp = withTimeStamp

	def setTitle(self, title):
		self.title = title

	def __len__(self):
		return len(self.list)

#class LyricslistStackEntry:
#	def __init__(self, mode = 0, query = -1, selIndex = 0, menutitle = "", queryString = ""):
#		self.mode = mode
#		self.query = query
#		self.selIndex = selIndex
#		self.menutitle = menutitle
#		self.queryString = queryString
		
class LyricslistEntryComponent:
	def __init__(self, text = "", tiStamp=""):
		self.text = text
		self.tiStamp = tiStamp

